unit UntModuloDados;

interface

uses
  SysUtils, Classes, DB, ADODB;

type
  TModuloDados = class(TDataModule)
    SISCONS: TADOConnection;
    TbUsu: TADOTable;
    TbUsuIdUsuario: TAutoIncField;
    TbUsuNome: TWideStringField;
    TbUsuLogin: TWideStringField;
    TbUsuSenha: TWideStringField;
    TbUsuConfSenha: TWideStringField;
    TbUsuDepartamento: TWideStringField;
    TbUsuAcesso: TWideStringField;
    CadBanco: TADOTable;
    CadBancoBanco: TWideStringField;
    CadBancoCodigo: TAutoIncField;
    TbCadCliente: TADOTable;
    TbCadClienteCodigo_Cliente: TAutoIncField;
    TbCadClienteData_Cad: TDateTimeField;
    TbCadClientePF_PJ: TWideStringField;
    TbCadClienteNome: TWideStringField;
    TbCadClienteData_Nascimento: TDateTimeField;
    TbCadClienteCPF: TWideStringField;
    TbCadClienteIE: TWideStringField;
    TbCadClienteCGC: TWideStringField;
    TbCadClienteRazao_Social: TWideStringField;
    TbCadClienteRG: TWideStringField;
    TbCadClienteFone: TWideStringField;
    TbCadClienteFax: TWideStringField;
    TbCadClienteE_MAIL: TWideStringField;
    TbCadClienteSITE: TWideStringField;
    TbCadClienteEndereco: TWideStringField;
    TbCadClienteCidade: TWideStringField;
    TbCadClienteCEP: TWideStringField;
    TbCadClienteUF: TWideStringField;
    TbCadClienteOBS: TWideStringField;
    TbCadClienteUser: TWideStringField;
    TbCadClienteSenha: TWideStringField;
    TbCadFuncionario: TADOTable;
    TbCadFuncionarioCodigo_Func: TAutoIncField;
    TbCadFuncionarioData_Cad: TDateTimeField;
    TbCadFuncionarioNome: TWideStringField;
    TbCadFuncionarioProfissao: TWideStringField;
    TbCadFuncionarioSexo: TWideStringField;
    TbCadFuncionarioEstado_Civil: TWideStringField;
    TbCadFuncionarioData_Nascimento: TDateTimeField;
    TbCadFuncionarioNacionalidade: TWideStringField;
    TbCadFuncionarioRG: TWideStringField;
    TbCadFuncionarioOrg_Emissor: TWideStringField;
    TbCadFuncionarioData_Emissao: TDateTimeField;
    TbCadFuncionarioCPF: TWideStringField;
    TbCadFuncionarioFone: TWideStringField;
    TbCadFuncionarioE_MAIL: TWideStringField;
    TbCadFuncionarioEndereco: TWideStringField;
    TbCadFuncionarioBairro: TWideStringField;
    TbCadFuncionarioCidade: TWideStringField;
    TbCadFuncionarioCEP: TWideStringField;
    TbCadFuncionarioUF: TWideStringField;
    TbCadFuncionarioOBS: TWideStringField;
    TbCadFuncionarioCodigo: TWideStringField;
    TbCadFuncionarioSenha: TWideStringField;
    TbCadChequesIrregulares: TADOTable;
    TbCadChequesIrregularesID: TAutoIncField;
    TbCadChequesIrregularesCodigo_Cliente: TIntegerField;
    TbCadChequesIrregularesCPF: TWideStringField;
    TbCadChequesIrregularesCGC: TWideStringField;
    TbCadChequesIrregularesDtCad: TDateTimeField;
    TbCadChequesIrregularesUsuario: TWideStringField;
    TbCadChequesIrregularesData: TDateTimeField;
    TbCadChequesIrregularesAlinea: TWideStringField;
    TbCadChequesIrregularesBanco: TWideStringField;
    TbCadChequesIrregularesAgencia: TWideStringField;
    TbCadChequesIrregularesConta: TWideStringField;
    TbCadChequesIrregularesCheque: TWideStringField;
    TbCadChequesIrregularesValor: TBCDField;
    TbCadChequesIrregularesCidade: TWideStringField;
    TbCadChequesIrregularesDescontinuar: TBooleanField;
    TbCadResFiltro: TADOTable;
    TbCadResFiltroCodigo_Cliente: TAutoIncField;
    TbCadResFiltroNome: TWideStringField;
    TbCadResFiltroCGC: TWideStringField;
    TbCadResFiltroCPF: TWideStringField;
    TbCadResFiltroRazao_Social: TWideStringField;
    TbCadResFiltroData_Cad: TDateTimeField;
    TbLocBancoCadCheqIrregulares: TADOTable;
    TbLocBancoCadCheqIrregularesCodigo: TAutoIncField;
    TbLocBancoCadCheqIrregularesBanco: TWideStringField;
    TbCadCSF: TADOTable;
    TbCadCSFID: TAutoIncField;
    TbCadCSFCodigo_Cliente: TIntegerField;
    TbCadCSFCPF: TWideStringField;
    TbCadCSFCGC: TWideStringField;
    TbCadCSFDtCad: TDateTimeField;
    TbCadCSFUsuario: TWideStringField;
    TbCadCSFData_Debito: TDateTimeField;
    TbCadCSFData_Inclusao: TDateTimeField;
    TbCadCSFAlinea: TWideStringField;
    TbCadCSFBanco: TWideStringField;
    TbCadCSFNome_Banco: TWideStringField;
    TbCadCSFAgencia: TWideStringField;
    TbCadCSFConta: TWideStringField;
    TbCadCSFQtd: TSmallintField;
    TbCadCSFDescontinuar: TBooleanField;
    TbCadFalCon: TADOTable;
    TbCadFalConID: TAutoIncField;
    TbCadFalConCodigo_Cliente: TIntegerField;
    TbCadFalConCPF: TWideStringField;
    TbCadFalConCGC: TWideStringField;
    TbCadFalConDtCad: TDateTimeField;
    TbCadFalConUsuario: TWideStringField;
    TbCadFalConData: TDateTimeField;
    TbCadFalConVara: TWideStringField;
    TbCadFalConNatureza: TWideStringField;
    TbCadFalConCidade_uf: TWideStringField;
    TbCadFalConDescontinuar: TBooleanField;
    TbCadProtesto: TADOTable;
    TbCadProtestoID: TAutoIncField;
    TbCadProtestoCodigo_Cliente: TIntegerField;
    TbCadProtestoCPF: TWideStringField;
    TbCadProtestoCGC: TWideStringField;
    TbCadProtestoDtCad: TDateTimeField;
    TbCadProtestoUsuario: TWideStringField;
    TbCadProtestoData: TDateTimeField;
    TbCadProtestoCartorio: TWideStringField;
    TbCadProtestoNatureza: TWideStringField;
    TbCadProtestoValor: TBCDField;
    TbCadProtestoCidade_uf: TWideStringField;
    TbCadProtestoDescontinuar: TBooleanField;
    TbCadRestCom: TADOTable;
    TbCadRestComID: TAutoIncField;
    TbCadRestComCodigo_Cliente: TIntegerField;
    TbCadRestComCPF: TWideStringField;
    TbCadRestComCGC: TWideStringField;
    TbCadRestComDtCad: TDateTimeField;
    TbCadRestComUsuario: TWideStringField;
    TbCadRestComData_Debito: TDateTimeField;
    TbCadRestComData_Inclusao: TDateTimeField;
    TbCadRestComEmpr_Negat: TWideStringField;
    TbCadRestComCodigo_Empr: TWideStringField;
    TbCadRestComEnder_Empr: TWideStringField;
    TbCadRestComCidade_Empr: TWideStringField;
    TbCadRestComCep_Empr: TWideStringField;
    TbCadRestComUf_Empr: TWideStringField;
    TbCadRestComFone: TWideStringField;
    TbCadRestComFax: TWideStringField;
    TbCadRestComEmail: TWideStringField;
    TbCadRestComObs: TWideStringField;
    TbCadRestComDescontinuar: TBooleanField;
    TbCadTelBloqueio: TADOTable;
    TbCadTelBloqueioID: TAutoIncField;
    TbCadTelBloqueioCodigo_Cliente: TIntegerField;
    TbCadTelBloqueioCPF: TWideStringField;
    TbCadTelBloqueioCGC: TWideStringField;
    TbCadTelBloqueioDtCad: TDateTimeField;
    TbCadTelBloqueioUsuario: TWideStringField;
    TbCadTelBloqueioData_Debito: TDateTimeField;
    TbCadTelBloqueioData_Inclusao: TDateTimeField;
    TbCadTelBloqueioAlinea: TWideStringField;
    TbCadTelBloqueioEmpr_Negat: TWideStringField;
    TbCadTelBloqueioFone_Negat: TWideStringField;
    TbCadTelBloqueioEmail_Negat: TWideStringField;
    TbCadTelBloqueioBanco: TWideStringField;
    TbCadTelBloqueioAgencia: TWideStringField;
    TbCadTelBloqueioConta: TWideStringField;
    TbCadTelBloqueioCheque_inicial: TWideStringField;
    TbCadTelBloqueioCheque_final: TWideStringField;
    TbCadTelBloqueioTipo: TWideStringField;
    TbCadTelBloqueioObs: TWideStringField;
    TbCadTelBloqueioQtd: TSmallintField;
    TbCadTelBloqueioDescontinuar: TBooleanField;
    TbMSG: TADOTable;
    TbMSGID: TAutoIncField;
    TbMSGDE: TWideStringField;
    TbMSGPARA: TWideStringField;
    TbMSGASSUNTO: TWideStringField;
    TbMSGMSG: TMemoField;
    TbMSGLIDA: TBooleanField;
    TbMSGDATA: TDateTimeField;
    TbEstatistica: TADOTable;
    TbEstatisticaID: TAutoIncField;
    TbEstatisticaData: TDateTimeField;
    TbEstatisticaUsuario: TWideStringField;
    TbEstatisticaQtd: TSmallintField;
    TbEstatistica02: TADOTable;
    TbEstatistica03: TADOTable;
    TbEstatistica02ID: TAutoIncField;
    TbEstatistica02Data: TDateTimeField;
    TbEstatistica02Hora: TDateTimeField;
    TbEstatistica02Usuario: TWideStringField;
    TbEstatistica02Empresa: TWideStringField;
    TbEstatistica02Consultado: TWideStringField;
    TbEstatistica02Doc: TWideStringField;
    TbEstatistica02Numero: TWideStringField;
    TbEstatistica03ID: TAutoIncField;
    TbEstatistica03Data: TDateTimeField;
    TbEstatistica03Codigo: TWideStringField;
    TbEstatistica03Empresa: TWideStringField;
    TbEstatistica03Usuario: TWideStringField;
    TbEstatistica03H_In: TDateTimeField;
    TbEstatistica03H_Fim: TDateTimeField;
    TbEstatistica03Duracao: TDateTimeField;
    TbSIS: TADOTable;
    TbSISID: TAutoIncField;
    TbSISNome_Fantasia: TWideStringField;
    TbSISLogo: TBlobField;
    TbSISRazao_Social: TWideStringField;
    TbSISCNPJ: TWideStringField;
    TbSISIE: TWideStringField;
    TbSISSite: TWideStringField;
    TbSISEmail: TWideStringField;
    TbSISEndereco: TWideStringField;
    TbSISCidade: TWideStringField;
    TbSISCEP: TWideStringField;
    TbSISUF: TWideStringField;
    TbSISFone: TWideStringField;
    TbSISFax: TWideStringField;
    TbSISSerial: TWideStringField;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ModuloDados: TModuloDados;

implementation

{$R *.dfm}

end.
