program SISCONS;

uses
  Forms,
  UntSISCONS in 'UntSISCONS.pas' {FrmInicial},
  UntModuloDados in 'Modulo de Dados\UntModuloDados.pas' {ModuloDados: TDataModule},
  UntLogin in 'UntLogin.pas' {FrmLogin},
  UntPrincipal in 'UntPrincipal.pas' {FrmPrincipal},
  UntCadBanco in 'UntCadBanco.pas' {FrmCadBancos},
  UntCadCliente in 'UntCadCliente.pas' {FrmCadCliente},
  UntCadUsu in 'UntCadUsu.pas' {FrmUsuario},
  UntCadFuncionario in 'UntCadFuncionario.pas' {FrmCadFuncionario},
  UntCadCheqIrregulares in 'UntCadCheqIrregulares.pas' {FrmCadCheqIrregulares},
  UntCadRestricoes in 'UntCadRestricoes.pas' {FrmCadRestricoes},
  UntCadCSF in 'UntCadCSF.pas' {FrmCadCSF},
  UntCadRestricoesCSF in 'UntCadRestricoesCSF.pas' {FrmCadRestricoesCSF},
  UntFalCon in 'UntFalCon.pas' {FrmCadFalCon},
  UntCadRestricoesFalCon in 'UntCadRestricoesFalCon.pas' {FrmCadRestricoesFalCon},
  UntCadProtesto in 'UntCadProtesto.pas' {FrmCadProtesto},
  UntCadRestricoesProt in 'UntCadRestricoesProt.pas' {FrmCadRestricoesProt},
  UntCadRestCom in 'UntCadRestCom.pas' {FrmCadRestCom},
  UntCadRestricoesCom in 'UntCadRestricoesCom.pas' {FrmCadRestricoesCom},
  UntCadTelBloqueio in 'UntCadTelBloqueio.pas' {FrmCadTeleBloqueio},
  UntCadRestricoesTeleBloq in 'UntCadRestricoesTeleBloq.pas' {FrmCadRestricoesTeleBloq},
  UntConsBaseDado in 'UntConsBaseDado.pas' {FrmConsBaseDados},
  UntLerMSG in 'UntLerMSG.pas' {FrmLerMSG},
  UntMenuMSG in 'UntMenuMSG.pas' {FrmMenuMSG},
  UntEnviarMSG in 'UntEnviarMSG.pas' {FrmEnviarMSG},
  UntConsEstatisticas in 'UntConsEstatisticas.pas' {FrmEstatisticas},
  UntConsEstatisticasCliente in 'UntConsEstatisticasCliente.pas' {FrmEstatisticasCliente},
  UntConsEstatisticasAcesso in 'UntConsEstatisticasAcesso.pas' {FrmEstatisticasAcessi},
  UntAbout in 'UntAbout.pas' {FrmAbout},
  UntSis in 'UntSis.pas' {FrmSis};

{$R *.res}

begin
  Application.Initialize;
  Application.Title := '.:: SISCONS - Sistema de Informaes e Consultoria Ltda/ME ::.';
  Application.CreateForm(TFrmInicial, FrmInicial);
  Application.CreateForm(TModuloDados, ModuloDados);
  Application.CreateForm(TFrmLogin, FrmLogin);
  Application.CreateForm(TFrmPrincipal, FrmPrincipal);
  Application.CreateForm(TFrmCadBancos, FrmCadBancos);
  Application.CreateForm(TFrmCadCliente, FrmCadCliente);
  Application.CreateForm(TFrmUsuario, FrmUsuario);
  Application.CreateForm(TFrmCadFuncionario, FrmCadFuncionario);
  Application.CreateForm(TFrmCadCheqIrregulares, FrmCadCheqIrregulares);
  Application.CreateForm(TFrmCadRestricoes, FrmCadRestricoes);
  Application.CreateForm(TFrmCadCSF, FrmCadCSF);
  Application.CreateForm(TFrmCadRestricoesCSF, FrmCadRestricoesCSF);
  Application.CreateForm(TFrmCadRestricoesCSF, FrmCadRestricoesCSF);
  Application.CreateForm(TFrmCadFalCon, FrmCadFalCon);
  Application.CreateForm(TFrmCadRestricoesFalCon, FrmCadRestricoesFalCon);
  Application.CreateForm(TFrmCadProtesto, FrmCadProtesto);
  Application.CreateForm(TFrmCadRestricoesProt, FrmCadRestricoesProt);
  Application.CreateForm(TFrmCadRestCom, FrmCadRestCom);
  Application.CreateForm(TFrmCadRestricoesCom, FrmCadRestricoesCom);
  Application.CreateForm(TFrmCadTeleBloqueio, FrmCadTeleBloqueio);
  Application.CreateForm(TFrmCadRestricoesTeleBloq, FrmCadRestricoesTeleBloq);
  Application.CreateForm(TFrmConsBaseDados, FrmConsBaseDados);
  Application.CreateForm(TFrmLerMSG, FrmLerMSG);
  Application.CreateForm(TFrmMenuMSG, FrmMenuMSG);
  Application.CreateForm(TFrmEnviarMSG, FrmEnviarMSG);
  Application.CreateForm(TFrmEstatisticas, FrmEstatisticas);
  Application.CreateForm(TFrmEstatisticasCliente, FrmEstatisticasCliente);
  Application.CreateForm(TFrmEstatisticasAcessi, FrmEstatisticasAcessi);
  Application.CreateForm(TFrmAbout, FrmAbout);
  Application.CreateForm(TFrmSis, FrmSis);
  Application.Run;
end.
