unit UntCadCSF;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DBCtrls, DB, Mask, ExtCtrls, Menus;

type
  TFrmCadCSF = class(TForm)
    GroupBox1: TGroupBox;
    Label3: TLabel;
    TxtCPFCadCSF: TDBEdit;
    Label4: TLabel;
    TxtCGCCadCSF: TDBEdit;
    Label1: TLabel;
    TxtNomeCadCSF: TEdit;
    GroupBox2: TGroupBox;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    TxtCodCadCSF: TDBEdit;
    TxtCodCliCadCSF: TDBEdit;
    TxtDCadCSF: TDBEdit;
    TxtUsuCadCSF: TDBEdit;
    TxtDDebCadCSF: TDBEdit;
    TxtDInclusaoCadCSF: TDBEdit;
    TxtAlineaCadCSF: TDBEdit;
    TxtBancoCadCSF: TDBEdit;
    TxtAgenciaCadCSF: TDBEdit;
    TxtContaCadCSF: TDBEdit;
    TxtQtdCadCSF: TDBEdit;
    TxtDescontCadCSF: TDBCheckBox;
    DsCadCSF: TDataSource;
    TxtLocBancoCadCSF: TDBLookupComboBox;
    DsLocBancoCadCSF: TDataSource;
    PopupMenu: TPopupMenu;
    Novo: TMenuItem;
    Salvar: TMenuItem;
    Alterar: TMenuItem;
    Cancelar: TMenuItem;
    GroupBox3: TGroupBox;
    NavegadorAnterior: TDBNavigator;
    NavagadorProximo: TDBNavigator;
    LblInfo: TLabel;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure AlterarClick(Sender: TObject);
    procedure NovoClick(Sender: TObject);
    procedure TxtLocBancoCadCSFExit(Sender: TObject);
    procedure SalvarClick(Sender: TObject);
    procedure CancelarClick(Sender: TObject);
    procedure TxtDDebCadCSFKeyPress(Sender: TObject; var Key: Char);
    procedure TxtDInclusaoCadCSFKeyPress(Sender: TObject; var Key: Char);
    procedure TxtAlineaCadCSFKeyPress(Sender: TObject; var Key: Char);
    procedure TxtLocBancoCadCSFKeyPress(Sender: TObject; var Key: Char);
    procedure TxtAgenciaCadCSFKeyPress(Sender: TObject; var Key: Char);
    procedure TxtContaCadCSFKeyPress(Sender: TObject; var Key: Char);
    procedure TxtQtdCadCSFKeyPress(Sender: TObject; var Key: Char);
    procedure TxtDescontCadCSFKeyPress(Sender: TObject; var Key: Char);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadCSF: TFrmCadCSF;

implementation

uses UntModuloDados;

{$R *.dfm}

procedure TFrmCadCSF.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadCSF.Close;
end
end;

procedure TFrmCadCSF.AlterarClick(Sender: TObject);
begin
ModuloDados.TbCadCSF.Active:=True;
Novo.Enabled:=False;
Alterar.Enabled:=False;
Salvar.Enabled:=True;
Cancelar.Enabled:=True;
end;

procedure TFrmCadCSF.NovoClick(Sender: TObject);
begin
ModuloDados.TbCadCSF.Active:=True;
ModuloDados.TbCadCSF.Append;
ModuloDados.TbCadCSF.FieldValues['DtCad']:=DateToStr(Date);
TxtLocBancoCadCSF.Enabled:=True;
TxtDescontCadCSF.Checked:=False;
TxtDDebCadCSF.SetFocus;
Novo.Enabled:=False;
Alterar.Enabled:=False;
Salvar.Enabled:=True;
Cancelar.Enabled:=True;
end;

procedure TFrmCadCSF.TxtLocBancoCadCSFExit(Sender: TObject);
begin
ModuloDados.TbCadCSF.FieldValues['Banco']:=ModuloDados.TbLocBancoCadCheqIrregulares.FieldValues['Codigo'];
end;

procedure TFrmCadCSF.SalvarClick(Sender: TObject);
begin
If (TxtNomeCadCSF.Text='') or (TxtLocBancoCadCSF.Text='') or (TxtDDebCadCSF.Text='') or (TxtAlineaCadCSF.Text='') or (TxtAgenciaCadCSF.Text='') or (TxtContaCadCSF.Text='') or (TxtDInclusaoCadCSF.Text='') Then
  Begin
    Application.MessageBox('Dados Insuficiente para realizar o cadastro!','SC Informtica',MB_ICONINFORMATION);
    TxtDInclusaoCadCSF.SetFocus;
end
      Else
        Begin
          ModuloDados.TbCadCSF.Post;
          Application.MessageBox('Seu cadastrado foi realizado com sucesso!','SC Informtica',MB_ICONEXCLAMATION);
          ModuloDados.TbCadCSF.Active:=False;
          Novo.Enabled:=True;
          Alterar.Enabled:=False;
          Salvar.Enabled:=False;
          Cancelar.Enabled:=True;
          TxtLocBancoCadCSF.Enabled:=False;
          FrmCadCSF.Close;
      end
end;

procedure TFrmCadCSF.CancelarClick(Sender: TObject);
begin
If Application.MessageBox('A T E N   O ! ! !'#13'Realmente deseja cancelar esta ao???','SC Informtica',MB_ICONQUESTION+MB_YESNO)=mrYes Then
  Begin
    ModuloDados.TbCadCSF.Cancel;
    ModuloDados.TbCadCSF.Active:=False;
    Novo.Enabled:=True;
    Alterar.Enabled:=False;
    Salvar.Enabled:=False;
    Cancelar.Enabled:=False;
    TxtLocBancoCadCSF.Enabled:=False;
    FrmCadCSF.Close;
end
      Else
        Abort;
end;

procedure TFrmCadCSF.TxtDDebCadCSFKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCSF.TxtDInclusaoCadCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCSF.TxtAlineaCadCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCSF.TxtLocBancoCadCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCSF.TxtAgenciaCadCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCSF.TxtContaCadCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCSF.TxtQtdCadCSFKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCSF.TxtDescontCadCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCSF.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:=caFree;
FrmCadCSF:=Nil;
end;

end.
