unit UntCadFuncionario;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, DBCtrls, ExtCtrls, Mask, ComCtrls, DB, Shellapi;

type
  TFrmCadFuncionario = class(TForm)
    PNLocUsu: TPanel;
    Label8: TLabel;
    TxtLocFuncionario: TDBLookupComboBox;
    PnBDCUsu: TPanel;
    BdcNovo: TBitBtn;
    BdcSalvar: TBitBtn;
    BdcAlterar: TBitBtn;
    BdcExcluir: TBitBtn;
    BdcCancelar: TBitBtn;
    DsCadFuncionario: TDataSource;
    PageControl1: TPageControl;
    DadosPessoais: TTabSheet;
    DadosEndereco: TTabSheet;
    Label1: TLabel;
    TxtCodCadFund: TDBEdit;
    Label2: TLabel;
    TxtDCadCadFunc: TDBEdit;
    Label3: TLabel;
    TxtNomeCadFunc: TDBEdit;
    Label4: TLabel;
    TxtProfissaoCadFunc: TDBEdit;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    TxtDNascCadFunc: TDBEdit;
    Label9: TLabel;
    TxtNascioCadFunc: TDBEdit;
    Label10: TLabel;
    TxtRGCadFunc: TDBEdit;
    Label11: TLabel;
    TxtOrgEmiCadFunc: TDBEdit;
    Label12: TLabel;
    TxtDEmiCadFunc: TDBEdit;
    Label13: TLabel;
    TxtCPFCadFunc: TDBEdit;
    TxtLocSexoCadFunc: TDBComboBox;
    TxtLocEstCivilCadFunc: TDBComboBox;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    TxtOBSCadFunc: TDBMemo;
    GroupBox1: TGroupBox;
    Label20: TLabel;
    Label21: TLabel;
    TxtCodCodSenCadFunc: TDBEdit;
    TxtSenCodSenCadFunc: TDBEdit;
    BdcGerarCodSen: TBitBtn;
    Label14: TLabel;
    TxtCidadeCadFunc: TDBEdit;
    Label15: TLabel;
    Label16: TLabel;
    TxtCEPCadFunc: TDBEdit;
    TxtFoneCadFunc: TDBEdit;
    Label22: TLabel;
    Label23: TLabel;
    TxtEMailCadFunc: TDBEdit;
    Label25: TLabel;
    TxtLocUFCadFunc: TDBComboBox;
    Label24: TLabel;
    TxtBairroCadFunc: TDBEdit;
    TxtEndCadFunc: TDBEdit;
    BdcEMail: TButton;
    procedure BdcGerarCodSenClick(Sender: TObject);
    procedure BdcNovoClick(Sender: TObject);
    procedure BdcSalvarClick(Sender: TObject);
    procedure BdcAlterarClick(Sender: TObject);
    procedure BdcExcluirClick(Sender: TObject);
    procedure BdcCancelarClick(Sender: TObject);
    procedure BdcEMailClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCodCadFundKeyPress(Sender: TObject; var Key: Char);
    procedure TxtNomeCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtProfissaoCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtLocSexoCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtLocEstCivilCadFuncKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtDNascCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtRGCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtDEmiCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtDCadCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtNascioCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtOrgEmiCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCPFCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtOBSCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtEndCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCidadeCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtBairroCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCEPCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtLocUFCadFuncKeyPress(Sender: TObject; var Key: Char);
    procedure TxtFoneCadFuncKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadFuncionario: TFrmCadFuncionario;

implementation

uses UntModuloDados;

{$R *.dfm}

procedure TFrmCadFuncionario.BdcGerarCodSenClick(Sender: TObject);
var
I:integer;
const 
Str='1234567890';
Max=6;
Begin
ModuloDados.TbCadFuncionario.FieldValues['Codigo']:='';
For I:=1 To Max Do
ModuloDados.TbCadFuncionario.FieldValues['Codigo']:=ModuloDados.TbCadFuncionario.FieldValues['Codigo']+Str[Random(Length(Str))+1];
ModuloDados.TbCadFuncionario.FieldValues['Senha']:='';
For I:=1 To Max Do
ModuloDados.TbCadFuncionario.FieldValues['Senha']:=ModuloDados.TbCadFuncionario.FieldValues['Senha']+Str[Random(Length(Str))+2];
end;

procedure TFrmCadFuncionario.BdcNovoClick(Sender: TObject);
begin
ModuloDados.TbCadFuncionario.Active:=True;
ModuloDados.TbCadFuncionario.Append;
ModuloDados.TbCadFuncionario.FieldValues['Data_Cad']:=DateToStr(Date);
ModuloDados.TbCadFuncionarioData_Nascimento.EditMask:='!##\/##\/##;1;_';
ModuloDados.TbCadFuncionarioRG.EditMask:='!#\.###\.###\-#;1;_';
ModuloDados.TbCadFuncionarioData_Emissao.EditMask:='!##\/##\/##;1;_';
ModuloDados.TbCadFuncionarioCPF.EditMask:='!###\.###\.###\-##;1;_';
ModuloDados.TbCadFuncionarioCEP.EditMask:='!#####\-###;1;_';
TxtNomeCadFunc.SetFocus;
BdcNovo.Enabled:=False;
BdcSalvar.Enabled:=True;
BdcAlterar.Enabled:=False;
BdcExcluir.Enabled:=False;
BdcCancelar.Enabled:=True;
BdcGerarCodSen.Enabled:=True;
TxtLocFuncionario.Enabled:=False;
end;

procedure TFrmCadFuncionario.BdcSalvarClick(Sender: TObject);
begin
If (TxtNomeCadFunc.Text='') or (TxtProfissaoCadFunc.Text='') or (TxtCodCodSenCadFunc.Text='') or (TxtSenCodSenCadFunc.Text='') or (TxtRGCadFunc.Text='') or (TxtDNascCadFunc.Text='') or (TxtDEmiCadFunc.Text='') or (TxtCPFCadFunc.Text='') or (TxtEndCadFunc.Text='') or (TxtCidadeCadFunc.Text='') or (TxtBairroCadFunc.Text='') Then
  Begin
    Application.MessageBox('Dados Insuficiente para realizar o cadastro!','SC Informtica',MB_ICONINFORMATION);
    TxtNomeCadFunc.SetFocus;
end
      Else
        If TxtOBSCadFunc.Text='' Then
        Begin
          TxtOBSCadFunc.Text:='Sem observao!';
          ModuloDados.TbCadFuncionario.Post;
          Application.MessageBox('Cliente cadastrado com sucesso!','SC Informtica',MB_ICONEXCLAMATION);
          ModuloDados.TbCadFuncionario.Active:=False;
          BdcNovo.Enabled:=True;
          BdcSalvar.Enabled:=False;
          BdcAlterar.Enabled:=True;
          BdcExcluir.Enabled:=False;
          BdcCancelar.Enabled:=False;
          BdcGerarCodSen.Enabled:=False;
          TxtLocFuncionario.Enabled:=False;
      end
end;

procedure TFrmCadFuncionario.BdcAlterarClick(Sender: TObject);
begin
ModuloDados.TbCadFuncionario.Active:=True;
ModuloDados.TbCadFuncionario.Append;
ModuloDados.TbCadFuncionario.Edit;
BdcNovo.Enabled:=False;
BdcSalvar.Enabled:=True;
BdcAlterar.Enabled:=False;
BdcExcluir.Enabled:=True;
BdcCancelar.Enabled:=True;
BdcGerarCodSen.Enabled:=True;
TxtLocFuncionario.Enabled:=True;
TxtLocFuncionario.DropDown;
TxtLocFuncionario.SetFocus
end;

procedure TFrmCadFuncionario.BdcExcluirClick(Sender: TObject);
begin
If TxtCodCadFund.Text='' then
  Begin
    Application.MessageBox('No existe cadastro selecionado para ser excluido...'#13'Volte e selecione o cadastro que deseja exluir...','SC Informtica',MB_ICONINFORMATION);
    TxtLocFuncionario.DropDown;
    TxtLocFuncionario.SetFocus;
end
      Else
        If Application.MessageBox('A T E N   O...'#13'Deseja realmente excluir este registro?','SC Informtica',MB_YESNO+MB_ICONQUESTION)=mrYes then
          Begin
            ModuloDados.TbCadFuncionario.Delete;
            Application.MessageBox('Registro excluido com sucesso...','SC Informtica',MB_ICONINFORMATION);
            ModuloDados.TbCadFuncionario.Active:=False;
            BdcNovo.Enabled:=True;
            BdcSalvar.Enabled:=False;
            BdcAlterar.Enabled:=True;
            BdcExcluir.Enabled:=False;
            BdcCancelar.Enabled:=False;
            BdcGerarCodSen.Enabled:=False;
            TxtLocFuncionario.Enabled:=False;
        end
end;

procedure TFrmCadFuncionario.BdcCancelarClick(Sender: TObject);
begin
If Application.MessageBox('A T E N   O ! ! !'#13'Realmente deseja cancelar esta ao???','SC Informtica',MB_ICONQUESTION+MB_YESNO)=mrYes Then
  Begin
    ModuloDados.TbCadFuncionario.Cancel;
    ModuloDados.TbCadFuncionario.Active:=False;
    BdcNovo.Enabled:=True;
    BdcSalvar.Enabled:=False;
    BdcAlterar.Enabled:=True;
    BdcExcluir.Enabled:=False;
    BdcCancelar.Enabled:=False;
    BdcGerarCodSen.Enabled:=False;
    TxtLocFuncionario.Enabled:=False
end
      Else
        Abort;
end;

procedure TFrmCadFuncionario.BdcEMailClick(Sender: TObject);
var Mail : String;
begin
If TxtEMailCadFunc.Text='' Then
  Begin
    Application.MessageBox('O sistema no pode encontrar nenhum endereo de e-mail!!!','SC Informtica',MB_ICONINFORMATION);
    TxtEMailCadFunc.SetFocus;
end
      Else
        If TxtEMailCadFunc.Text<>'' Then
          Begin
            Mail:=TxtEMailCadFunc.Text;
            Mail := 'mailto:'+Mail;
            ShellExecute(GetDesktopWindow,'open',pchar(Mail),nil,nil,sw_ShowNormal);
     end
end;

procedure TFrmCadFuncionario.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.TbCadFuncionario.Active:=False;
Action:=caFree;
FrmCadFuncionario:=Nil;
end;

procedure TFrmCadFuncionario.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadFuncionario.Close;
end
end;

procedure TFrmCadFuncionario.TxtCodCadFundKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtNomeCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtProfissaoCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtLocSexoCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtLocEstCivilCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtDNascCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtRGCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtDEmiCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtDCadCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtNascioCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtOrgEmiCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtCPFCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtOBSCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtEndCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtCidadeCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtBairroCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtCEPCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtLocUFCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFuncionario.TxtFoneCadFuncKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
