unit UntCadRestCom;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls, DBCtrls, ExtCtrls, DB, Mask, Buttons, Shellapi;

type
  TFrmCadRestCom = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label5: TLabel;
    LblInfo: TLabel;
    TxtCPFCadRestCom: TDBEdit;
    TxtCGCCadRestCom: TDBEdit;
    TxtNomeCadRestCon: TEdit;
    GroupBox2: TGroupBox;
    TxtCodCadRestCom: TDBEdit;
    DsCadRestCom: TDataSource;
    TxtCodCliCadRestCom: TDBEdit;
    TxtDtCadCadRestCom: TDBEdit;
    TxtUsuCadRestCom: TDBEdit;
    Label7: TLabel;
    TxtDDebCadRestCom: TDBEdit;
    Label8: TLabel;
    TxtDIncCadRestCom: TDBEdit;
    Label9: TLabel;
    TxtEnpreNegCadRestCom: TDBEdit;
    Label10: TLabel;
    TxtCodEmpreCadRestCom: TDBEdit;
    Label11: TLabel;
    TxtEndEmpreCadRestCom: TDBEdit;
    Label12: TLabel;
    TxtCidadeEmpreCadRestCom: TDBEdit;
    Label13: TLabel;
    TxtCEPEmpreCadRestCom: TDBEdit;
    Label14: TLabel;
    Label15: TLabel;
    TxtFoneCadRestCom: TDBEdit;
    Label16: TLabel;
    TxtFaxCadRestCom: TDBEdit;
    Label17: TLabel;
    TxtEmailCadRestCom: TDBEdit;
    TxtObsCadRestCom: TDBEdit;
    TxtLocUFEmpreCadRestCom: TDBComboBox;
    Label18: TLabel;
    GroupBox3: TGroupBox;
    NavegadorAnterior: TDBNavigator;
    NavagadorProximo: TDBNavigator;
    TxtDesconCadRestCom: TDBCheckBox;
    PopupMenu: TPopupMenu;
    Novo: TMenuItem;
    Salvar: TMenuItem;
    Alterar: TMenuItem;
    Cancelar: TMenuItem;
    BdcEnviarEmail: TBitBtn;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure NovoClick(Sender: TObject);
    procedure SalvarClick(Sender: TObject);
    procedure AlterarClick(Sender: TObject);
    procedure CancelarClick(Sender: TObject);
    procedure TxtDDebCadRestComKeyPress(Sender: TObject; var Key: Char);
    procedure TxtDIncCadRestComKeyPress(Sender: TObject; var Key: Char);
    procedure TxtEnpreNegCadRestComKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtCodEmpreCadRestComKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtCEPEmpreCadRestComKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtFoneCadRestComKeyPress(Sender: TObject; var Key: Char);
    procedure TxtEmailCadRestComKeyPress(Sender: TObject; var Key: Char);
    procedure TxtObsCadRestComKeyPress(Sender: TObject; var Key: Char);
    procedure TxtFaxCadRestComKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCidadeEmpreCadRestComKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtLocUFEmpreCadRestComKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtEndEmpreCadRestComKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtDesconCadRestComKeyPress(Sender: TObject; var Key: Char);
    procedure BdcEnviarEmailClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadRestCom: TFrmCadRestCom;

implementation

uses UntModuloDados;

{$R *.dfm}

procedure TFrmCadRestCom.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadRestCom.Close;
end    
end;

procedure TFrmCadRestCom.NovoClick(Sender: TObject);
begin
ModuloDados.TbCadRestCom.Active:=True;
ModuloDados.TbCadRestCom.Append;
TxtDesconCadRestCom.Checked:=False;
TxtDDebCadRestCom.SetFocus;
Novo.Enabled:=False;
Salvar.Enabled:=True;
Alterar.Enabled:=False;
Cancelar.Enabled:=True;
end;

procedure TFrmCadRestCom.SalvarClick(Sender: TObject);
begin
If (TxtNomeCadRestCon.Text='') or (TxtDDebCadRestCom.Text='') or (TxtDIncCadRestCom.Text='') or (TxtEnpreNegCadRestCom.Text='') or (TxtCodEmpreCadRestCom.Text='') or (TxtCidadeEmpreCadRestCom.Text='') Then
  Begin
    Application.MessageBox('Dados Insuficiente para realizar o cadastro!','SC Informtica',MB_ICONINFORMATION);
    TxtDDebCadRestCom.SetFocus;
end
      Else
        Begin
          ModuloDados.TbCadRestCom.Post;
          Application.MessageBox('Seu cadastrado foi realizado com sucesso!','SC Informtica',MB_ICONEXCLAMATION);
          ModuloDados.TbCadRestCom.Active:=False;
          Novo.Enabled:=True;
          Alterar.Enabled:=True;
          Salvar.Enabled:=False;
          Cancelar.Enabled:=False;
          FrmCadRestCom.Close;
      end
end;

procedure TFrmCadRestCom.AlterarClick(Sender: TObject);
begin
ModuloDados.TbCadRestCom.Active:=True;
Novo.Enabled:=False;
Salvar.Enabled:=True;
Alterar.Enabled:=False;
Cancelar.Enabled:=False;
end;

procedure TFrmCadRestCom.CancelarClick(Sender: TObject);
begin
If Application.MessageBox('A T E N   O ! ! !'#13'Realmente deseja cancelar esta ao???','SC Informtica',MB_ICONQUESTION+MB_YESNO)=mrYes Then
  Begin
    ModuloDados.TbCadRestCom.Cancel;
    ModuloDados.TbCadRestCom.Active:=False;
    Novo.Enabled:=True;
    Salvar.Enabled:=False;
    Alterar.Enabled:=True;
    Cancelar.Enabled:=False;
    FrmCadRestCom.Close;
end
      Else
        Abort;
end;

procedure TFrmCadRestCom.TxtDDebCadRestComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestCom.TxtDIncCadRestComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestCom.TxtEnpreNegCadRestComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestCom.TxtCodEmpreCadRestComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestCom.TxtCEPEmpreCadRestComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestCom.TxtFoneCadRestComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestCom.TxtEmailCadRestComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestCom.TxtObsCadRestComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestCom.TxtFaxCadRestComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestCom.TxtCidadeEmpreCadRestComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestCom.TxtLocUFEmpreCadRestComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestCom.TxtEndEmpreCadRestComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestCom.TxtDesconCadRestComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestCom.BdcEnviarEmailClick(Sender: TObject);
var Mail : String;
begin
If TxtEmailCadRestCom.Text='' Then
  Begin
    Application.MessageBox('O sistema no pode encontrar nenhum endereo de e-mail!!!','SC Informtica',MB_ICONINFORMATION);
    TxtEmailCadRestCom.SetFocus;
end
      Else
        If TxtEmailCadRestCom.Text<>'' Then
          Begin
            Mail:=TxtEmailCadRestCom.Text;
            Mail := 'mailto:'+Mail;
            ShellExecute(GetDesktopWindow,'open',pchar(Mail),nil,nil,sw_ShowNormal);
     end
end;

end.
