unit UntCadRestricoesTeleBloq;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, Mask, DBCtrls, DB, ADODB, Grids,
  DBGrids;

type
  TFrmCadRestricoesTeleBloq = class(TForm)
    GroupBox: TGroupBox;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Panel1: TPanel;
    Label2: TLabel;
    Label3: TLabel;
    Panel2: TPanel;
    BdcLimpar: TBitBtn;
    DsCadResFiltro: TDataSource;
    TxtNFantasiaLocCliFiltro: TDBEdit;
    DBGrid: TDBGrid;
    TxtNumeroCGCCNPJLocCliFiltroCSF: TMaskEdit;
    TxtNumeroCPFLocCliFiltroCSF: TMaskEdit;
    BdcExcluirCSF: TBitBtn;
    BdcCadastrarCSF: TBitBtn;
    RBCgcCnpjCSF: TRadioButton;
    RBCpfCSF: TRadioButton;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure BdcLimparClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TxtNumeroCPFLocCliFiltroExit(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroExit(Sender: TObject);
    procedure TxtNumeroCPFLocCliFiltroKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNumeroCGCCNPJLocCliFiltroKeyPress(Sender: TObject;
      var Key: Char);
    procedure RBCgcCnpjKeyPress(Sender: TObject; var Key: Char);
    procedure RBCpfKeyPress(Sender: TObject; var Key: Char);
    procedure TxtNumeroCGCCNPJLocCliFiltroCSFExit(Sender: TObject);
    procedure TxtNumeroCPFLocCliFiltroCSFExit(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroCSFKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNumeroCPFLocCliFiltroCSFKeyPress(Sender: TObject;
      var Key: Char);
    procedure BdcExcluirCSFClick(Sender: TObject);
    procedure BdcCadastrarCSFClick(Sender: TObject);
    procedure RBCgcCnpjCSFClick(Sender: TObject);
    procedure RBCpfCSFClick(Sender: TObject);
    procedure RBCgcCnpjCSFKeyPress(Sender: TObject; var Key: Char);
    procedure RBCpfCSFKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadRestricoesTeleBloq: TFrmCadRestricoesTeleBloq;

implementation

uses UntCadCheqIrregulares, MaskUtils, UntModuloDados, UntPrincipal,
  UntCadCSF, UntCadRestricoes, UntCadProtesto, UntCadRestricoesCSF,
  UntCadTelBloqueio;

{$R *.dfm}

procedure TFrmCadRestricoesTeleBloq.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadRestricoesTeleBloq.Close;
end    
end;

procedure TFrmCadRestricoesTeleBloq.BdcLimparClick(Sender: TObject);
begin
TxtNumeroCGCCNPJLocCliFiltroCSF.Text:='';
TxtNFantasiaLocCliFiltro.Text:='';
TxtNumeroCPFLocCliFiltroCSF.Text:='';
end;

procedure TFrmCadRestricoesTeleBloq.FormActivate(Sender: TObject);
begin
ModuloDados.TbCadResFiltro.Active:=True;
ModuloDados.TbCadResFiltro.Append;
RBCpfCSF.Checked:=True;
end;

procedure TFrmCadRestricoesTeleBloq.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.TbCadResFiltro.Active:=False;
Action:=caFree;
FrmCadRestricoes:=Nil;
end;

procedure TFrmCadRestricoesTeleBloq.TxtNumeroCPFLocCliFiltroExit(Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CPF', TxtNumeroCPFLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CPF Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCPFLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesTeleBloq.TxtNumeroCGCCNPJLocCliFiltroExit(Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CGC', TxtNumeroCGCCNPJLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CGC Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCGCCNPJLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesTeleBloq.TxtNumeroCPFLocCliFiltroKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesTeleBloq.TxtNumeroCGCCNPJLocCliFiltroKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesTeleBloq.RBCgcCnpjKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesTeleBloq.RBCpfKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesTeleBloq.TxtNumeroCGCCNPJLocCliFiltroCSFExit(
  Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CGC', TxtNumeroCGCCNPJLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CGC Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCGCCNPJLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesTeleBloq.TxtNumeroCPFLocCliFiltroCSFExit(
  Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CPF', TxtNumeroCPFLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CPF Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCPFLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesTeleBloq.TxtNumeroCGCCNPJLocCliFiltroCSFKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end

end;

procedure TFrmCadRestricoesTeleBloq.TxtNumeroCPFLocCliFiltroCSFKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end

end;

procedure TFrmCadRestricoesTeleBloq.BdcExcluirCSFClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadTeleBloqueio,FrmCadTeleBloqueio);
    FrmCadTeleBloqueio.Show;
    FrmCadTeleBloqueio.Caption:='SISCONS -  Excluso de Tele Bloqueio';
    FrmCadTeleBloqueio.TxtDesconCadTeleBloq.Visible:=True;
    FrmCadTeleBloqueio.NavegadorAnterior.Visible:=True;
    FrmCadTeleBloqueio.NavagadorProximo.Visible:=True;
    FrmCadTeleBloqueio.LblInfo.Visible:=True;
    FrmCadTeleBloqueio.AlterarClick(Sender);
    ModuloDados.TbCadTelBloqueio.Filtered:=True;
    FrmCadTeleBloqueio.GroupBox3.Visible:=True;
    ModuloDados.TbCadTelBloqueio.Filtered:=True;
    ModuloDados.TbCadTelBloqueio.Filter:='CPF='+QuotedStr(TxtNumeroCPFLocCliFiltroCSF.Text);
    FrmCadProtesto.TxtNomeCadProtesto.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    FrmCadRestricoesTeleBloq.Close;
end
      Else
        If RBCgcCnpjCSF.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadTeleBloqueio,FrmCadTeleBloqueio);
            FrmCadTeleBloqueio.Show;
            FrmCadTeleBloqueio.Caption:='SISCONS -  Excluso de Tele Bloqueio';
            FrmCadTeleBloqueio.TxtDesconCadTeleBloq.Visible:=True;
            FrmCadTeleBloqueio.NavegadorAnterior.Visible:=True;
            FrmCadTeleBloqueio.NavagadorProximo.Visible:=True;
            FrmCadTeleBloqueio.AlterarClick(Sender);
            FrmCadTeleBloqueio.LblInfo.Visible:=True;
            FrmCadTeleBloqueio.GroupBox3.Visible:=True;
            ModuloDados.TbCadTelBloqueio.Filtered:=True;
            ModuloDados.TbCadTelBloqueio.Filter:='CGC='+QuotedStr(TxtNumeroCGCCNPJLocCliFiltroCSF. Text);
            FrmCadTeleBloqueio.TxtNomeCadTeleBloq.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            FrmCadRestricoesTeleBloq.Close;
      end
end;

procedure TFrmCadRestricoesTeleBloq.BdcCadastrarCSFClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadTeleBloqueio,FrmCadTeleBloqueio);
    FrmCadTeleBloqueio.Show;
    FrmCadTeleBloqueio.Caption:='SISCONS -  Cadastro de Tele Bloqueio';
    FrmCadTeleBloqueio.TxtDesconCadTeleBloq.Visible:=False;
    FrmCadTeleBloqueio.NovoClick(Sender);
    FrmCadTeleBloqueio.TxtNomeCadTeleBloq.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    ModuloDados.TbCadTelBloqueio.FieldValues['CPF']:=TxtNumeroCPFLocCliFiltroCSF.Text;
    ModuloDados.TbCadTelBloqueio.FieldValues['Codigo_Cliente']:=ModuloDados.TbCadResFiltro.FieldValues['Codigo_Cliente'];
    ModuloDados.TbCadTelBloqueio.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
    ModuloDados.TbCadTelBloqueio.FieldValues['DtCad']:=ModuloDados.TbCadResFiltro.FieldValues['Data_Cad'];
    FrmCadRestricoesTeleBloq.Close;
end
      Else
        If RBCgcCnpjCSF.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadTeleBloqueio,FrmCadTeleBloqueio);
            FrmCadTeleBloqueio.Show;
            FrmCadProtesto.Caption:='SISCONS -  Cadastro de Tele Bloqueio';
            FrmCadTeleBloqueio.TxtDesconCadTeleBloq.Visible:=False;
            FrmCadTeleBloqueio.NovoClick(Sender);
            FrmCadTeleBloqueio.TxtNomeCadTeleBloq.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            ModuloDados.TbCadTelBloqueio.FieldValues['CGC']:=TxtNumeroCGCCNPJLocCliFiltroCSF.Text;
            ModuloDados.TbCadTelBloqueio.FieldValues['Codigo_Cliente']:=ModuloDados.TbCadResFiltro.FieldValues['Codigo_Cliente'];
            ModuloDados.TbCadTelBloqueio.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
            ModuloDados.TbCadTelBloqueio.FieldValues['DtCad']:=ModuloDados.TbCadResFiltro.FieldValues['Data_Cad'];
            FrmCadRestricoesTeleBloq.Close;
      end
end;

procedure TFrmCadRestricoesTeleBloq.RBCgcCnpjCSFClick(Sender: TObject);
begin
If RBCgcCnpjCSF.Checked=True Then
  Begin
    TxtNumeroCPFLocCliFiltroCSF.Text:='';
    TxtNumeroCPFLocCliFiltroCSF.Visible:=False;
    TxtNumeroCGCCNPJLocCliFiltroCSF.Visible:=True;
    DBGrid.Columns[2].Visible:=False;
    DBGrid.Columns[1].Visible:=True;
    TxtNumeroCGCCNPJLocCliFiltroCSF.SetFocus;
end
      Else
       Abort;
end;

procedure TFrmCadRestricoesTeleBloq.RBCpfCSFClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    TxtNumeroCGCCNPJLocCliFiltroCSF.Text:='';
    TxtNumeroCGCCNPJLocCliFiltroCSF.Visible:=False;
    TxtNumeroCPFLocCliFiltroCSF.Visible:=True;
    DBGrid.Columns[1].Visible:=False;
    DBGrid.Columns[2].Visible:=True;
    TxtNumeroCPFLocCliFiltroCSF.SetFocus;
end
      Else
       Abort;
end;

procedure TFrmCadRestricoesTeleBloq.RBCgcCnpjCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesTeleBloq.RBCpfCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
