unit UntCadTelBloqueio;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DBCtrls, DB, Mask, Shellapi, Buttons, ExtCtrls, Menus;

type
  TFrmCadTeleBloqueio = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label5: TLabel;
    LblInfo: TLabel;
    TxtCPFCadTeleBloq: TDBEdit;
    TxtCGCCadTeleBloq: TDBEdit;
    TxtNomeCadTeleBloq: TEdit;
    GroupBox3: TGroupBox;
    NavegadorAnterior: TDBNavigator;
    NavagadorProximo: TDBNavigator;
    TxtDesconCadTeleBloq: TDBCheckBox;
    GroupBox2: TGroupBox;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    TxtCodCadTeleBloq: TDBEdit;
    TxtCodCliCadTeleBloq: TDBEdit;
    TxtDtCadCadTeleBloq: TDBEdit;
    TxtUsuCadTeleBloq: TDBEdit;
    TxtDDebCadTeleBloq: TDBEdit;
    TxtDIncCadTeleBloq: TDBEdit;
    TxtAliCadTeleBloq: TDBEdit;
    TxtEmpreNegatCadTeleBloq: TDBEdit;
    TxtFoneEmpreCadTeleBloq: TDBEdit;
    TxtEmailEmpreCadTeleBloq: TDBEdit;
    TxtAgenciaCadTeleBloq: TDBEdit;
    TxtContaCadTeleBloq: TDBEdit;
    TxtCheqIniCadTeleBloq: TDBEdit;
    TxtCheqFinalCadTeleBloq: TDBEdit;
    TxtObsCadTeleBloq: TDBEdit;
    TxtQtdeCadTeleBloq: TDBEdit;
    DsCadTelBloqueio: TDataSource;
    DsLocBancoCadCheqIrregulares: TDataSource;
    TxtLocBancoCadTeleBloq: TDBLookupComboBox;
    TxtLocTipoCadTeleBloq: TDBComboBox;
    BdcEnviarEmail: TBitBtn;
    PopupMenu: TPopupMenu;
    Novo: TMenuItem;
    Salvar: TMenuItem;
    Alterar: TMenuItem;
    Cancelar: TMenuItem;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure BdcEnviarEmailClick(Sender: TObject);
    procedure SalvarClick(Sender: TObject);
    procedure NovoClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure AlterarClick(Sender: TObject);
    procedure CancelarClick(Sender: TObject);
    procedure TxtDDebCadTeleBloqKeyPress(Sender: TObject; var Key: Char);
    procedure TxtDIncCadTeleBloqKeyPress(Sender: TObject; var Key: Char);
    procedure TxtEmpreNegatCadTeleBloqKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtLocBancoCadTeleBloqKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtAgenciaCadTeleBloqKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtContaCadTeleBloqKeyPress(Sender: TObject; var Key: Char);
    procedure TxtLocTipoCadTeleBloqKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtCheqIniCadTeleBloqKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtCheqFinalCadTeleBloqKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtQtdeCadTeleBloqKeyPress(Sender: TObject; var Key: Char);
    procedure TxtFoneEmpreCadTeleBloqKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtAliCadTeleBloqKeyPress(Sender: TObject; var Key: Char);
    procedure TxtEmailEmpreCadTeleBloqKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtObsCadTeleBloqKeyPress(Sender: TObject; var Key: Char);
    procedure TxtDesconCadTeleBloqKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadTeleBloqueio: TFrmCadTeleBloqueio;

implementation

uses UntModuloDados;

{$R *.dfm}

procedure TFrmCadTeleBloqueio.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadTeleBloqueio.Close;
end    
end;

procedure TFrmCadTeleBloqueio.BdcEnviarEmailClick(Sender: TObject);
var Mail : String;
begin
If TxtEmailEmpreCadTeleBloq.Text='' Then
  Begin
    Application.MessageBox('O sistema no pode encontrar nenhum endereo de e-mail!!!','SC Informtica',MB_ICONINFORMATION);
    TxtEmailEmpreCadTeleBloq.SetFocus;
end
      Else
        If TxtEmailEmpreCadTeleBloq.Text<>'' Then
          Begin
            Mail:=TxtEmailEmpreCadTeleBloq.Text;
            Mail := 'mailto:'+Mail;
            ShellExecute(GetDesktopWindow,'open',pchar(Mail),nil,nil,sw_ShowNormal);
     end
end;

procedure TFrmCadTeleBloqueio.SalvarClick(Sender: TObject);
begin
If (TxtNomeCadTeleBloq.Text='') or (TxtDDebCadTeleBloq.Text='') or (TxtDIncCadTeleBloq.Text='') or (TxtEmpreNegatCadTeleBloq.Text='') or (TxtLocBancoCadTeleBloq.Text='') or (TxtAgenciaCadTeleBloq.Text='') or (TxtContaCadTeleBloq.Text='') or (TxtLocTipoCadTeleBloq.Text='') or (TxtCheqIniCadTeleBloq.Text='') or (TxtCheqFinalCadTeleBloq.Text='') or (TxtQtdeCadTeleBloq.Text='') or (TxtAliCadTeleBloq.Text='') Then
  Begin
    Application.MessageBox('Dados Insuficiente para realizar o cadastro!','SC Informtica',MB_ICONINFORMATION);
    TxtDDebCadTeleBloq.SetFocus;
end
      Else
        Begin
          ModuloDados.TbCadTelBloqueio.Post;
          Application.MessageBox('Seu cadastrado foi realizado com sucesso!','SC Informtica',MB_ICONEXCLAMATION);
          ModuloDados.TbCadTelBloqueio.Active:=False;
          Novo.Enabled:=True;
          Salvar.Enabled:=False;
          Alterar.Enabled:=True;
          Cancelar.Enabled:=False;
          TxtLocBancoCadTeleBloq.Enabled:=True;
          FrmCadTeleBloqueio.Close;
      end
end;

procedure TFrmCadTeleBloqueio.NovoClick(Sender: TObject);
begin
ModuloDados.TbCadTelBloqueio.Active:=True;
ModuloDados.TbCadTelBloqueio.Append;
TxtDesconCadTeleBloq.Checked:=False;
TxtLocBancoCadTeleBloq.Enabled:=True;
TxtDDebCadTeleBloq.SetFocus;
Novo.Enabled:=False;
Alterar.Enabled:=False;
Salvar.Enabled:=True;
Cancelar.Enabled:=True;
end;

procedure TFrmCadTeleBloqueio.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Action:=caFree;
FrmCadTeleBloqueio:=Nil;
end;

procedure TFrmCadTeleBloqueio.AlterarClick(Sender: TObject);
begin
ModuloDados.TbCadTelBloqueio.Active:=True;
Novo.Enabled:=False;
Salvar.Enabled:=True;
Alterar.Enabled:=False;
Cancelar.Enabled:=False;
end;

procedure TFrmCadTeleBloqueio.CancelarClick(Sender: TObject);
begin
If Application.MessageBox('A T E N   O ! ! !'#13'Realmente deseja cancelar esta ao???','SC Informtica',MB_ICONQUESTION+MB_YESNO)=mrYes Then
  Begin
    ModuloDados.TbCadTelBloqueio.Cancel;
    ModuloDados.TbCadTelBloqueio.Active:=False;
    Novo.Enabled:=True;
    Salvar.Enabled:=False;
    Alterar.Enabled:=False;
    Cancelar.Enabled:=False;
    TxtLocBancoCadTeleBloq.Enabled:=False;
    FrmCadTeleBloqueio.Close;
end
      Else
        Abort;
end;

procedure TFrmCadTeleBloqueio.TxtDDebCadTeleBloqKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtDIncCadTeleBloqKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtEmpreNegatCadTeleBloqKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtLocBancoCadTeleBloqKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtAgenciaCadTeleBloqKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtContaCadTeleBloqKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtLocTipoCadTeleBloqKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtCheqIniCadTeleBloqKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtCheqFinalCadTeleBloqKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtQtdeCadTeleBloqKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtFoneEmpreCadTeleBloqKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtAliCadTeleBloqKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtEmailEmpreCadTeleBloqKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtObsCadTeleBloqKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadTeleBloqueio.TxtDesconCadTeleBloqKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
