unit UntCadUsu;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, StdCtrls, DBCtrls, Buttons, ExtCtrls, Mask;

type
  TFrmUsuario = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    TxtCodUsu: TDBEdit;
    TxtNomUsu: TDBEdit;
    TxtLogin: TDBEdit;
    TxtSenha: TDBEdit;
    TxtConf: TDBEdit;
    TxtDep: TDBEdit;
    PnBDCUsu: TPanel;
    BdcNovo: TBitBtn;
    BdcSalvar: TBitBtn;
    BdcAlterar: TBitBtn;
    BdcExcluir: TBitBtn;
    BdcCancelar: TBitBtn;
    PNLocUsu: TPanel;
    Label8: TLabel;
    TxtLocUsu: TDBLookupComboBox;
    TxtAcesso: TDBComboBox;
    DSUsuario: TDataSource;
    procedure BdcNovoClick(Sender: TObject);
    procedure BdcSalvarClick(Sender: TObject);
    procedure BdcAlterarClick(Sender: TObject);
    procedure BdcExcluirClick(Sender: TObject);
    procedure BdcCancelarClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCodUsuKeyPress(Sender: TObject; var Key: Char);
    procedure TxtNomUsuKeyPress(Sender: TObject; var Key: Char);
    procedure TxtLoginKeyPress(Sender: TObject; var Key: Char);
    procedure TxtDepKeyPress(Sender: TObject; var Key: Char);
    procedure TxtSenhaKeyPress(Sender: TObject; var Key: Char);
    procedure TxtConfKeyPress(Sender: TObject; var Key: Char);
    procedure TxtAcessoKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmUsuario: TFrmUsuario;

implementation

uses UntModuloDados, UntPrincipal;

{$R *.dfm}

procedure TFrmUsuario.BdcNovoClick(Sender: TObject);
begin
ModuloDados.TbUsu.Active:=True;
ModuloDados.TbUsu.Append;
TxtNomUsu.SetFocus;
BdcNovo.Enabled:=False;
BdcSalvar.Enabled:=True;
BdcAlterar.Enabled:=False;
BdcExcluir.Enabled:=False;
BdcCancelar.Enabled:=True;
TxtLocUsu.Enabled:=False;
end;

procedure TFrmUsuario.BdcSalvarClick(Sender: TObject);
begin
If (TxtNomUsu.Text='') or (TxtLogin.Text='') or (TxtSenha.Text='') or (TxtDep.Text='') or (TxtAcesso.Text='') then
  Begin
    Application.MessageBox('Dados insuficiente para salvar o cadastro...'#13'Volte e preencha os campos pendentes...','SC Informtica',MB_ICONINFORMATION);
    TxtNomUsu.SetFocus;
end
      Else
        If TxtSenha.Text<>TxtConf.Text then
          Begin
            Application.MessageBox('A senha do usurio no confere'#13'Volte e rediguite as senhas','SC Informtica',MB_ICONINFORMATION);
            TxtSenha.SetFocus;
            TxtSenha.Clear;
            TxtConf.Clear;
        end
Else
  Begin
    ModuloDados.TbUsu.Post;
    Application.MessageBox('Usurio cadastrado com sucesso...','SC Informtica',MB_ICONEXCLAMATION);
    ModuloDados.TbUsu.Active:=False;
    BdcNovo.Enabled:=True;
    BdcSalvar.Enabled:=False;
    BdcAlterar.Enabled:=True;
    BdcExcluir.Enabled:=False;
    BdcCancelar.Enabled:=False;
    TxtLocUsu.Enabled:=False;
end
end;

procedure TFrmUsuario.BdcAlterarClick(Sender: TObject);
begin
ModuloDados.TbUsu.Active:=True;
ModuloDados.TbUsu.Append;
ModuloDados.TbUsu.Edit;
BdcNovo.Enabled:=False;
BdcSalvar.Enabled:=True;
BdcAlterar.Enabled:=False;
BdcExcluir.Enabled:=True;
BdcCancelar.Enabled:=True;
TxtLocUsu.Enabled:=True;
TxtLocUsu.DropDown;
TxtLocUsu.SetFocus;
end;

procedure TFrmUsuario.BdcExcluirClick(Sender: TObject);
begin
If TxtCodUsu.Text='' then
  Begin
    Application.MessageBox('No existe cadastro selecionado para ser excluido...'#13'Volte e selecione o cadastro que deseja exluir...','SC Informtica',MB_ICONINFORMATION);
    TxtLocUsu.DropDown;
    TxtLocUsu.SetFocus;
end
      else
        If TxtLogin.Text= FrmPrincipal.StatusBar.Panels[1].Text Then
          Begin
            Application.MessageBox('Este usurio no pode ser excludo neste momento,'#13'porque se encontra logado no sistema!!!'#13'Volte e entre com outra conta do nvel administrador para poder executar esta ao...','SC Informtica',MB_ICONINFORMATION);
            TxtLocUsu.SetFocus;
            TxtLocUsu.DropDown;
        end
Else
  If Application.MessageBox('A T E N   O...'#13'Deseja realmente excluir o cadastro?','SC Informtica',MB_YESNO+MB_ICONQUESTION)=mrYes then
    Begin
      ModuloDados.TbUsu.Delete;
      Application.MessageBox('Usurio excluido com sucesso...','SC Informtica',MB_ICONINFORMATION);
      ModuloDados.TbUsu.Active:=False;
      BdcNovo.Enabled:=True;
      BdcSalvar.Enabled:=False;
      BdcAlterar.Enabled:=True;
      BdcExcluir.Enabled:=False;
      BdcCancelar.Enabled:=False;
      TxtLocUsu.Enabled:=False;
  end
end;

procedure TFrmUsuario.BdcCancelarClick(Sender: TObject);
begin
If Application.MessageBox('A T E N   O ! ! !'#13'Realmente deseja cancelar esta ao???','SC Informtica',MB_ICONQUESTION+MB_YESNO)=mrYes Then
  Begin
    ModuloDados.TbUsu.Cancel;
    ModuloDados.TbUsu.Active:=False;
    BdcNovo.Enabled:=True;
    BdcSalvar.Enabled:=False;
    BdcAlterar.Enabled:=True;
    BdcExcluir.Enabled:=False;
    BdcCancelar.Enabled:=False;
    TxtLocUsu.Enabled:=False
end
      Else
        Abort;
end;

procedure TFrmUsuario.FormClose(Sender: TObject; var Action: TCloseAction);
begin
ModuloDados.TbUsu.Active:=False;
Action:=caFree;
FrmUsuario:=Nil;
end;

procedure TFrmUsuario.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmUsuario.Close;
end    
end;

procedure TFrmUsuario.TxtCodUsuKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmUsuario.TxtNomUsuKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmUsuario.TxtLoginKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmUsuario.TxtDepKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmUsuario.TxtSenhaKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmUsuario.TxtConfKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmUsuario.TxtAcessoKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
