{Os cdigos digitados nesta Unit foram desenvolvidas por:
SC Informtica [Programador: Samuel da Silva]}
unit UntConsBaseDado;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ActnMan, ActnColorMaps, ActnList,
  StdStyleActnCtrls, ToolWin, ActnCtrls, ActnMenus, Grids, DBGrids, Mask,
  DBCtrls, DB;

type
  TFrmConsBaseDados = class(TForm)
    GroupBox1: TGroupBox;
    Image: TImage;
    Label1: TLabel;
    Label2: TLabel;
    GroupBox2: TGroupBox;
    Label3: TLabel;
    TxtCodConsBaseDado: TEdit;
    Label4: TLabel;
    TxtSenhaConsBaseDado: TEdit;
    Label5: TLabel;
    TxtNomeX: TEdit;
    GroupBox3: TGroupBox;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    TxtNomeY: TEdit;
    GroupBox4: TGroupBox;
    LblStatus: TLabel;
    BarradeMenu: TActionMainMenuBar;
    Acoes: TActionManager;
    Logoff: TAction;
    Cores: TXPColorMap;
    Reiniciar: TAction;
    ConsultarNovo: TAction;
    Fechar: TAction;
    Imprimir: TAction;
    CadTeleBloq: TAction;
    TxtCPFConsBaseDado: TMaskEdit;
    TxtCGCConsBaseDado: TMaskEdit;
    TempoC: TEdit;
    Timer: TTimer;
    DsConsCheqSFundo: TDataSource;
    LblCheqIrre: TLabel;
    LblCheqSF: TLabel;
    LblTeleBloq: TLabel;
    LblProtesto: TLabel;
    LblFalencia: TLabel;
    DbConsFalencia: TDBGrid;
    LblRest: TLabel;
    DbConsCheqIrregular: TDBGrid;
    DsConsCheqsIrregular: TDataSource;
    DsConsFalencia: TDataSource;
    DsConsProtesto: TDataSource;
    DsConsTeleBloq: TDataSource;
    DsConsRestCom: TDataSource;
    Label9: TLabel;
    DbConsCheqSFundo: TDBGrid;
    DbRestCom: TDBGrid;
    DbConsTeleBloq: TDBGrid;
    DBConsProtesto: TDBGrid;
    Label10: TLabel;
    TxtContador: TEdit;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure LogoffExecute(Sender: TObject);
    procedure FecharExecute(Sender: TObject);
    procedure CadTeleBloqExecute(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TxtCodConsBaseDadoChange(Sender: TObject);
    procedure TxtCodConsBaseDadoExit(Sender: TObject);
    procedure TxtSenhaConsBaseDadoExit(Sender: TObject);
    procedure TxtCodConsBaseDadoKeyPress(Sender: TObject; var Key: Char);
    procedure TxtSenhaConsBaseDadoKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCPFConsBaseDadoExit(Sender: TObject);
    procedure TxtCPFConsBaseDadoKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCGCConsBaseDadoExit(Sender: TObject);
    procedure TxtCGCConsBaseDadoKeyPress(Sender: TObject; var Key: Char);
    procedure TxtSenhaConsBaseDadoChange(Sender: TObject);
    procedure TxtCPFConsBaseDadoChange(Sender: TObject);
    procedure TxtCGCConsBaseDadoChange(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure ReiniciarExecute(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure ConsultarNovoExecute(Sender: TObject);
    procedure TxtCPFConsBaseDadoEnter(Sender: TObject);
    procedure TxtCGCConsBaseDadoEnter(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmConsBaseDados: TFrmConsBaseDados;
  Senha:String;
  Doc:String;
  NDoc:String;
  Contador:Integer;
  HI:TDateTime;
  HF:TDateTime;

implementation

uses Math, UntLogin, UntCadRestricoesTeleBloq, UntPrincipal,
  UntModuloDados, MaskUtils, ComCtrls;

{$R *.dfm}
procedure TFrmConsBaseDados.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    Key:=#0;
    FrmConsBaseDados.Close;
end    
end;

procedure TFrmConsBaseDados.LogoffExecute(Sender: TObject);
begin
Application.CreateForm(TFrmLogin,FrmLogin);
FrmConsBaseDados.Hide;
FrmPrincipal.Hide;
FrmLogin.ShowModal;
end;

procedure TFrmConsBaseDados.FecharExecute(Sender: TObject);
begin
ModuloDados.TbEstatistica.Active:=True;
ModuloDados.TbEstatistica.Append;
ModuloDados.TbEstatistica.FieldValues['Data']:=Date;
ModuloDados.TbEstatistica.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
ModuloDados.TbEstatistica.FieldValues['Qtd']:=Contador;
ModuloDados.TbEstatistica.Post;
ModuloDados.TbEstatistica.Active:=False;
FrmConsBaseDados.Close;
end;

procedure TFrmConsBaseDados.CadTeleBloqExecute(Sender: TObject);
begin
Application.CreateForm(TFrmCadRestricoesTeleBloq,FrmCadRestricoesTeleBloq);
FrmCadRestricoesTeleBloq.ShowModal;
end;

procedure TFrmConsBaseDados.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.TbCadCSF.Active:=False;
ModuloDados.TbCadChequesIrregulares.Active:=False;
ModuloDados.TbCadFalCon.Active:=False;
ModuloDados.TbCadProtesto.Active:=False;
ModuloDados.TbCadRestCom.Active:=False;
ModuloDados.TbCadTelBloqueio.Active:=False;
ModuloDados.TbCadCliente.Active:=False;
//Salvando os Dados na tabela Estatisticas
ModuloDados.TbEstatistica.Active:=True;
ModuloDados.TbEstatistica.Append;
ModuloDados.TbEstatistica.FieldValues['Data']:=Date;
ModuloDados.TbEstatistica.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
ModuloDados.TbEstatistica.FieldValues['Qtd']:=Contador;
ModuloDados.TbEstatistica.Post;
ModuloDados.TbEstatistica.Active:=False;
///////////////////////////////////////////
Action:=caFree;
FrmConsBaseDados:=Nil;
end;

procedure TFrmConsBaseDados.TxtCodConsBaseDadoChange(Sender: TObject);
begin
LblStatus.Caption:='Consultando...';
end;

procedure TFrmConsBaseDados.TxtCodConsBaseDadoExit(Sender: TObject);
Var
  User:String;
Begin
ModuloDados.TbCadCliente.Locate('User', TxtCodConsBaseDado.Text, [loPartialKey]);
User:=ModuloDados.TbCadCliente.FieldValues['User'];
Senha:=ModuloDados.TbCadCliente.FieldValues['Senha'];
If TxtCodConsBaseDado.Text<>User Then
  Begin
    Application.MessageBox('Cdigo invlido ou no existe!!!','SC Informtica',MB_ICONINFORMATION);
    TxtCodConsBaseDado.Text:='';
    TxtCodConsBaseDado.SetFocus;
end
      Else
        Abort;
end;

procedure TFrmConsBaseDados.TxtSenhaConsBaseDadoExit(Sender: TObject);
Begin
ModuloDados.TbCadCliente.Locate('Senha', TxtSenhaConsBaseDado.Text, [loPartialKey]);
TxtNomeX.Text:=ModuloDados.TbCadCliente.FieldValues['Razao_Social'];
If TxtSenhaConsBaseDado.Text <> Senha Then
  Begin
    TxtNomeX.Text:='';
    Application.MessageBox('Senha e cdigo informados no conferem!!!','SC Informtica',MB_ICONINFORMATION);
    TxtSenhaConsBaseDado.Text:='';
    TxtSenhaConsBaseDado.SetFocus;
end
      Else
        If TxtSenhaConsBaseDado.Text = Senha Then
          Begin
            TxtNomeX.Text:=ModuloDados.TbCadCliente.FieldValues['Razao_Social'];
            TxtCPFConsBaseDado.Enabled:=True;
            TxtCPFConsBaseDado.Color:=clWindow;
            TxtCGCConsBaseDado.Enabled:=True;
            TxtCGCConsBaseDado.Color:=clWindow;
      end
Else
  Abort;
end;

procedure TFrmConsBaseDados.TxtCodConsBaseDadoKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmConsBaseDados.TxtSenhaConsBaseDadoKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmConsBaseDados.TxtCPFConsBaseDadoExit(Sender: TObject);
Var
  CPF:String;
begin
If TxtCPFConsBaseDado.Text<'0'  Then
  Begin
    Abort;
end
Else

{Aqui estarei localizando o Campo CPF na Tabela}

//Tabela Cliente
ModuloDados.TbCadCliente.Locate('CPF',TxtCPFConsBaseDado.Text, [loPartialKey]);
CPF:=ModuloDados.TbCadCliente.FieldValues['CPF'];
TxtNomeY.Text:=ModuloDados.TbCadCliente.FieldValues['Razao_Social'];

{Aqui estarei Filtrando os campos das Tabelas}

//Tabela Cheq Irregular
ModuloDados.TbCadChequesIrregulares.Filtered:=True;
ModuloDados.TbCadChequesIrregulares.Filter:='CPF='+QuotedStr(TxtCPFConsBaseDado.Text)+'and Descontinuar=' +QuotedStr('False');
//Tabela Falencia
ModuloDados.TbCadFalCon.Filtered:=True;
ModuloDados.TbCadFalCon.Filter:='CPF='+QuotedStr(TxtCPFConsBaseDado.Text)+'and Descontinuar=' +QuotedStr('False');
//Tabela Protesto
ModuloDados.TbCadProtesto.Filtered:=True;
ModuloDados.TbCadProtesto.Filter:='CPF='+QuotedStr(TxtCPFConsBaseDado.Text)+'and Descontinuar=' +QuotedStr('False');
//Tabela Rest. Comerciais
ModuloDados.TbCadRestCom.Filtered:=True;
ModuloDados.TbCadRestCom.Filter:='CPF='+QuotedStr(TxtCPFConsBaseDado.Text)+'and Descontinuar=' +QuotedStr('False');
//Tabela Tele Bloqueio
ModuloDados.TbCadTelBloqueio.Filtered:=True;
ModuloDados.TbCadTelBloqueio.Filter:='CPF='+QuotedStr(TxtCPFConsBaseDado.Text)+'and Descontinuar=' +QuotedStr('False');
//Tabela CSF
ModuloDados.TbCadCSF.Filtered:=True;
ModuloDados.TbCadCSF.Filter:='CPF='+QuotedStr(TxtCPFConsBaseDado.Text)+'and Descontinuar=' +QuotedStr('False');
If TxtCPFConsBaseDado.Text <> CPF Then
  Begin
    TxtNomeY.Text:='';
    Application.MessageBox('Nada consta para este CPF consultado!!!','SC Informtica',MB_ICONINFORMATION);
    TxtCPFConsBaseDado.Text:='';
end
      Else
        If TxtCPFConsBaseDado.Text = CPF Then
          Begin
            TxtNomeY.Text:=ModuloDados.TbCadCliente.FieldValues['Razao_Social'];
            LblCheqIrre.Visible:=True;
            DbConsCheqIrregular.Visible:=True;
            LblCheqSF.Visible:=True;
            DbConsCheqSFundo.Visible:=True;
            LblFalencia.Visible:=True;
            DbConsFalencia.Visible:=True;
            LblProtesto.Visible:=True;
            DBConsProtesto.Visible:=True;
            LblRest.Visible:=True;
            DbRestCom.Visible:=True;
            LblTeleBloq.Visible:=True;
            DbConsTeleBloq.Visible:=True;
            CPF:=NullAsStringValue;
            TxtCPFConsBaseDado.Enabled:=False;
            DbConsCheqIrregular.SetFocus;
            Doc:='CPF';
            NDoc:=TxtCPFConsBaseDado.Text;

              //Salvando os Dados na Tabela Estatisticas02
              ModuloDados.TbEstatistica02.Active:=True;
              ModuloDados.TbEstatistica02.Append;
              ModuloDados.TbEstatistica02.FieldValues['Data']:=Date;
              ModuloDados.TbEstatistica02.FieldValues['Hora']:=Time;
              ModuloDados.TbEstatistica02.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
              ModuloDados.TbEstatistica02.FieldValues['Empresa']:=TxtNomeX.Text;
              ModuloDados.TbEstatistica02.FieldValues['Consultado']:=TxtNomeY.Text;
              ModuloDados.TbEstatistica02.FieldValues['Doc']:=Doc;
              ModuloDados.TbEstatistica02.FieldValues['Numero']:=NDoc;
              ModuloDados.TbEstatistica02.Post;
              ModuloDados.TbEstatistica02.Active:=False;
            //Salvando os Dados na Tabela Estatisticas03
            ModuloDados.TbEstatistica03.Active:=True;
            ModuloDados.TbEstatistica03.Append;
            ModuloDados.TbEstatistica03.FieldValues['Data']:=Date;
            ModuloDados.TbEstatistica03.FieldValues['Codigo']:=TxtCodConsBaseDado.Text;
            ModuloDados.TbEstatistica03.FieldValues['Empresa']:=TxtNomeX.Text;
            ModuloDados.TbEstatistica03.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
            ModuloDados.TbEstatistica03H_In.Value:=HI;
            HF:=StrToTime(TimeToStr(Time));
            ModuloDados.TbEstatistica03H_Fim.Value:=HF;
            ModuloDados.TbEstatistica03.FieldValues['Duracao']:=ModuloDados.TbEstatistica03H_In.Value-ModuloDados.TbEstatistica03H_Fim.Value;
            ModuloDados.TbEstatistica03.Post;
            ModuloDados.TbEstatistica03.Active:=False;
      end
Else
  Abort;

end;

procedure TFrmConsBaseDados.TxtCPFConsBaseDadoKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmConsBaseDados.TxtCGCConsBaseDadoExit(Sender: TObject);
Var
  CGC:String;
begin
If TxtCGCConsBaseDado.Text<'0'  Then
  Begin
    Abort;
end
Else

{Aqui estarei localizando o Campo CGC/CNPJ na Tabela}

//Tabela Cliente
ModuloDados.TbCadCliente.Locate('CGC', TxtCGCConsBaseDado.Text, [loPartialKey]);
CGC:=ModuloDados.TbCadCliente.FieldValues['CGC'];
TxtNomeY.Text:=ModuloDados.TbCadCliente.FieldValues['Razao_Social'];

{Aqui estarei Filtrando os campos das Tabelas}

//Tabela Cheq Irregular
ModuloDados.TbCadChequesIrregulares.Filtered:=True;
ModuloDados.TbCadChequesIrregulares.Filter:='CGC='+QuotedStr(TxtCGCConsBaseDado.Text)+'and Descontinuar=' +QuotedStr('False');
//Tabela Falencia
ModuloDados.TbCadFalCon.Filtered:=True;
ModuloDados.TbCadFalCon.Filter:='CGC='+QuotedStr(TxtCGCConsBaseDado.Text)+'and Descontinuar=' +QuotedStr('False');
//Tabela Protesto
ModuloDados.TbCadProtesto.Filtered:=True;
ModuloDados.TbCadProtesto.Filter:='CGC='+QuotedStr(TxtCGCConsBaseDado.Text)+'and Descontinuar=' +QuotedStr('False');
//Tabela Rest. Comerciais
ModuloDados.TbCadRestCom.Filtered:=True;
ModuloDados.TbCadRestCom.Filter:='CGC='+QuotedStr(TxtCGCConsBaseDado.Text)+'and Descontinuar=' +QuotedStr('False');
//Tabela Tele Bloqueio
ModuloDados.TbCadTelBloqueio.Filtered:=True;
ModuloDados.TbCadTelBloqueio.Filter:='CGC='+QuotedStr(TxtCGCConsBaseDado.Text)+'and Descontinuar=' +QuotedStr('False');
//Tabela CSF
ModuloDados.TbCadCSF.Filtered:=True;
ModuloDados.TbCadCSF.Filter:='CGC='+QuotedStr(TxtCGCConsBaseDado.Text)+'and Descontinuar=' +QuotedStr('False');
If TxtCGCConsBaseDado.Text <> CGC Then
  Begin
    TxtNomeY.Text:='';
    Application.MessageBox('Nada consta para este CGC/CNPJ consultado!!!','SC Informtica',MB_ICONINFORMATION);
    TxtCGCConsBaseDado.Text:='';
end
      Else
        If TxtCGCConsBaseDado.Text = CGC Then
          Begin
            TxtNomeY.Text:=ModuloDados.TbCadCliente.FieldValues['Razao_Social'];
            LblCheqIrre.Visible:=True;
            DbConsCheqIrregular.Visible:=True;
            LblCheqSF.Visible:=True;
            DbConsCheqSFundo.Visible:=True;
            LblFalencia.Visible:=True;
            DbConsFalencia.Visible:=True;
            LblProtesto.Visible:=True;
            DBConsProtesto.Visible:=True;
            LblRest.Visible:=True;
            DbRestCom.Visible:=True;
            LblTeleBloq.Visible:=True;
            DbConsTeleBloq.Visible:=True;
            CGC:=NullAsStringValue;
            TxtCGCConsBaseDado.Enabled:=False;
            DbConsCheqIrregular.SetFocus;
            Doc:='CGC';
            NDoc:=TxtCGCConsBaseDado.Text;
               //Salvando os Dados na Tabela Estatisticas02
              ModuloDados.TbEstatistica02.Active:=True;
              ModuloDados.TbEstatistica02.Append;
              ModuloDados.TbEstatistica02.FieldValues['Data']:=Date;
              ModuloDados.TbEstatistica02.FieldValues['Hora']:=Time;
              ModuloDados.TbEstatistica02.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
              ModuloDados.TbEstatistica02.FieldValues['Empresa']:=TxtNomeX.Text;
              ModuloDados.TbEstatistica02.FieldValues['Consultado']:=TxtNomeY.Text;
              ModuloDados.TbEstatistica02.FieldValues['Doc']:=Doc;
              ModuloDados.TbEstatistica02.FieldValues['Numero']:=NDoc;
              ModuloDados.TbEstatistica02.Post;
              ModuloDados.TbEstatistica02.Active:=False;
            //Salvando os Dados na Tabela Estatisticas03
            ModuloDados.TbEstatistica03.Active:=True;
            ModuloDados.TbEstatistica03.Append;
            ModuloDados.TbEstatistica03.FieldValues['Data']:=Date;
            ModuloDados.TbEstatistica03.FieldValues['Codigo']:=TxtCodConsBaseDado.Text;
            ModuloDados.TbEstatistica03.FieldValues['Empresa']:=TxtNomeX.Text;
            ModuloDados.TbEstatistica03.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
            ModuloDados.TbEstatistica03H_In.Value:=HI;
            HF:=StrToTime(TimeToStr(Time));
            ModuloDados.TbEstatistica03H_Fim.Value:=HF;
            ModuloDados.TbEstatistica03.FieldValues['Duracao']:=ModuloDados.TbEstatistica03H_In.Value-ModuloDados.TbEstatistica03H_Fim.Value;
            ModuloDados.TbEstatistica03.Post;
            ModuloDados.TbEstatistica03.Active:=False;
      end
Else
  Abort;

end;

procedure TFrmConsBaseDados.TxtCGCConsBaseDadoKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmConsBaseDados.TxtSenhaConsBaseDadoChange(Sender: TObject);
begin
LblStatus.Caption:='Consultando...';
end;

procedure TFrmConsBaseDados.TxtCPFConsBaseDadoChange(Sender: TObject);
begin
LblStatus.Caption:='Consultando CPF ...';
end;

procedure TFrmConsBaseDados.TxtCGCConsBaseDadoChange(Sender: TObject);
begin
LblStatus.Caption:='Consultando CGC/CNPJ ...';
end;

procedure TFrmConsBaseDados.FormActivate(Sender: TObject);
begin
Timer.Enabled:=True;
Contador:=0;
ModuloDados.TbCadCSF.Active:=True;
ModuloDados.TbCadChequesIrregulares.Active:=True;
ModuloDados.TbCadFalCon.Active:=True;
ModuloDados.TbCadProtesto.Active:=True;
ModuloDados.TbCadRestCom.Active:=True;
ModuloDados.TbCadTelBloqueio.Active:=True;
ModuloDados.TbCadCliente.Active:=True;
end;

procedure TFrmConsBaseDados.ReiniciarExecute(Sender: TObject);
begin
TxtCodConsBaseDado.Text:='';
TxtCodConsBaseDado.Enabled:=True;
TxtSenhaConsBaseDado.Text:='';
TxtSenhaConsBaseDado.Enabled:=True;
TxtNomeX.Text:='';
TxtCPFConsBaseDado.Text:='';
TxtCPFConsBaseDado.Enabled:=True;
TxtCPFConsBaseDado.Enabled:=False;
TxtCGCConsBaseDado.Text:='';
TxtCGCConsBaseDado.Enabled:=True;
TxtNomeY.Text:='';
TxtCGCConsBaseDado.Enabled:=False;
LblCheqIrre.Visible:=False;
DbConsCheqIrregular.Visible:=False;
LblCheqSF.Visible:=False;
DbConsCheqSFundo.Visible:=False;
LblFalencia.Visible:=False;
DbConsFalencia.Visible:=False;
LblProtesto.Visible:=False;
DBConsProtesto.Visible:=False;
LblRest.Visible:=False;
DbRestCom.Visible:=False;
LblTeleBloq.Visible:=False;
DbConsTeleBloq.Visible:=False;
TempoC.Text:='';
Senha:=NullAsStringValue;
HI:=Null;
HF:=Null;
end;

procedure TFrmConsBaseDados.TimerTimer(Sender: TObject);
begin
//AQUI EU GOSTARIA Q QUANDO COMEASSE A CONSULTAR O CPF OU O CNPJ COMEASSE A
//CONTAR O TEMPO MAIS EM SEGUNDOS
end;

procedure TFrmConsBaseDados.ConsultarNovoExecute(Sender: TObject);
begin;
Contador:=Contador+1;
TxtCodConsBaseDado.Enabled:=True;
TxtSenhaConsBaseDado.Enabled:=True;
TxtCodConsBaseDado.Text:='';
TxtSenhaConsBaseDado.Text:='';
/////////////////////////////////////////////
TxtCPFConsBaseDado.Text:='';
TxtCPFConsBaseDado.Enabled:=True;
TxtCGCConsBaseDado.Text:='';
TxtNomeY.Text:='';
TxtCGCConsBaseDado.Enabled:=True;
LblCheqIrre.Visible:=False;
DbConsCheqIrregular.Visible:=False;
LblCheqSF.Visible:=False;
DbConsCheqSFundo.Visible:=False;
LblFalencia.Visible:=False;
DbConsFalencia.Visible:=False;
LblProtesto.Visible:=False;
DBConsProtesto.Visible:=False;
LblRest.Visible:=False;
DbRestCom.Visible:=False;
LblTeleBloq.Visible:=False;
DbConsTeleBloq.Visible:=False;
end;

procedure TFrmConsBaseDados.TxtCPFConsBaseDadoEnter(Sender: TObject);
begin
HI:=StrToTime(TimeToStr(Time));
TxtCodConsBaseDado.Enabled:=False;
TxtSenhaConsBaseDado.Enabled:=False;
TxtCGCConsBaseDado.Text:='';
TxtCGCConsBaseDado.Enabled:=False;
TxtNomeY.Text:='';
end;

procedure TFrmConsBaseDados.TxtCGCConsBaseDadoEnter(Sender: TObject);
begin
HI:=StrToTime(TimeToStr(Time));
TxtCodConsBaseDado.Enabled:=False;
TxtSenhaConsBaseDado.Enabled:=False;
TxtCPFConsBaseDado.Text:='';
TxtCPFConsBaseDado.Enabled:=False;
TxtNomeY.Text:='';
end;

end.
