unit UntConsEstatisticasAcesso;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, StdCtrls, DB, ExtCtrls, Buttons, Mask, DBCtrls;

type
  TFrmEstatisticasAcessi = class(TForm)
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    BdLimpar: TBitBtn;
    BdcFiltrar: TBitBtn;
    Panel1: TPanel;
    Panel2: TPanel;
    RadioGroup1: TRadioGroup;
    Panel4: TPanel;
    Panel3: TPanel;
    DsEstatisticasCliente: TDataSource;
    GroupBox1: TGroupBox;
    DBGrid: TDBGrid;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    LblMaskDinicial: TLabel;
    LblUsu: TLabel;
    LblMaskDFinal: TLabel;
    TxtLocUsuEstatisticasCliente: TDBLookupComboBox;
    MaskDatIni: TMaskEdit;
    MaskDatFim: TMaskEdit;
    DsLocUsuEstatisticasCliente: TDataSource;
    Label1: TLabel;
    TxtLocEmpresaEstatisticasCliente: TDBLookupComboBox;
    DsLocEmpresaEstatisticasCliente: TDataSource;
    TxtCodigo: TEdit;
    Label2: TLabel;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure RadioButton3Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton4Click(Sender: TObject);
    procedure TxtLocUsuEstatisticasClienteExit(Sender: TObject);
    procedure TxtLocEmpresaEstatisticasClienteExit(Sender: TObject);
    procedure BdcFiltrarClick(Sender: TObject);
    procedure TxtCodigoExit(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure BdLimparClick(Sender: TObject);
    procedure TxtLocEmpresaEstatisticasClienteKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtLocUsuEstatisticasClienteKeyPress(Sender: TObject;
      var Key: Char);
    procedure MaskDatIniKeyPress(Sender: TObject; var Key: Char);
    procedure MaskDatFimKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCodigoKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmEstatisticasAcessi: TFrmEstatisticasAcessi;

implementation

uses UntModuloDados;

{$R *.dfm}

procedure TFrmEstatisticasAcessi.FormKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmEstatisticasAcessi.Close;
end    
end;

procedure TFrmEstatisticasAcessi.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.TbUsu.Active:=False;
ModuloDados.TbEstatistica02.Active:=False;
ModuloDados.TbCadCliente.Active:=False;
Action:=caFree;
FrmEstatisticasAcessi:=Nil;
end;

procedure TFrmEstatisticasAcessi.RadioButton3Click(Sender: TObject);
begin
TxtLocEmpresaEstatisticasCliente.Enabled:=True;
TxtLocUsuEstatisticasCliente.Enabled:=False;
MaskDatIni.Enabled:=False;
MaskDatFim.Enabled:=False;
TxtCodigo.Enabled:=False;
TxtLocEmpresaEstatisticasCliente.DropDown;
TxtLocEmpresaEstatisticasCliente.SetFocus;
BdcFiltrar.Enabled:=False;
end;

procedure TFrmEstatisticasAcessi.RadioButton1Click(Sender: TObject);
begin
TxtLocEmpresaEstatisticasCliente.Enabled:=False;
TxtLocUsuEstatisticasCliente.Enabled:=True;
MaskDatIni.Enabled:=False;
MaskDatFim.Enabled:=False;
TxtCodigo.Enabled:=False;
TxtLocUsuEstatisticasCliente.DropDown;
TxtLocUsuEstatisticasCliente.SetFocus;
BdcFiltrar.Enabled:=False;
end;

procedure TFrmEstatisticasAcessi.RadioButton2Click(Sender: TObject);
begin
TxtLocEmpresaEstatisticasCliente.Enabled:=False;
TxtLocUsuEstatisticasCliente.Enabled:=False;
MaskDatIni.Enabled:=True;
MaskDatFim.Enabled:=True;
TxtCodigo.Enabled:=False;
MaskDatIni.SetFocus;
BdcFiltrar.Enabled:=True;
end;

procedure TFrmEstatisticasAcessi.RadioButton4Click(Sender: TObject);
begin
TxtLocEmpresaEstatisticasCliente.Enabled:=False;
TxtLocUsuEstatisticasCliente.Enabled:=False;
MaskDatIni.Enabled:=False;
MaskDatFim.Enabled:=False;
TxtCodigo.Enabled:=True;
TxtCodigo.SetFocus;
BdcFiltrar.Enabled:=False;
end;

procedure TFrmEstatisticasAcessi.TxtLocUsuEstatisticasClienteExit(
  Sender: TObject);
begin
ModuloDados.TbEstatistica02.Filtered:=True;
ModuloDados.TbEstatistica02.Filter:='Usuario='+ QuotedStr(TxtLocUsuEstatisticasCliente.Text);
DBGrid.SetFocus;
end;

procedure TFrmEstatisticasAcessi.TxtLocEmpresaEstatisticasClienteExit(
  Sender: TObject);
begin
ModuloDados.TbEstatistica02.Filtered:=True;
ModuloDados.TbEstatistica02.Filter:='Consultado='+ QuotedStr(TxtLocEmpresaEstatisticasCliente.Text);
DBGrid.SetFocus;
end;

procedure TFrmEstatisticasAcessi.BdcFiltrarClick(Sender: TObject);
begin
If (MaskDatIni.Text<'0') or (MaskDatFim.Text<'0') Then
  Begin
    Application.MessageBox('Informe as Datas Inicial e Final do Perodo...','SC Informtica',MB_ICONINFORMATION);
    MaskDatIni.SetFocus;
end
      Else
        If MaskDatIni.Text>MaskDatFim.Text Then
          Begin
            Application.MessageBox('A Data Final tem que ser maior que a Data Inicial','SC Informtica',MB_ICONINFORMATION);
            MaskDatFim.Text:='';
            MaskDatFim.SetFocus;
      end
Else
  ModuloDados.TbEstatistica02.Filtered:=True;
  ModuloDados.TbEstatistica02.Filter:='Data>='+QuotedStr(MaskDatIni.Text)+ 'and Data<='+QuotedStr(MaskDatFim.Text);
end;

procedure TFrmEstatisticasAcessi.TxtCodigoExit(Sender: TObject);
Var
  Cod:String;
Begin
ModuloDados.TbEstatistica02.Locate('Numero', TxtCodigo.Text, [loPartialKey]);
Cod:=ModuloDados.TbEstatistica02.FieldValues['Numero'];
ModuloDados.TbEstatistica02.Filtered:=True;
ModuloDados.TbEstatistica02.Filter:='Numero='+QuotedStr(Cod);
If TxtCodigo.Text<>Cod Then
  Begin
    Application.MessageBox('Cdigo Inexistente!!!','SC Informtica',MB_ICONINFORMATION);
    TxtCodigo.Text:='';
    TxtCodigo.SetFocus;
end
      Else
        Abort;
end;

procedure TFrmEstatisticasAcessi.FormActivate(Sender: TObject);
begin
ModuloDados.TbUsu.Active:=True;
ModuloDados.TbEstatistica02.Active:=True;
ModuloDados.TbCadCliente.Active:=True;
RadioButton3.Checked:=True;
end;

procedure TFrmEstatisticasAcessi.BdLimparClick(Sender: TObject);
begin
MaskDatIni.Text:='';
MaskDatFim.Text:='';
TxtCodigo.Text:='';
TxtLocUsuEstatisticasCliente.KeyValue:='';
TxtLocEmpresaEstatisticasCliente.KeyValue:='';
ModuloDados.TbEstatistica02.Filtered:=False;
ModuloDados.TbEstatistica02.Refresh;
end;

procedure TFrmEstatisticasAcessi.TxtLocEmpresaEstatisticasClienteKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEstatisticasAcessi.TxtLocUsuEstatisticasClienteKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEstatisticasAcessi.MaskDatIniKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEstatisticasAcessi.MaskDatFimKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEstatisticasAcessi.TxtCodigoKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
