unit UntConsEstatisticasCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, StdCtrls, DB, ExtCtrls, Buttons, Mask, DBCtrls;

type
  TFrmEstatisticasCliente = class(TForm)
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    BdLimpar: TBitBtn;
    BdcFiltrar: TBitBtn;
    Panel1: TPanel;
    Panel2: TPanel;
    RadioGroup1: TRadioGroup;
    Panel4: TPanel;
    Panel3: TPanel;
    DsEstatisticasCliente: TDataSource;
    GroupBox1: TGroupBox;
    DBGrid: TDBGrid;
    RadioButton3: TRadioButton;
    LblMaskDinicial: TLabel;
    LblUsu: TLabel;
    LblMaskDFinal: TLabel;
    TxtLocUsuEstatisticasCliente: TDBLookupComboBox;
    MaskDatIni: TMaskEdit;
    MaskDatFim: TMaskEdit;
    DsLocUsuEstatisticasCliente: TDataSource;
    Label1: TLabel;
    TxtLocEmpresaEstatisticasCliente: TDBLookupComboBox;
    DsLocEmpresaEstatisticasCliente: TDataSource;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure RadioButton3Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton4Click(Sender: TObject);
    procedure TxtLocUsuEstatisticasClienteExit(Sender: TObject);
    procedure TxtLocEmpresaEstatisticasClienteExit(Sender: TObject);
    procedure BdcFiltrarClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure BdLimparClick(Sender: TObject);
    procedure TxtLocEmpresaEstatisticasClienteKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtLocUsuEstatisticasClienteKeyPress(Sender: TObject;
      var Key: Char);
    procedure MaskDatIniKeyPress(Sender: TObject; var Key: Char);
    procedure MaskDatFimKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmEstatisticasCliente: TFrmEstatisticasCliente;

implementation

uses UntModuloDados;

{$R *.dfm}

procedure TFrmEstatisticasCliente.FormKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmEstatisticasCliente.Close;
end    
end;

procedure TFrmEstatisticasCliente.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.TbUsu.Active:=False;
ModuloDados.TbEstatistica03.Active:=False;
ModuloDados.TbCadCliente.Active:=False;
Action:=caFree;
FrmEstatisticasCliente:=Nil;
end;

procedure TFrmEstatisticasCliente.RadioButton3Click(Sender: TObject);
begin
TxtLocEmpresaEstatisticasCliente.Enabled:=True;
TxtLocUsuEstatisticasCliente.Enabled:=False;
MaskDatIni.Enabled:=False;
MaskDatFim.Enabled:=False;
TxtLocEmpresaEstatisticasCliente.DropDown;
TxtLocEmpresaEstatisticasCliente.SetFocus;
BdcFiltrar.Enabled:=False;
end;

procedure TFrmEstatisticasCliente.RadioButton1Click(Sender: TObject);
begin
TxtLocEmpresaEstatisticasCliente.Enabled:=False;
TxtLocUsuEstatisticasCliente.Enabled:=True;
MaskDatIni.Enabled:=False;
MaskDatFim.Enabled:=False;
TxtLocUsuEstatisticasCliente.DropDown;
TxtLocUsuEstatisticasCliente.SetFocus;
BdcFiltrar.Enabled:=False;
end;

procedure TFrmEstatisticasCliente.RadioButton2Click(Sender: TObject);
begin
TxtLocEmpresaEstatisticasCliente.Enabled:=False;
TxtLocUsuEstatisticasCliente.Enabled:=False;
MaskDatIni.Enabled:=True;
MaskDatFim.Enabled:=True;
MaskDatIni.SetFocus;
BdcFiltrar.Enabled:=True;
end;

procedure TFrmEstatisticasCliente.RadioButton4Click(Sender: TObject);
begin
TxtLocEmpresaEstatisticasCliente.Enabled:=False;
TxtLocUsuEstatisticasCliente.Enabled:=False;
MaskDatIni.Enabled:=False;
MaskDatFim.Enabled:=False;
BdcFiltrar.Enabled:=False;
end;

procedure TFrmEstatisticasCliente.TxtLocUsuEstatisticasClienteExit(
  Sender: TObject);
begin
ModuloDados.TbEstatistica03.Filtered:=True;
ModuloDados.TbEstatistica03.Filter:='Usuario='+ QuotedStr(TxtLocUsuEstatisticasCliente.Text);
DBGrid.SetFocus;
end;

procedure TFrmEstatisticasCliente.TxtLocEmpresaEstatisticasClienteExit(
  Sender: TObject);
begin
ModuloDados.TbEstatistica03.Filtered:=True;
ModuloDados.TbEstatistica03.Filter:='Empresa='+ QuotedStr(TxtLocEmpresaEstatisticasCliente.Text);
DBGrid.SetFocus;
end;

procedure TFrmEstatisticasCliente.BdcFiltrarClick(Sender: TObject);
begin
If (MaskDatIni.Text<'0') or (MaskDatFim.Text<'0') Then
  Begin
    Application.MessageBox('Informe as Datas Inicial e Final do Perodo...','SC Informtica',MB_ICONINFORMATION);
    MaskDatIni.SetFocus;
end
      Else
        If MaskDatIni.Text>MaskDatFim.Text Then
          Begin
            Application.MessageBox('A Data Final tem que ser maior que a Data Inicial','SC Informtica',MB_ICONINFORMATION);
            MaskDatFim.Text:='';
            MaskDatFim.SetFocus;
      end
Else
  ModuloDados.TbEstatistica03.Filtered:=True;
  ModuloDados.TbEstatistica03.Filter:='Data>='+QuotedStr(MaskDatIni.Text)+ 'and Data<='+QuotedStr(MaskDatFim.Text);
end;

procedure TFrmEstatisticasCliente.FormActivate(Sender: TObject);
begin
ModuloDados.TbUsu.Active:=True;
ModuloDados.TbEstatistica03.Active:=True;
ModuloDados.TbCadCliente.Active:=True;
RadioButton3.Checked:=True;
end;

procedure TFrmEstatisticasCliente.BdLimparClick(Sender: TObject);
begin
MaskDatIni.Text:='';
MaskDatFim.Text:='';
TxtLocUsuEstatisticasCliente.KeyValue:='';
TxtLocEmpresaEstatisticasCliente.KeyValue:='';
ModuloDados.TbEstatistica03.Filtered:=False;
ModuloDados.TbEstatistica03.Refresh;
end;

procedure TFrmEstatisticasCliente.TxtLocEmpresaEstatisticasClienteKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEstatisticasCliente.TxtLocUsuEstatisticasClienteKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEstatisticasCliente.MaskDatIniKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEstatisticasCliente.MaskDatFimKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
