unit UntEnviarMSG;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DBCtrls, Mask, ExtCtrls, Buttons, DB;

type
  TFrmEnviarMSG = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Panel: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    TxtDataEnvioMSG: TDBEdit;
    TxtDeEnvioMSG: TDBEdit;
    TxtAssuntoEnvioMSG: TDBEdit;
    TxtLocParaEnvioMSG: TDBLookupComboBox;
    DsParaEnvioMSG: TDataSource;
    DsEnvioMSG: TDataSource;
    BdcEnviar: TBitBtn;
    TxtMSGEnvioMSG: TDBMemo;
    TxtParaEnvioMSG: TDBEdit;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BdcEnviarClick(Sender: TObject);
    procedure TxtLocParaEnvioMSGKeyPress(Sender: TObject; var Key: Char);
    procedure TxtAssuntoEnvioMSGKeyPress(Sender: TObject; var Key: Char);
    procedure TxtDataEnvioMSGEnter(Sender: TObject);
    procedure TxtDeEnvioMSGEnter(Sender: TObject);
    procedure TxtMSGEnvioMSGKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmEnviarMSG: TFrmEnviarMSG;

implementation

uses UntModuloDados, UntPrincipal;

{$R *.dfm}

procedure TFrmEnviarMSG.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmEnviarMSG.Close
end
end;

procedure TFrmEnviarMSG.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.TbUsu.Active:=False;
ModuloDados.TbMSG.Active:=false;
Action:=caFree;
FrmEnviarMSG:=Nil;
end;

procedure TFrmEnviarMSG.BdcEnviarClick(Sender: TObject);
begin
If TxtLocParaEnvioMSG.Text ='' Then
  Begin
    Application.MessageBox('Escolha o destinrio desta mensagem!!!','SC Informtica',MB_ICONINFORMATION);
    TxtLocParaEnvioMSG.DropDown;
    TxtLocParaEnvioMSG.SetFocus;
End
      Else
        If TxtAssuntoEnvioMSG.Text ='' Then
          Begin
            Application.MessageBox('Voc no pode enviar a mensagem sem assunto!!!','SC Informtica',MB_ICONINFORMATION);
            TxtAssuntoEnvioMSG.SetFocus;
      End
              Else
                If TxtMSGEnvioMSG.Text='' Then
                  Begin
                    Application.MessageBox('Digite alguma mensagem antes de enviar!!!','SC Informtica',MB_ICONINFORMATION);
                    TxtMSGEnvioMSG.SetFocus;
              End
      Else
        If TxtLocParaEnvioMSG.Text = TxtDeEnvioMSG.Text Then
          Begin
            Application.MessageBox('Escolha outro destinrio desta mensagem!!!'#13'Voc no pode enviar uma menssagem para o mesmo usurio de origem!!!','SC Informtica',MB_ICONINFORMATION);
            TxtLocParaEnvioMSG.DropDown;
            TxtLocParaEnvioMSG.SetFocus;
      End
Else
  Begin
    ModuloDados.TbMSG.Post;
    Application.MessageBox('Sua mensagem foi enviada com sucesso!!!','SC Informtica',MB_ICONINFORMATION);
    ModuloDados.TbMSG.Active:=False;
    FrmEnviarMSG.Close;
End
end;

procedure TFrmEnviarMSG.TxtLocParaEnvioMSGKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEnviarMSG.TxtAssuntoEnvioMSGKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEnviarMSG.TxtDataEnvioMSGEnter(Sender: TObject);
begin
TxtMSGEnvioMSG.SetFocus;
end;

procedure TFrmEnviarMSG.TxtDeEnvioMSGEnter(Sender: TObject);
begin
TxtMSGEnvioMSG.SetFocus;
end;

procedure TFrmEnviarMSG.TxtMSGEnvioMSGKeyPress(Sender: TObject; var Key: Char);
begin
Key := AnsiUpperCase(Key)[1];
end;

end.
