unit UntFalCon;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DBCtrls, DB, Mask, Menus, ExtCtrls;

type
  TFrmCadFalCon = class(TForm)
    DsCadFalCon: TDataSource;
    GroupBox1: TGroupBox;
    TxtNomeCadFalCon: TEdit;
    Label1: TLabel;
    LblInfo: TLabel;
    Label2: TLabel;
    TxtCPFCadFalCon: TDBEdit;
    TxtCGCCadFalCon: TDBEdit;
    Label5: TLabel;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    TxtCodCadFalCon: TDBEdit;
    TxtCodCliCadFalCon: TDBEdit;
    TxtDtCadCadFalCon: TDBEdit;
    TxtUsuCadFalCon: TDBEdit;
    Label7: TLabel;
    TxtDataCadFalCon: TDBEdit;
    Label8: TLabel;
    TxtVaraCadFalCon: TDBEdit;
    Label9: TLabel;
    TxtNaturezaCadFalCon: TDBEdit;
    Label10: TLabel;
    TxtCidadeUfCadFalCon: TDBEdit;
    TxtDesconCadFalCon: TDBCheckBox;
    NavagadorProximo: TDBNavigator;
    NavegadorAnterior: TDBNavigator;
    PopupMenu: TPopupMenu;
    Novo: TMenuItem;
    Salvar: TMenuItem;
    Alterar: TMenuItem;
    Cancelar: TMenuItem;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure NovoClick(Sender: TObject);
    procedure SalvarClick(Sender: TObject);
    procedure AlterarClick(Sender: TObject);
    procedure CancelarClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TxtDataCadFalConKeyPress(Sender: TObject; var Key: Char);
    procedure TxtVaraCadFalConKeyPress(Sender: TObject; var Key: Char);
    procedure TxtNaturezaCadFalConKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCidadeUfCadFalConKeyPress(Sender: TObject; var Key: Char);
    procedure TxtDesconCadFalConKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadFalCon: TFrmCadFalCon;

implementation

uses UntModuloDados;

{$R *.dfm}

procedure TFrmCadFalCon.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadFalCon.Close;
end    
end;

procedure TFrmCadFalCon.NovoClick(Sender: TObject);
begin
ModuloDados.TbCadFalCon.Active:=True;
ModuloDados.TbCadFalCon.Append;
TxtDesconCadFalCon.Checked:=False;
TxtDataCadFalCon.SetFocus;
Novo.Enabled:=False;
Alterar.Enabled:=False;
Salvar.Enabled:=True;
Cancelar.Enabled:=True;
end;

procedure TFrmCadFalCon.SalvarClick(Sender: TObject);
begin
If (TxtNomeCadFalCon.Text='') or (TxtDataCadFalCon.Text='') or (TxtVaraCadFalCon.Text='') or (TxtCidadeUfCadFalCon.Text='') or (TxtNaturezaCadFalCon.Text='') Then
  Begin
    Application.MessageBox('Dados Insuficiente para realizar o cadastro!','SC Informtica',MB_ICONINFORMATION);
    TxtDataCadFalCon.SetFocus;
end
      Else
        Begin
          ModuloDados.TbCadFalCon.Post;
          Application.MessageBox('Seu cadastrado foi realizado com sucesso!','SC Informtica',MB_ICONEXCLAMATION);
          ModuloDados.TbCadFalCon.Active:=False;
          Novo.Enabled:=True;
          Salvar.Enabled:=False;
          Alterar.Enabled:=True;
          Cancelar.Enabled:=False;
          FrmCadFalCon.Close;
      end
end;

procedure TFrmCadFalCon.AlterarClick(Sender: TObject);
begin
ModuloDados.TbCadFalCon.Active:=True;
Novo.Enabled:=False;
Alterar.Enabled:=False;
Salvar.Enabled:=True;
Cancelar.Enabled:=True;
end;

procedure TFrmCadFalCon.CancelarClick(Sender: TObject);
begin
If Application.MessageBox('A T E N   O ! ! !'#13'Realmente deseja cancelar esta ao???','SC Informtica',MB_ICONQUESTION+MB_YESNO)=mrYes Then
  Begin
    ModuloDados.TbCadFalCon.Cancel;
    ModuloDados.TbCadFalCon.Active:=False;
    Novo.Enabled:=True;
    Salvar.Enabled:=False;
    Alterar.Enabled:=True;
    Cancelar.Enabled:=False;
    FrmCadFalCon.Close;
end
      Else
        Abort;
end;

procedure TFrmCadFalCon.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Action:=caFree;
FrmCadFalCon:=Nil;
end;

procedure TFrmCadFalCon.TxtDataCadFalConKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFalCon.TxtVaraCadFalConKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFalCon.TxtNaturezaCadFalConKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFalCon.TxtCidadeUfCadFalConKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadFalCon.TxtDesconCadFalConKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
