unit UntLerMSG;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DBCtrls, Mask, ExtCtrls, Buttons, DB;

type
  TFrmLerMSG = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Panel: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    TxtDataRespMSG: TDBEdit;
    TxtDeRespMSG: TDBEdit;
    TxtAssuntoRespMSG: TDBEdit;
    DsEnvioMSG: TDataSource;
    BdcResponder: TBitBtn;
    TxtParaRespMSG: TDBEdit;
    TxtMSGRespMSG: TDBMemo;
    BdcFechar: TBitBtn;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TxtLocParaRespMSGKeyPress(Sender: TObject; var Key: Char);
    procedure TxtAssuntoRespMSGKeyPress(Sender: TObject; var Key: Char);
    procedure TxtDataRespMSGEnter(Sender: TObject);
    procedure TxtDeRespMSGEnter(Sender: TObject);
    procedure TxtMSGRespMSGKeyPress(Sender: TObject; var Key: Char);
    procedure BdcResponderClick(Sender: TObject);
    procedure BdcFecharClick(Sender: TObject);
    procedure TxtParaRespMSGEnter(Sender: TObject);
    procedure TxtAssuntoRespMSGEnter(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmLerMSG: TFrmLerMSG;

implementation

uses UntModuloDados, UntPrincipal, UntEnviarMSG, UntMenuMSG;

{$R *.dfm}

procedure TFrmLerMSG.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmLerMSG.Close;
end
end;

procedure TFrmLerMSG.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Action:=caFree;
FrmLerMSG:=Nil;
end;

procedure TFrmLerMSG.TxtLocParaRespMSGKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmLerMSG.TxtAssuntoRespMSGKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmLerMSG.TxtDataRespMSGEnter(Sender: TObject);
begin
TxtMSGRespMSG.SetFocus;
end;

procedure TFrmLerMSG.TxtDeRespMSGEnter(Sender: TObject);
begin
TxtMSGRespMSG.SetFocus;
end;

procedure TFrmLerMSG.TxtMSGRespMSGKeyPress(Sender: TObject; var Key: Char);
begin
Key := AnsiUpperCase(Key)[1];
end;

procedure TFrmLerMSG.BdcResponderClick(Sender: TObject);
begin
Application.CreateForm(TFrmEnviarMSG,FrmEnviarMSG);
FrmEnviarMSG.Caption:='SISCONS - Responder Menssagem';
FrmEnviarMSG.Label1.Caption:='Responder Menssagem';
FrmEnviarMSG.Label2.Caption:='Responder Menssagem';
ModuloDados.TbUsu.Active:=True;
ModuloDados.TbUsu.Append;
ModuloDados.TbMSG.Active:=True;
ModuloDados.TbMSG.Append;
ModuloDados.TbMSG.FieldValues['Data']:=StrToDate(DateToStr(Date) );
FrmEnviarMSG.TxtLocParaEnvioMSG.Enabled:=False;
FrmEnviarMSG.TxtParaEnvioMSG.Visible:=True;
ModuloDados.TbMSG.FieldValues['Assunto']:='Resp.: '+ FrmMenuMSG.TbMenuMSGR.FieldValues['Assunto'];
FrmLerMSG.Close;
ModuloDados.TbMSG.FieldValues['DE']:=FrmPrincipal.StatusBar.Panels[1].Text;
ModuloDados.TbMSG.FieldValues['PARA']:=FrmMenuMSG.TbMenuMSGR.FieldValues['DE'];
FrmEnviarMSG.BdcEnviar.Caption:='Confirmar Resposta';
FrmEnviarMSG.Show;
end;

procedure TFrmLerMSG.BdcFecharClick(Sender: TObject);
begin
FrmLerMSG.Close;
end;

procedure TFrmLerMSG.TxtParaRespMSGEnter(Sender: TObject);
begin
TxtMSGRespMSG.SetFocus;
end;

procedure TFrmLerMSG.TxtAssuntoRespMSGEnter(Sender: TObject);
begin
TxtMSGRespMSG.SetFocus;
end;

end.
