unit UntPrincipal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ToolWin, ActnMan, ActnCtrls, ActnMenus, ActnColorMaps,
  ActnList, StdStyleActnCtrls, ExtCtrls, MPlayer, Shellapi, StdCtrls;

type
  TFrmPrincipal = class(TForm)
    StatusBar: TStatusBar;
    Hora: TTimer;
    Fundo: TImage;
    Acoes: TActionManager;
    EncerrarSistema: TAction;
    Logoff: TAction;
    CadBanco: TAction;
    CadCliente: TAction;
    CadFuncionario: TAction;
    CadUsu: TAction;
    Cores: TXPColorMap;
    BarradeMenu: TActionMainMenuBar;
    MediaPlayer1: TMediaPlayer;
    About: TAction;
    CadCheqIrregular: TAction;
    CadCSF: TAction;
    CadFalCon: TAction;
    CadProtesto: TAction;
    BackUp: TAction;
    CadRestCom: TAction;
    CadTeleBloq: TAction;
    ConsBaseDados: TAction;
    Enviar: TAction;
    MenuMSG: TAction;
    Estatisticas: TAction;
    Ajuda: TAction;
    ConfSis: TAction;
    Panel1: TPanel;
    MediaPlayer: TMediaPlayer;
    PrimeiroTempo: TTimer;
    SegundoTempo: TTimer;
    procedure HoraTimer(Sender: TObject);
    procedure EncerrarSistemaExecute(Sender: TObject);
    procedure LogoffExecute(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure CadBancoExecute(Sender: TObject);
    procedure CadClienteExecute(Sender: TObject);
    procedure CadUsuExecute(Sender: TObject);
    procedure CadFuncionarioExecute(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure CadCheqIrregularExecute(Sender: TObject);
    procedure CadCSFExecute(Sender: TObject);
    procedure CadFalConExecute(Sender: TObject);
    procedure CadProtestoExecute(Sender: TObject);
    procedure BackUpExecute(Sender: TObject);
    procedure CadRestComExecute(Sender: TObject);
    procedure CadTeleBloqExecute(Sender: TObject);
    procedure ConsBaseDadosExecute(Sender: TObject);
    procedure EnviarExecute(Sender: TObject);
    procedure MenuMSGExecute(Sender: TObject);
    procedure EstatisticasExecute(Sender: TObject);
    procedure AboutExecute(Sender: TObject);
    procedure AjudaExecute(Sender: TObject);
    procedure ConfSisExecute(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SegundoTempoTimer(Sender: TObject);
    procedure PrimeiroTempoTimer(Sender: TObject);
  private

  public
    { Public declarations }
  end;

var
  FrmPrincipal: TFrmPrincipal;
  VerMSG:String;

implementation

uses UntLogin, UntCadBanco, UntCadCliente, UntCadUsu, UntCadFuncionario,
  UntCadCheqIrregulares, UntCadRestricoes, UntCadCSF, UntCadRestricoesCSF,
  UntFalCon, UntCadRestricoesFalCon, UntCadRestricoesProt,
  UntCadRestricoesCom, UntCadRestricoesTeleBloq, UntConsBaseDado,
  UntEnviarMSG, UntMenuMSG, UntModuloDados, UntConsEstatisticas, UntAbout,
  UntSis;

{$R *.dfm}
//////// Para poder abrir o arquivo de BackUp////////
procedure ExecFile(F: String);
var
r: String;
begin
case ShellExecute(HANDLE_FLAG_INHERIT, nil, PChar(F), nil, nil, SW_SHOWNORMAL) of
ERROR_FILE_NOT_FOUND: r := 'The specified file was not found.';
ERROR_PATH_NOT_FOUND: r := 'The specified path was not found.';
ERROR_BAD_FORMAT: r := 'The .EXE file is invalid (non-Win32 .EXE or error in .EXE image).';
SE_ERR_ACCESSDENIED: r := 'Windows 95 only: The operating system denied access to the specified file.';
SE_ERR_ASSOCINCOMPLETE: r := 'The filename association is incomplete or invalid.';
SE_ERR_DDEBUSY: r := 'The DDE transaction could not be completed because other DDE transactions were being processed.';
SE_ERR_DDEFAIL: r := 'The DDE transaction failed.';
SE_ERR_DDETIMEOUT: r := 'The DDE transaction could not be completed because the request timed out.';
SE_ERR_DLLNOTFOUND: r := 'Windows 95 only: The specified dynamic-link library was not found.';
SE_ERR_NOASSOC: r := 'There is no application associated with the given filename extension.';
SE_ERR_OOM: r := 'Windows 95 only: There was not enough memory to complete the operation.';
SE_ERR_SHARE: r := 'A sharing violation occurred.';
else
Exit;
end;
ShowMessage(r);
end;
///////////////////////////////////////////////////////////

procedure TFrmPrincipal.HoraTimer(Sender: TObject);
begin
StatusBar.Panels[7].Text:=TimeToStr(Now);
StatusBar.Panels[9].Text:=FormatDateTime('dddddd',Date);
end;

procedure TFrmPrincipal.EncerrarSistemaExecute(Sender: TObject);
begin
If Application.MessageBox('A T E N   O ! ! !'#13'Realmente deseja encerrar o sistema ? ? ?','SC Informtica',MB_ICONQUESTION+MB_YESNO)=mrYes Then
  Begin
    Application.Terminate;
end
    Else
      Abort;
end;

procedure TFrmPrincipal.LogoffExecute(Sender: TObject);
begin
FrmPrincipal.Hide;
Application.CreateForm(TFrmLogin,FrmLogin);
FrmLogin.ShowModal;
end;

procedure TFrmPrincipal.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
CanClose := false;
If Application.MessageBox('A T E N   O ! ! !'#13'Realmente deseja encerrar o sistema ? ? ?','SC Informtica',MB_ICONQUESTION+MB_YESNO)=mrYes Then
  Begin
    Application.Terminate;
end
      Else
        Abort;
end;

procedure TFrmPrincipal.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Hora.Enabled:=False;
//Action:=caFree;
//FrmPrincipal:=Nil;
end;

procedure TFrmPrincipal.CadBancoExecute(Sender: TObject);
begin
Application.CreateForm(TFrmCadBancos,FrmCadBancos);
FrmCadBancos.ShowModal;
end;

procedure TFrmPrincipal.CadClienteExecute(Sender: TObject);
begin
Application.CreateForm(TFrmCadCliente,FrmCadCliente);
FrmCadCliente.ShowModal;
end;

procedure TFrmPrincipal.CadUsuExecute(Sender: TObject);
begin
Application.CreateForm(TFrmUsuario,FrmUsuario);
If StatusBar.Panels[5].Text<>'AVANADO' Then
  Begin
    Application.MessageBox('Voc no tem permisso para acessar este formulrio!!!','SC Informtica',MB_ICONINFORMATION);
end
      Else
        FrmUsuario.ShowModal;
end;

procedure TFrmPrincipal.CadFuncionarioExecute(Sender: TObject);
begin
Application.CreateForm(TFrmCadFuncionario,FrmCadFuncionario);
FrmCadFuncionario.ShowModal;
end;

procedure TFrmPrincipal.FormActivate(Sender: TObject);
begin
Hora.Enabled:=True;
end;

procedure TFrmPrincipal.CadCheqIrregularExecute(Sender: TObject);
begin
Application.CreateForm(TFrmCadRestricoes,FrmCadRestricoes);
FrmCadRestricoes.ShowModal;
end;

procedure TFrmPrincipal.CadCSFExecute(Sender: TObject);
begin
Application.CreateForm(TFrmCadRestricoesCSF,FrmCadRestricoesCSF);
FrmCadRestricoesCSF.ShowModal;
end;

procedure TFrmPrincipal.CadFalConExecute(Sender: TObject);
begin
Application.CreateForm(TFrmCadRestricoesFalCon,FrmCadRestricoesFalCon);
FrmCadRestricoesFalCon.ShowModal;
end;

procedure TFrmPrincipal.CadProtestoExecute(Sender: TObject);
begin
Application.CreateForm(TFrmCadRestricoesProt,FrmCadRestricoesProt);
FrmCadRestricoesProt.ShowModal;
end;

procedure TFrmPrincipal.BackUpExecute(Sender: TObject);
begin
If Application.MessageBox('Para que seu backup seja realizado com segurana, o sistema ser encerrado. Aps a concluso, o sistema de backup reabrir o aplicativo'#13#13' D E S E J A   P R O S S E G U I R ? ? ?','SC Informtica',MB_ICONQUESTION+MB_YESNO)=mrYes Then
  Begin
    ExecFile('C:\SISCONS\BD\SISBK.mde');
    Application.Terminate;
end
      Else
        Abort;
end;

procedure TFrmPrincipal.CadRestComExecute(Sender: TObject);
begin
Application.CreateForm(TFrmCadRestricoesCom,FrmCadRestricoesCom);
FrmCadRestricoesCom.ShowModal;
end;

procedure TFrmPrincipal.CadTeleBloqExecute(Sender: TObject);
begin
Application.CreateForm(TFrmCadRestricoesTeleBloq,FrmCadRestricoesTeleBloq);
FrmCadRestricoesTeleBloq.ShowModal;
end;

procedure TFrmPrincipal.ConsBaseDadosExecute(Sender: TObject);
Var
  Usu:String;
begin
Usu:=StatusBar.Panels[1].Text;
Application.CreateForm(TFrmConsBaseDados,FrmConsBaseDados);
FrmConsBaseDados.Caption:='...::: SISCONS - Consulta na Base de Dados - Usurio: ' +Usu +' :::...';
FrmConsBaseDados.ShowModal;
end;

procedure TFrmPrincipal.EnviarExecute(Sender: TObject);
begin
Application.CreateForm(TFrmEnviarMSG,FrmEnviarMSG);
ModuloDados.TbUsu.Active:=True;
ModuloDados.TbUsu.Append;
ModuloDados.TbMSG.Active:=True;
ModuloDados.TbMSG.Append;
ModuloDados.TbMSG.FieldValues['Data']:=StrToDate(DateToStr(Date) );
ModuloDados.TbMSG.FieldValues['DE']:=FrmPrincipal.StatusBar.Panels[1].Text;
FrmEnviarMSG.ShowModal;
end;

procedure TFrmPrincipal.MenuMSGExecute(Sender: TObject);
begin
Application.CreateForm(TFrmMenuMSG,FrmMenuMSG);
FrmMenuMSG.ShowModal;
end;

procedure TFrmPrincipal.EstatisticasExecute(Sender: TObject);
begin
Application.CreateForm(TFrmEstatisticas,FrmEstatisticas);
FrmEstatisticas.ShowModal;
end;
procedure TFrmPrincipal.AboutExecute(Sender: TObject);
begin
FrmAbout.ShowModal;
end;

procedure TFrmPrincipal.AjudaExecute(Sender: TObject);
begin
ExecFile('C:\SISCONS\Ajuda.ppsm');
end;

procedure TFrmPrincipal.ConfSisExecute(Sender: TObject);
begin
Application.CreateForm(TFrmSis,FrmSis);
FrmSis.ShowModal;
end;

procedure TFrmPrincipal.FormShow(Sender: TObject);
begin
MediaPlayer.Play;
end;

procedure TFrmPrincipal.SegundoTempoTimer(Sender: TObject);
begin
PrimeiroTempo.Enabled:=True;
SegundoTempo.Enabled:=False;
end;

procedure TFrmPrincipal.PrimeiroTempoTimer(Sender: TObject);
begin
MediaPlayer.Play;
SegundoTempo.Enabled:=True;
end;

end.
