unit UntSis;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DBCtrls, StdCtrls, Mask, DB, Buttons, Shellapi, ExtDlgs,
  ExtCtrls, Menus, Gauges;

type
  TFrmSis = class(TForm)
    DsSis: TDataSource;
    Label2: TLabel;
    TxtNFantasiaSis: TDBEdit;
    DBImage: TDBImage;
    Label4: TLabel;
    TxtRSSis: TDBEdit;
    Label5: TLabel;
    TxtCNPJSis: TDBEdit;
    Label6: TLabel;
    TxtIESis: TDBEdit;
    Label7: TLabel;
    TxtSiteSis: TDBEdit;
    Label8: TLabel;
    TxtEmailSis: TDBEdit;
    Label9: TLabel;
    TxtEndSis: TDBEdit;
    Label10: TLabel;
    TxtCidadeSis: TDBEdit;
    Label11: TLabel;
    TxtCepSis: TDBEdit;
    Label12: TLabel;
    TxtUFSis: TDBEdit;
    Label13: TLabel;
    TxtFoneSis: TDBEdit;
    Label14: TLabel;
    TxtFaxSis: TDBEdit;
    BdcEMailSis: TButton;
    BdcSiteSis: TButton;
    BdcLogo: TBitBtn;
    BuscaFoto: TOpenPictureDialog;
    PopupMenu1: TPopupMenu;
    Salvar: TMenuItem;
    Cancelar: TMenuItem;
    Alterar: TMenuItem;
    Flash: TGauge;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure BdcEMailSisClick(Sender: TObject);
    procedure BdcSiteSisClick(Sender: TObject);
    procedure BdcLogoClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormActivate(Sender: TObject);
    procedure TxtNFantasiaSisKeyPress(Sender: TObject; var Key: Char);
    procedure TxtRSSisKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCNPJSisKeyPress(Sender: TObject; var Key: Char);
    procedure TxtIESisKeyPress(Sender: TObject; var Key: Char);
    procedure TxtEndSisKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCepSisKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCidadeSisKeyPress(Sender: TObject; var Key: Char);
    procedure TxtUFSisKeyPress(Sender: TObject; var Key: Char);
    procedure TxtFoneSisKeyPress(Sender: TObject; var Key: Char);
    procedure TxtFaxSisKeyPress(Sender: TObject; var Key: Char);
    procedure TxtEmailSisKeyPress(Sender: TObject; var Key: Char);
    procedure TxtSiteSisKeyPress(Sender: TObject; var Key: Char);
    procedure SalvarClick(Sender: TObject);
    procedure CancelarClick(Sender: TObject);
    procedure AlterarClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmSis: TFrmSis;

implementation

uses UntModuloDados, ComObj;

{$R *.dfm}

procedure TFrmSis.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmSis.Close;
end
end;

procedure TFrmSis.BdcEMailSisClick(Sender: TObject);
var Mail : String;
begin
If TxtEMailSis.Text='' Then
  Begin
    Application.MessageBox('O sistema no pode encontrar nenhum endereo de e-mail!!!','SC Informtica',MB_ICONINFORMATION);
    TxtEMailSis.SetFocus;
end
      Else
        If TxtEMailSis.Text<>'' Then
          Begin
            Mail:=TxtEMailSis.Text;
            Mail := 'mailto:'+Mail;
            ShellExecute(GetDesktopWindow,'open',pchar(Mail),nil,nil,sw_ShowNormal);
     end
end;

procedure TFrmSis.BdcSiteSisClick(Sender: TObject);
Var
 Browser: Variant;
begin
If TxtSiteSis.Text='' Then
  Begin
    Application.MessageBox('O sistema no pode encontrar nenhum endereo de e-mail!!!','SC Informtica',MB_ICONINFORMATION);
    TxtSiteSis.SetFocus;
end
      Else
        Browser:= CreateOleObject('InternetExplorer.Application');
        Browser.Visible:= True;
        Browser.Navigate(TxtSiteSis.Text);
end;

procedure TFrmSis.BdcLogoClick(Sender: TObject);
begin
BuscaFoto.Execute;
DBImage.Picture.LoadFromFile(BuscaFoto.FileName);
end;

procedure TFrmSis.FormClose(Sender: TObject; var Action: TCloseAction);
begin
ModuloDados.TbSIS.Post;
FrmSis:=Nil;
end;

procedure TFrmSis.FormActivate(Sender: TObject);
begin
If TxtNFantasiaSis.Text='' Then
  Begin
    Salvar.Enabled:=True;
    Cancelar.Enabled:=False;
end
      Else
        Alterar.Enabled:=False;
end;

procedure TFrmSis.TxtNFantasiaSisKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmSis.TxtRSSisKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmSis.TxtCNPJSisKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmSis.TxtIESisKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmSis.TxtEndSisKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmSis.TxtCepSisKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmSis.TxtCidadeSisKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmSis.TxtUFSisKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmSis.TxtFoneSisKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmSis.TxtFaxSisKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmSis.TxtEmailSisKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmSis.TxtSiteSisKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmSis.SalvarClick(Sender: TObject);
begin
If (TxtNFantasiaSis.Text='') or (TxtRSSis.Text='') or (TxtCNPJSis.Text='') or (TxtIESis.Text='') or (TxtEndSis.Text='') or (TxtCepSis.Text='') or (TxtCidadeSis.Text='') or (TxtUFSis.Text='') Then
  Begin
    Application.MessageBox('Dados Insuficiente para realizar este cadastro','SC Informtica',MB_ICONINFORMATION);
    TxtNFantasiaSis.SetFocus;
end
      Else
        ModuloDados.TbSIS.Post;
        Application.MessageBox('Dados salvo com sucesso','SC Informtica',MB_ICONINFORMATION);    
end;

procedure TFrmSis.CancelarClick(Sender: TObject);
begin
ModuloDados.TbSIS.Cancel;
Salvar.Enabled:=False;
Alterar.Enabled:=True;
Cancelar.Enabled:=False;
end;

procedure TFrmSis.AlterarClick(Sender: TObject);
begin
ModuloDados.TbSIS.Edit;
Salvar.Enabled:=True;
Alterar.Enabled:=False;
Cancelar.Enabled:=True;
end;

procedure TFrmSis.FormShow(Sender: TObject);
begin
ModuloDados.TbSIS.Edit;
end;

end.
