unit UntCadBanco;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DBCtrls, StdCtrls, Buttons, ExtCtrls, DB, Mask;

type
  TFrmCadBancos = class(TForm)
    Label1: TLabel;
    TxtCadCodBanco: TDBEdit;
    DsCadBanco: TDataSource;
    Label2: TLabel;
    TxtCadBanco: TDBEdit;
    PnBDCUsu: TPanel;
    BdcNovo: TBitBtn;
    BdcSalvar: TBitBtn;
    BdcAlterar: TBitBtn;
    BdcExcluir: TBitBtn;
    BdcCancelar: TBitBtn;
    PNLocUsu: TPanel;
    Label8: TLabel;
    TxtLocBanco: TDBLookupComboBox;
    procedure BdcNovoClick(Sender: TObject);
    procedure BdcSalvarClick(Sender: TObject);
    procedure BdcAlterarClick(Sender: TObject);
    procedure BdcExcluirClick(Sender: TObject);
    procedure BdcCancelarClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TxtCadCodBancoKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCadBancoKeyPress(Sender: TObject; var Key: Char);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadBancos: TFrmCadBancos;

implementation

uses UntModuloDados;

{$R *.dfm}

procedure TFrmCadBancos.BdcNovoClick(Sender: TObject);
begin
ModuloDados.CadBanco.Active:=True;
ModuloDados.CadBanco.Append;
TxtCadBanco.SetFocus;
BdcNovo.Enabled:=False;
BdcSalvar.Enabled:=True;
BdcAlterar.Enabled:=False;
BdcExcluir.Enabled:=False;
BdcCancelar.Enabled:=True;
TxtLocBanco.Enabled:=False;
end;

procedure TFrmCadBancos.BdcSalvarClick(Sender: TObject);
begin
If TxtCadBanco.Text='' Then
  Begin
    Application.MessageBox('Dados Insuficiente para realizar o cadastro!','SC Informtica',MB_ICONINFORMATION);
    TxtCadBanco.SetFocus;
end
      Else
        ModuloDados.CadBanco.Post;
        Application.MessageBox('Banco cadastrado com sucesso!','SC Informtica',MB_ICONEXCLAMATION);
        ModuloDados.CadBanco.Active:=False;
        BdcNovo.Enabled:=True;
        BdcSalvar.Enabled:=False;
        BdcAlterar.Enabled:=True;
        BdcExcluir.Enabled:=False;
        BdcCancelar.Enabled:=False;
        TxtLocBanco.Enabled:=False;
end;

procedure TFrmCadBancos.BdcAlterarClick(Sender: TObject);
begin
ModuloDados.CadBanco.Active:=True;
ModuloDados.CadBanco.Append;
ModuloDados.CadBanco.Edit;
BdcNovo.Enabled:=False;
BdcSalvar.Enabled:=True;
BdcAlterar.Enabled:=False;
BdcExcluir.Enabled:=True;
BdcCancelar.Enabled:=True;
TxtLocBanco.Enabled:=True;
TxtLocBanco.DropDown;
TxtLocBanco.SetFocus;
end;

procedure TFrmCadBancos.BdcExcluirClick(Sender: TObject);
begin
If TxtCadCodBanco.Text='' then
  Begin
    Application.MessageBox('No existe cadastro selecionado para ser excluido...'#13'Volte e selecione o cadastro que deseja exluir...','SC Informtica',MB_ICONINFORMATION);
    TxtLocBanco.DropDown;
    TxtLocBanco.SetFocus;
end
      Else
        If Application.MessageBox('A T E N   O...'#13'Deseja realmente excluir este registro?','SC Informtica',MB_YESNO+MB_ICONQUESTION)=mrYes then
          Begin
            ModuloDados.CadBanco.Delete;
            Application.MessageBox('Registro excluido com sucesso...','SC Informtica',MB_ICONINFORMATION);
            ModuloDados.CadBanco.Active:=False;
            BdcNovo.Enabled:=True;
            BdcSalvar.Enabled:=False;
            BdcAlterar.Enabled:=True;
            BdcExcluir.Enabled:=False;
            BdcCancelar.Enabled:=False;
            TxtLocBanco.Enabled:=False;
        end
end;

procedure TFrmCadBancos.BdcCancelarClick(Sender: TObject);
begin
If Application.MessageBox('A T E N   O ! ! !'#13'Realmente deseja cancelar esta ao???','SC Informtica',MB_ICONQUESTION+MB_YESNO)=mrYes Then
  Begin
    ModuloDados.CadBanco.Cancel;
    ModuloDados.CadBanco.Active:=False;
    BdcNovo.Enabled:=True;
    BdcSalvar.Enabled:=False;
    BdcAlterar.Enabled:=True;
    BdcExcluir.Enabled:=False;
    BdcCancelar.Enabled:=False;
    TxtLocBanco.Enabled:=False
end
      Else
        Abort;
end;

procedure TFrmCadBancos.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.CadBanco.Active:=False;
Action:=caFree;
FrmCadBancos:=Nil;
end;

procedure TFrmCadBancos.TxtCadCodBancoKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadBancos.TxtCadBancoKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadBancos.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadBancos.Close;
end
end;

end.
