unit UntCadCheqIrregulares;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DBCtrls, DB, Mask, ADODB, Menus, ExtCtrls, Buttons;

type
  TFrmCadCheqIrregulares = class(TForm)
    GroupBox1: TGroupBox;
    Label3: TLabel;
    Label4: TLabel;
    TxtCPFCadCheqIrregulares: TDBEdit;
    TxtCNPJCadCheqIrregulares: TDBEdit;
    Label1: TLabel;
    GroupBox2: TGroupBox;
    Label5: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    TxtDataCadCheqIrregulares: TDBEdit;
    TxtLineaCadCheqIrregulares: TDBEdit;
    TxtAgenciaCadCheqIrregulares: TDBEdit;
    TxtContaCadCheqIrregulares: TDBEdit;
    TxtChequeCadCheqIrregulares: TDBEdit;
    TxtVlrCadCheqIrregulares: TDBEdit;
    TxtCidadeCadCheqIrregulares: TDBEdit;
    TxtDesconCadCheqIrregulares: TDBCheckBox;
    DsCadCheqIrregulares: TDataSource;
    TxtLocBancoCadCheqIrregulares: TDBLookupComboBox;
    DsLocBancoCadCheqIrregulares: TDataSource;
    PopupMenu: TPopupMenu;
    Novo: TMenuItem;
    Salvar: TMenuItem;
    Cancelar: TMenuItem;
    TxtCodCadCheqIrregulares: TDBEdit;
    TxtCodClienCadCheqIrregulares: TDBEdit;
    TxtDCadCadCheqIrregulares: TDBEdit;
    TxtUsuCadCheqIrregulares: TDBEdit;
    TxtNomeCadCheqIrregulares: TEdit;
    Alterar: TMenuItem;
    GroupBox3: TGroupBox;
    NavegadorAnterior: TDBNavigator;
    NavagadorProximo: TDBNavigator;
    LblInfo: TLabel;
    procedure NovoClick(Sender: TObject);
    procedure SalvarClick(Sender: TObject);
    procedure CancelarClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure TxtDataCadCheqIrregularesKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtLineaCadCheqIrregularesKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtLocBancoCadCheqIrregularesKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtAgenciaCadCheqIrregularesKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtContaCadCheqIrregularesKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtChequeCadCheqIrregularesKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtVlrCadCheqIrregularesKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtCidadeCadCheqIrregularesKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtDesconCadCheqIrregularesKeyPress(Sender: TObject;
      var Key: Char);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure AlterarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadCheqIrregulares: TFrmCadCheqIrregulares;

implementation

uses UntModuloDados, UntCadRestricoes;

{$R *.dfm}

procedure TFrmCadCheqIrregulares.NovoClick(Sender: TObject);
begin
ModuloDados.TbCadChequesIrregulares.Active:=True;
ModuloDados.TbCadChequesIrregulares.Append;
ModuloDados.TbCadChequesIrregulares.FieldValues['Data']:=DateToStr(Date);
TxtDesconCadCheqIrregulares.Checked:=False;
TxtLineaCadCheqIrregulares.SetFocus;
Novo.Enabled:=False;
Alterar.Enabled:=False;
Salvar.Enabled:=True;
Cancelar.Enabled:=True;
TxtLocBancoCadCheqIrregulares.Enabled:=True;
end;

procedure TFrmCadCheqIrregulares.SalvarClick(Sender: TObject);
begin
If (TxtNomeCadCheqIrregulares.Text='') or (TxtLocBancoCadCheqIrregulares.Text='') or (TxtVlrCadCheqIrregulares.Text='') or (TxtAgenciaCadCheqIrregulares.Text='') or (TxtContaCadCheqIrregulares.Text='') Then
  Begin
    Application.MessageBox('Dados Insuficiente para realizar o cadastro!','SC Informtica',MB_ICONINFORMATION);
    TxtLineaCadCheqIrregulares.SetFocus;
end
      Else
        Begin
          ModuloDados.TbCadChequesIrregulares.Post;
          Application.MessageBox('Seu cadastrado foi realizado com sucesso!','SC Informtica',MB_ICONEXCLAMATION);
          ModuloDados.TbCadChequesIrregulares.Active:=False;
          Novo.Enabled:=True;
          Salvar.Enabled:=False;
          Alterar.Enabled:=True;
          Cancelar.Enabled:=False;
          TxtLocBancoCadCheqIrregulares.Enabled:=False;
          FrmCadCheqIrregulares.Close;
      end
end;

procedure TFrmCadCheqIrregulares.CancelarClick(Sender: TObject);
begin
If Application.MessageBox('A T E N   O ! ! !'#13'Realmente deseja cancelar esta ao???','SC Informtica',MB_ICONQUESTION+MB_YESNO)=mrYes Then
  Begin
    ModuloDados.TbCadChequesIrregulares.Cancel;
    ModuloDados.TbCadChequesIrregulares.Active:=False;
    Novo.Enabled:=True;
    Salvar.Enabled:=False;
    Alterar.Enabled:=True;
    Cancelar.Enabled:=False;
    TxtLocBancoCadCheqIrregulares.Enabled:=False;
    FrmCadCheqIrregulares.Close;
end
      Else
        Abort;
end;

procedure TFrmCadCheqIrregulares.FormKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadCheqIrregulares.Close;
end
end;

procedure TFrmCadCheqIrregulares.TxtDataCadCheqIrregularesKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCheqIrregulares.TxtLineaCadCheqIrregularesKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCheqIrregulares.TxtLocBancoCadCheqIrregularesKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCheqIrregulares.TxtAgenciaCadCheqIrregularesKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCheqIrregulares.TxtContaCadCheqIrregularesKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCheqIrregulares.TxtChequeCadCheqIrregularesKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCheqIrregulares.TxtVlrCadCheqIrregularesKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCheqIrregulares.TxtCidadeCadCheqIrregularesKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCheqIrregulares.TxtDesconCadCheqIrregularesKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadCheqIrregulares.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.TbCadChequesIrregulares.Active:=False;
Action:=caFree;
FrmCadCheqIrregulares:=Nil;
end;

procedure TFrmCadCheqIrregulares.AlterarClick(Sender: TObject);
begin
ModuloDados.TbCadChequesIrregulares.Active:=True;
Novo.Enabled:=False;
Salvar.Enabled:=True;
Alterar.Enabled:=False;
Cancelar.Enabled:=True;
end;

end.
