unit UntCadProtesto;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DBCtrls, DB, Mask, ExtCtrls, Menus;

type
  TFrmCadProtesto = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label5: TLabel;
    LblInfo: TLabel;
    TxtCPFCadProtesto: TDBEdit;
    TxtCGCCadProtesto: TDBEdit;
    TxtNomeCadProtesto: TEdit;
    GroupBox2: TGroupBox;
    TxtCodCadProtesto: TDBEdit;
    DsCadProtesto: TDataSource;
    TxtCodCliCadProtesto: TDBEdit;
    TxtDtCadCadProtesto: TDBEdit;
    TxtUsuCadProtesto: TDBEdit;
    Label7: TLabel;
    TxtDataCadProtesto: TDBEdit;
    Label8: TLabel;
    TxtCartorioCadProtesto: TDBEdit;
    Label9: TLabel;
    TxtNatuCadProtesto: TDBEdit;
    Label10: TLabel;
    TxtVlrCadProtesto: TDBEdit;
    Label11: TLabel;
    TxtCidadeUFCadProtesto: TDBEdit;
    TxtDesconCadProtesto: TDBCheckBox;
    PopupMenu: TPopupMenu;
    Novo: TMenuItem;
    Salvar: TMenuItem;
    Alterar: TMenuItem;
    Cancelar: TMenuItem;
    GroupBox3: TGroupBox;
    NavegadorAnterior: TDBNavigator;
    NavagadorProximo: TDBNavigator;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure NovoClick(Sender: TObject);
    procedure SalvarClick(Sender: TObject);
    procedure AlterarClick(Sender: TObject);
    procedure CancelarClick(Sender: TObject);
    procedure TxtDataCadProtestoKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCartorioCadProtestoKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNatuCadProtestoKeyPress(Sender: TObject; var Key: Char);
    procedure TxtVlrCadProtestoKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCidadeUFCadProtestoKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtDesconCadProtestoKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadProtesto: TFrmCadProtesto;

implementation

uses UntModuloDados;

{$R *.dfm}

procedure TFrmCadProtesto.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadProtesto.Close;
end    
end;

procedure TFrmCadProtesto.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Action:=caFree;
FrmCadProtesto:=Nil;
end;

procedure TFrmCadProtesto.NovoClick(Sender: TObject);
begin
ModuloDados.TbCadProtesto.Active:=True;
ModuloDados.TbCadProtesto.Append;
TxtDesconCadProtesto.Checked:=False;
TxtDataCadProtesto.SetFocus;
Novo.Enabled:=False;
Alterar.Enabled:=False;
Salvar.Enabled:=True;
Cancelar.Enabled:=True;
end;

procedure TFrmCadProtesto.SalvarClick(Sender: TObject);
begin
If (TxtNomeCadProtesto.Text='') or (TxtDataCadProtesto.Text='') or (TxtCartorioCadProtesto.Text='') or (TxtNatuCadProtesto.Text='') or (TxtVlrCadProtesto.Text='') or (TxtCidadeUFCadProtesto.Text='') Then
  Begin
    Application.MessageBox('Dados Insuficiente para realizar o cadastro!','SC Informtica',MB_ICONINFORMATION);
    TxtDataCadProtesto.SetFocus;
end
      Else
        Begin
          ModuloDados.TbCadProtesto.Post;
          Application.MessageBox('Seu cadastrado foi realizado com sucesso!','SC Informtica',MB_ICONEXCLAMATION);
          ModuloDados.TbCadProtesto.Active:=False;
          Novo.Enabled:=True;
          Alterar.Enabled:=True;
          Salvar.Enabled:=False;
          Cancelar.Enabled:=False;
          FrmCadProtesto.Close;
      end
end;

procedure TFrmCadProtesto.AlterarClick(Sender: TObject);
begin
ModuloDados.TbCadProtesto.Active:=True;
Novo.Enabled:=False;
Alterar.Enabled:=False;
Salvar.Enabled:=True;
Cancelar.Enabled:=True;
end;

procedure TFrmCadProtesto.CancelarClick(Sender: TObject);
begin
If Application.MessageBox('A T E N   O ! ! !'#13'Realmente deseja cancelar esta ao???','SC Informtica',MB_ICONQUESTION+MB_YESNO)=mrYes Then
  Begin
    ModuloDados.TbCadProtesto.Cancel;
    ModuloDados.TbCadProtesto.Active:=False;
    Novo.Enabled:=True;
    Salvar.Enabled:=False;
    Alterar.Enabled:=True;
    Cancelar.Enabled:=False;
    FrmCadProtesto.Close;
end
      Else
        Abort;
end;

procedure TFrmCadProtesto.TxtDataCadProtestoKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadProtesto.TxtCartorioCadProtestoKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadProtesto.TxtNatuCadProtestoKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadProtesto.TxtVlrCadProtestoKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadProtesto.TxtCidadeUFCadProtestoKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadProtesto.TxtDesconCadProtestoKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
