unit UntCadRestricoes;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, Mask, DBCtrls, DB, ADODB, Grids,
  DBGrids;

type
  TFrmCadRestricoes = class(TForm)
    GroupBox: TGroupBox;
    RBCgcCnpj: TRadioButton;
    RBCpf: TRadioButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Panel1: TPanel;
    Label2: TLabel;
    Label3: TLabel;
    Panel2: TPanel;
    BdcLimpar: TBitBtn;
    BdcCadastrar: TBitBtn;
    BdcExcluir: TBitBtn;
    DsCadResFiltro: TDataSource;
    TxtNFantasiaLocCliFiltro: TDBEdit;
    DBGrid: TDBGrid;
    TxtNumeroCPFLocCliFiltro: TMaskEdit;
    TxtNumeroCGCCNPJLocCliFiltro: TMaskEdit;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure BdcCadastrarClick(Sender: TObject);
    procedure RBCgcCnpjClick(Sender: TObject);
    procedure RBCpfClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TxtNumeroCPFLocCliFiltroExit(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroExit(Sender: TObject);
    procedure TxtNumeroCPFLocCliFiltroKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNumeroCGCCNPJLocCliFiltroKeyPress(Sender: TObject;
      var Key: Char);
    procedure RBCgcCnpjKeyPress(Sender: TObject; var Key: Char);
    procedure RBCpfKeyPress(Sender: TObject; var Key: Char);
    procedure BdcExcluirClick(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroCSFKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNumeroCPFLocCliFiltroCSFKeyPress(Sender: TObject;
      var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadRestricoes: TFrmCadRestricoes;

implementation

uses UntCadCheqIrregulares, MaskUtils, UntModuloDados, UntPrincipal,
  UntCadCSF;

{$R *.dfm}

procedure TFrmCadRestricoes.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadRestricoes.Close;
end    
end;

procedure TFrmCadRestricoes.BdcCadastrarClick(Sender: TObject);
begin
If RBCpf.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadCheqIrregulares,FrmCadCheqIrregulares);
    FrmCadCheqIrregulares.Show;
    FrmCadCheqIrregulares.Caption:='SISCONS -  Cadastro de Cheques Irregulares';
    FrmCadCheqIrregulares.TxtDesconCadCheqIrregulares.Visible:=False;
    FrmCadCheqIrregulares.NovoClick(Sender);
    FrmCadCheqIrregulares.TxtNomeCadCheqIrregulares.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    ModuloDados.TbCadChequesIrregulares.FieldValues['CPF']:=TxtNumeroCPFLocCliFiltro.Text;
    ModuloDados.TbCadChequesIrregulares.FieldValues['Codigo_Cliente']:=ModuloDados.TbCadResFiltro.FieldValues['Codigo_Cliente'];
    ModuloDados.TbCadChequesIrregulares.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
    ModuloDados.TbCadChequesIrregulares.FieldValues['DtCad']:=ModuloDados.TbCadResFiltro.FieldValues['Data_Cad'];
    FrmCadRestricoes.Close;
end
      Else
        If RBCgcCnpj.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadCheqIrregulares,FrmCadCheqIrregulares);
            FrmCadCheqIrregulares.Show;
            FrmCadCheqIrregulares.Caption:='SISCONS -  Cadastro de Cheques Irregulares';
            FrmCadCheqIrregulares.TxtDesconCadCheqIrregulares.Visible:=False;
            FrmCadCheqIrregulares.NovoClick(Sender);
            FrmCadCheqIrregulares.TxtNomeCadCheqIrregulares.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            ModuloDados.TbCadChequesIrregulares.FieldValues['CGC']:=TxtNumeroCGCCNPJLocCliFiltro.Text;
            ModuloDados.TbCadChequesIrregulares.FieldValues['Codigo_Cliente']:=ModuloDados.TbCadResFiltro.FieldValues['Codigo_Cliente'];
            ModuloDados.TbCadChequesIrregulares.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
            ModuloDados.TbCadChequesIrregulares.FieldValues['DtCad']:=ModuloDados.TbCadResFiltro.FieldValues['Data_Cad'];
            FrmCadRestricoes.Close;
      end
end;

procedure TFrmCadRestricoes.RBCgcCnpjClick(Sender: TObject);
begin
If RBCgcCnpj.Checked=True Then
  Begin
    TxtNumeroCPFLocCliFiltro.Text:='';
    TxtNumeroCPFLocCliFiltro.Visible:=False;
    TxtNumeroCGCCNPJLocCliFiltro.Visible:=True;
    DBGrid.Columns[2].Visible:=False;
    DBGrid.Columns[1].Visible:=True;
    TxtNumeroCGCCNPJLocCliFiltro.SetFocus;
end
      Else
       Abort;
end;

procedure TFrmCadRestricoes.RBCpfClick(Sender: TObject);
begin
If RBCpf.Checked=True Then
  Begin
    TxtNumeroCGCCNPJLocCliFiltro.Text:='';
    TxtNumeroCGCCNPJLocCliFiltro.Visible:=False;
    TxtNumeroCPFLocCliFiltro.Visible:=True;
    DBGrid.Columns[1].Visible:=False;
    DBGrid.Columns[2].Visible:=True;
    TxtNumeroCPFLocCliFiltro.SetFocus;
end
      Else
       Abort;
end;

procedure TFrmCadRestricoes.FormActivate(Sender: TObject);
begin
ModuloDados.TbCadResFiltro.Active:=True;
ModuloDados.TbCadResFiltro.Append;
RBCpf.Checked:=True;
end;

procedure TFrmCadRestricoes.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.TbCadResFiltro.Active:=False;
Action:=caFree;
FrmCadRestricoes:=Nil;
end;

procedure TFrmCadRestricoes.TxtNumeroCPFLocCliFiltroExit(Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CPF', TxtNumeroCPFLocCliFiltro.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CPF Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrar.Enabled:=True;
    BdcExcluir.Enabled:=True;
    BdcCadastrar.SetFocus;
end
      Else
        TxtNumeroCPFLocCliFiltro.Clear;
end;

procedure TFrmCadRestricoes.TxtNumeroCGCCNPJLocCliFiltroExit(Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CGC', TxtNumeroCGCCNPJLocCliFiltro.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CGC Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrar.Enabled:=True;
    BdcExcluir.Enabled:=True;
    BdcCadastrar.SetFocus;
end
      Else
        TxtNumeroCGCCNPJLocCliFiltro.Clear;
end;

procedure TFrmCadRestricoes.TxtNumeroCPFLocCliFiltroKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoes.TxtNumeroCGCCNPJLocCliFiltroKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoes.RBCgcCnpjKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoes.RBCpfKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoes.BdcExcluirClick(Sender: TObject);
begin
If RBCpf.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadCheqIrregulares,FrmCadCheqIrregulares);
    FrmCadCheqIrregulares.Show;
    FrmCadCheqIrregulares.Caption:='SISCONS -  Excluso de Cheques Irregulares';
    FrmCadCheqIrregulares.TxtDesconCadCheqIrregulares.Visible:=True;
    FrmCadCheqIrregulares.NavegadorAnterior.Visible:=True;
    FrmCadCheqIrregulares.NavagadorProximo.Visible:=True;
    FrmCadCheqIrregulares.LblInfo.Visible:=True;
    FrmCadCheqIrregulares.AlterarClick(Sender);
    ModuloDados.TbCadChequesIrregulares.Filtered:=True;
    FrmCadCheqIrregulares.GroupBox3.Visible:=True;
    ModuloDados.TbCadChequesIrregulares.Filtered:=True;
    ModuloDados.TbCadChequesIrregulares.Filter:='CPF='+QuotedStr(TxtNumeroCPFLocCliFiltro.Text);
    FrmCadCheqIrregulares.TxtNomeCadCheqIrregulares.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    FrmCadRestricoes.Close;
end
      Else
        If RBCgcCnpj.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadCheqIrregulares,FrmCadCheqIrregulares);
            FrmCadCheqIrregulares.Show;
            FrmCadCheqIrregulares.Caption:='SISCONS -  Excluso de Cheques Irregulares';
            FrmCadCheqIrregulares.TxtDesconCadCheqIrregulares.Visible:=True;
            FrmCadCheqIrregulares.NavegadorAnterior.Visible:=True;
            FrmCadCheqIrregulares.NavagadorProximo.Visible:=True;
            FrmCadCheqIrregulares.AlterarClick(Sender);
            FrmCadCheqIrregulares.LblInfo.Visible:=True;
            FrmCadCheqIrregulares.GroupBox3.Visible:=True;
            ModuloDados.TbCadChequesIrregulares.Filtered:=True;
            ModuloDados.TbCadChequesIrregulares.Filter:='CGC='+QuotedStr(TxtNumeroCGCCNPJLocCliFiltro. Text);
            FrmCadCheqIrregulares.TxtNomeCadCheqIrregulares.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            FrmCadRestricoes.Close;
      end
end;

procedure TFrmCadRestricoes.TxtNumeroCGCCNPJLocCliFiltroCSFKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoes.TxtNumeroCPFLocCliFiltroCSFKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
