unit UntCadRestricoesCSF;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, Mask, DBCtrls, DB, ADODB, Grids,
  DBGrids;

type
  TFrmCadRestricoesCSF = class(TForm)
    GroupBox: TGroupBox;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Panel1: TPanel;
    Label2: TLabel;
    Label3: TLabel;
    Panel2: TPanel;
    BdcLimpar: TBitBtn;
    DsCadResFiltro: TDataSource;
    TxtNFantasiaLocCliFiltro: TDBEdit;
    DBGrid: TDBGrid;
    TxtNumeroCGCCNPJLocCliFiltroCSF: TMaskEdit;
    TxtNumeroCPFLocCliFiltroCSF: TMaskEdit;
    BdcExcluirCSF: TBitBtn;
    BdcCadastrarCSF: TBitBtn;
    RBCgcCnpjCSF: TRadioButton;
    RBCpfCSF: TRadioButton;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure BdcLimparClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TxtNumeroCPFLocCliFiltroExit(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroExit(Sender: TObject);
    procedure TxtNumeroCPFLocCliFiltroKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNumeroCGCCNPJLocCliFiltroKeyPress(Sender: TObject;
      var Key: Char);
    procedure RBCgcCnpjKeyPress(Sender: TObject; var Key: Char);
    procedure RBCpfKeyPress(Sender: TObject; var Key: Char);
    procedure BdcExcluirClick(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroCSFExit(Sender: TObject);
    procedure TxtNumeroCPFLocCliFiltroCSFExit(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroCSFKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNumeroCPFLocCliFiltroCSFKeyPress(Sender: TObject;
      var Key: Char);
    procedure BdcExcluirCSFClick(Sender: TObject);
    procedure BdcCadastrarCSFClick(Sender: TObject);
    procedure RBCgcCnpjCSFClick(Sender: TObject);
    procedure RBCpfCSFClick(Sender: TObject);
    procedure RBCgcCnpjCSFKeyPress(Sender: TObject; var Key: Char);
    procedure RBCpfCSFKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadRestricoesCSF: TFrmCadRestricoesCSF;

implementation

uses UntCadCheqIrregulares, MaskUtils, UntModuloDados, UntPrincipal,
  UntCadCSF, UntCadRestricoes;

{$R *.dfm}

procedure TFrmCadRestricoesCSF.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadRestricoesCSF.Close;
end    
end;

procedure TFrmCadRestricoesCSF.BdcLimparClick(Sender: TObject);
begin
TxtNumeroCGCCNPJLocCliFiltroCSF.Text:='';
TxtNFantasiaLocCliFiltro.Text:='';
TxtNumeroCPFLocCliFiltroCSF.Text:='';
end;

procedure TFrmCadRestricoesCSF.FormActivate(Sender: TObject);
begin
ModuloDados.TbCadResFiltro.Active:=True;
ModuloDados.TbCadResFiltro.Append;
RBCpfCSF.Checked:=True;
end;

procedure TFrmCadRestricoesCSF.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.TbCadResFiltro.Active:=False;
Action:=caFree;
FrmCadRestricoes:=Nil;
end;

procedure TFrmCadRestricoesCSF.TxtNumeroCPFLocCliFiltroExit(Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CPF', TxtNumeroCPFLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CPF Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCPFLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesCSF.TxtNumeroCGCCNPJLocCliFiltroExit(Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CGC', TxtNumeroCGCCNPJLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CGC Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCGCCNPJLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesCSF.TxtNumeroCPFLocCliFiltroKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesCSF.TxtNumeroCGCCNPJLocCliFiltroKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesCSF.RBCgcCnpjKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesCSF.RBCpfKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesCSF.BdcExcluirClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadCheqIrregulares,FrmCadCheqIrregulares);
    FrmCadCheqIrregulares.Show;
    FrmCadCheqIrregulares.Caption:='SISCONS -  Excluso de Cheques Irregulares';
    FrmCadCheqIrregulares.TxtDesconCadCheqIrregulares.Visible:=True;
    FrmCadCheqIrregulares.NavegadorAnterior.Visible:=True;
    FrmCadCheqIrregulares.NavagadorProximo.Visible:=True;
    FrmCadCheqIrregulares.LblInfo.Visible:=True;
    FrmCadCheqIrregulares.AlterarClick(Sender);
    ModuloDados.TbCadChequesIrregulares.Filtered:=True;
    FrmCadCheqIrregulares.GroupBox3.Visible:=True;
    ModuloDados.TbCadChequesIrregulares.Filter:='CPF='+QuotedStr(TxtNumeroCPFLocCliFiltroCSF.Text);
    FrmCadCheqIrregulares.TxtNomeCadCheqIrregulares.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    FrmCadRestricoes.Close;
end
      Else
        If RBCgcCnpjCSF.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadCheqIrregulares,FrmCadCheqIrregulares);
            FrmCadCheqIrregulares.Show;
            FrmCadCheqIrregulares.Caption:='SISCONS -  Excluso de Cheques Irregulares';
            FrmCadCheqIrregulares.TxtDesconCadCheqIrregulares.Visible:=True;
            FrmCadCheqIrregulares.NavegadorAnterior.Visible:=True;
            FrmCadCheqIrregulares.NavagadorProximo.Visible:=True;
            FrmCadCheqIrregulares.AlterarClick(Sender);
            FrmCadCheqIrregulares.LblInfo.Visible:=True;
            FrmCadCheqIrregulares.GroupBox3.Visible:=True;
            ModuloDados.TbCadChequesIrregulares.Filter:='CGC='+QuotedStr(TxtNumeroCGCCNPJLocCliFiltroCSF. Text);
            FrmCadCheqIrregulares.TxtNomeCadCheqIrregulares.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            FrmCadRestricoes.Close;
      end
end;

procedure TFrmCadRestricoesCSF.TxtNumeroCGCCNPJLocCliFiltroCSFExit(
  Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CGC', TxtNumeroCGCCNPJLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CGC Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCGCCNPJLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesCSF.TxtNumeroCPFLocCliFiltroCSFExit(
  Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CPF', TxtNumeroCPFLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CPF Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCPFLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesCSF.TxtNumeroCGCCNPJLocCliFiltroCSFKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end

end;

procedure TFrmCadRestricoesCSF.TxtNumeroCPFLocCliFiltroCSFKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end

end;

procedure TFrmCadRestricoesCSF.BdcExcluirCSFClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadCSF,FrmCadCSF);
    FrmCadCSF.Show;
    FrmCadCheqIrregulares.Caption:='SISCONS -  Excluso de Cheques sem Fundo';
    FrmCadCSF.TxtDescontCadCSF.Visible:=True;
    FrmCadCSF.NavegadorAnterior.Visible:=True;
    FrmCadCSF.NavagadorProximo.Visible:=True;
    FrmCadCSF.LblInfo.Visible:=True;
    FrmCadCSF.AlterarClick(Sender);
    ModuloDados.TbCadCSF.Filtered:=True;
    FrmCadCSF.GroupBox3.Visible:=True;
    ModuloDados.TbCadCSF.Filtered:=True;
    ModuloDados.TbCadCSF.Filter:='CPF='+QuotedStr(TxtNumeroCPFLocCliFiltroCSF.Text);
    FrmCadCSF.TxtNomeCadCSF.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    FrmCadRestricoesCSF.Close;
end
      Else
        If RBCgcCnpjCSF.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadCSF,FrmCadCSF);
            FrmCadCSF.Show;
            FrmCadCSF.Caption:='SISCONS -  Excluso de Cheques sem Fundo';
            FrmCadCSF.TxtDescontCadCSF.Visible:=True;
            FrmCadCSF.NavegadorAnterior.Visible:=True;
            FrmCadCSF.NavagadorProximo.Visible:=True;
            FrmCadCSF.AlterarClick(Sender);
            FrmCadCSF.LblInfo.Visible:=True;
            FrmCadCSF.GroupBox3.Visible:=True;
            ModuloDados.TbCadCSF.Filtered:=True;
            ModuloDados.TbCadCSF.Filter:='CGC='+QuotedStr(TxtNumeroCGCCNPJLocCliFiltroCSF. Text);
            FrmCadCSF.TxtNomeCadCSF.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            FrmCadRestricoesCSF.Close;
      end
end;

procedure TFrmCadRestricoesCSF.BdcCadastrarCSFClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadCSF,FrmCadCSF);
    FrmCadCSF.Show;
    FrmCadCSF.Caption:='SISCONS -  Cadastro de Cheques sem Fundo';
    FrmCadCSF.TxtDescontCadCSF.Visible:=False;
    FrmCadCSF.NovoClick(Sender);
    FrmCadCSF.TxtNomeCadCSF.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    ModuloDados.TbCadCSF.FieldValues['CPF']:=TxtNumeroCPFLocCliFiltroCSF.Text;
    ModuloDados.TbCadCSF.FieldValues['Codigo_Cliente']:=ModuloDados.TbCadResFiltro.FieldValues['Codigo_Cliente'];
    ModuloDados.TbCadCSF.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
    ModuloDados.TbCadCSF.FieldValues['DtCad']:=ModuloDados.TbCadResFiltro.FieldValues['Data_Cad'];
    FrmCadRestricoesCSF.Close;
end
      Else
        If RBCgcCnpjCSF.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadCSF,FrmCadCSF);
            FrmCadCSF.Show;
            FrmCadCSF.Caption:='SISCONS -  Cadastro de Cheques sem Fundo';
            FrmCadCSF.TxtDescontCadCSF.Visible:=False;
            FrmCadCSF.NovoClick(Sender);
            FrmCadCSF.TxtNomeCadCSF.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            ModuloDados.TbCadCSF.FieldValues['CGC']:=TxtNumeroCGCCNPJLocCliFiltroCSF.Text;
            ModuloDados.TbCadCSF.FieldValues['Codigo_Cliente']:=ModuloDados.TbCadResFiltro.FieldValues['Codigo_Cliente'];
            ModuloDados.TbCadCSF.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
            ModuloDados.TbCadCSF.FieldValues['DtCad']:=ModuloDados.TbCadResFiltro.FieldValues['Data_Cad'];
            FrmCadRestricoesCSF.Close;
      end
end;

procedure TFrmCadRestricoesCSF.RBCgcCnpjCSFClick(Sender: TObject);
begin
If RBCgcCnpjCSF.Checked=True Then
  Begin
    TxtNumeroCPFLocCliFiltroCSF.Text:='';
    TxtNumeroCPFLocCliFiltroCSF.Visible:=False;
    TxtNumeroCGCCNPJLocCliFiltroCSF.Visible:=True;
    DBGrid.Columns[2].Visible:=False;
    DBGrid.Columns[1].Visible:=True;
    TxtNumeroCGCCNPJLocCliFiltroCSF.SetFocus;
end
      Else
       Abort;
end;

procedure TFrmCadRestricoesCSF.RBCpfCSFClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    TxtNumeroCGCCNPJLocCliFiltroCSF.Text:='';
    TxtNumeroCGCCNPJLocCliFiltroCSF.Visible:=False;
    TxtNumeroCPFLocCliFiltroCSF.Visible:=True;
    DBGrid.Columns[1].Visible:=False;
    DBGrid.Columns[2].Visible:=True;
    TxtNumeroCPFLocCliFiltroCSF.SetFocus;
end
      Else
       Abort;
end;

procedure TFrmCadRestricoesCSF.RBCgcCnpjCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesCSF.RBCpfCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
