unit UntCadRestricoesCom;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, Mask, DBCtrls, DB, ADODB, Grids,
  DBGrids;

type
  TFrmCadRestricoesCom = class(TForm)
    GroupBox: TGroupBox;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Panel1: TPanel;
    Label2: TLabel;
    Label3: TLabel;
    Panel2: TPanel;
    BdcLimpar: TBitBtn;
    DsCadResFiltro: TDataSource;
    TxtNFantasiaLocCliFiltro: TDBEdit;
    DBGrid: TDBGrid;
    TxtNumeroCGCCNPJLocCliFiltroCom: TMaskEdit;
    TxtNumeroCPFLocCliFiltroCom: TMaskEdit;
    BdcExcluirCSF: TBitBtn;
    BdcCadastrarCSF: TBitBtn;
    RBCgcCnpjCom: TRadioButton;
    RBCpfCom: TRadioButton;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure BdcLimparClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TxtNumeroCPFLocCliFiltroExit(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroExit(Sender: TObject);
    procedure TxtNumeroCPFLocCliFiltroKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNumeroCGCCNPJLocCliFiltroKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNumeroCGCCNPJLocCliFiltroComExit(Sender: TObject);
    procedure TxtNumeroCPFLocCliFiltroComExit(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroComKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNumeroCPFLocCliFiltroComKeyPress(Sender: TObject;
      var Key: Char);
    procedure BdcExcluirCSFClick(Sender: TObject);
    procedure BdcCadastrarCSFClick(Sender: TObject);
    procedure RBCgcCnpjComClick(Sender: TObject);
    procedure RBCpfComClick(Sender: TObject);
    procedure RBCgcCnpjComKeyPress(Sender: TObject; var Key: Char);
    procedure RBCpfComKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadRestricoesCom: TFrmCadRestricoesCom;

implementation

uses UntCadCheqIrregulares, MaskUtils, UntModuloDados, UntPrincipal,
  UntCadCSF, UntCadRestricoes, UntCadRestricoesFalCon, UntCadRestCom;

{$R *.dfm}

procedure TFrmCadRestricoesCom.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadRestricoesCom.Close;
end    
end;

procedure TFrmCadRestricoesCom.BdcLimparClick(Sender: TObject);
begin
TxtNumeroCGCCNPJLocCliFiltroCom.Text:='';
TxtNFantasiaLocCliFiltro.Text:='';
TxtNumeroCPFLocCliFiltroCom.Text:='';
end;

procedure TFrmCadRestricoesCom.FormActivate(Sender: TObject);
begin
ModuloDados.TbCadResFiltro.Active:=True;
ModuloDados.TbCadResFiltro.Append;
RBCpfCom.Checked:=True;
end;

procedure TFrmCadRestricoesCom.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.TbCadResFiltro.Active:=False;
Action:=caFree;
FrmCadRestricoes:=Nil;
end;

procedure TFrmCadRestricoesCom.TxtNumeroCPFLocCliFiltroExit(Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CPF', TxtNumeroCPFLocCliFiltroCom.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CPF Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCPFLocCliFiltroCom.Clear;
end;

procedure TFrmCadRestricoesCom.TxtNumeroCGCCNPJLocCliFiltroExit(Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CGC', TxtNumeroCGCCNPJLocCliFiltroCom.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CGC Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCGCCNPJLocCliFiltroCom.Clear;
end;

procedure TFrmCadRestricoesCom.TxtNumeroCPFLocCliFiltroKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesCom.TxtNumeroCGCCNPJLocCliFiltroKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesCom.TxtNumeroCGCCNPJLocCliFiltroComExit(
  Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CGC', TxtNumeroCGCCNPJLocCliFiltroCom.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CGC Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCGCCNPJLocCliFiltroCom.Clear;
end;

procedure TFrmCadRestricoesCom.TxtNumeroCPFLocCliFiltroComExit(
  Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CPF', TxtNumeroCPFLocCliFiltroCom.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CPF Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCPFLocCliFiltroCom.Clear;
end;

procedure TFrmCadRestricoesCom.TxtNumeroCGCCNPJLocCliFiltroComKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end

end;

procedure TFrmCadRestricoesCom.TxtNumeroCPFLocCliFiltroComKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end

end;

procedure TFrmCadRestricoesCom.BdcExcluirCSFClick(Sender: TObject);
begin
If RBCpfCom.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadRestCom,FrmCadRestCom);
    FrmCadRestCom.Show;
    FrmCadRestCom.Caption:='SISCONS -  Excluso de Restries Comerciais';
    FrmCadRestCom.TxtDesconCadRestCom.Visible:=True;
    FrmCadRestCom.NavegadorAnterior.Visible:=True;
    FrmCadRestCom.NavagadorProximo.Visible:=True;
    FrmCadRestCom.LblInfo.Visible:=True;
    FrmCadRestCom.AlterarClick(Sender);
    ModuloDados.TbCadRestCom.Filtered:=True;
    FrmCadRestCom.GroupBox3.Visible:=True;
    ModuloDados.TbCadRestCom.Filtered:=True;
    ModuloDados.TbCadRestCom.Filter:='CPF='+QuotedStr(TxtNumeroCPFLocCliFiltroCom.Text);
    FrmCadRestCom.TxtNomeCadRestCon.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    FrmCadRestricoesCom.Close;
end
      Else
        If RBCgcCnpjCom.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadRestCom,FrmCadRestCom);
            FrmCadRestCom.Show;
            FrmCadRestCom.Caption:='SISCONS -  Excluso de Restries Comerciais';
            FrmCadRestCom.TxtDesconCadRestCom.Visible:=True;
            FrmCadRestCom.NavegadorAnterior.Visible:=True;
            FrmCadRestCom.NavagadorProximo.Visible:=True;
            FrmCadRestCom.AlterarClick(Sender);
            FrmCadRestCom.LblInfo.Visible:=True;
            FrmCadRestCom.GroupBox3.Visible:=True;
            ModuloDados.TbCadRestCom.Filtered:=True;
            ModuloDados.TbCadRestCom.Filter:='CGC='+QuotedStr(TxtNumeroCGCCNPJLocCliFiltroCom. Text);
            FrmCadRestCom.TxtNomeCadRestCon.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            FrmCadRestricoesCom.Close;
      end
end;

procedure TFrmCadRestricoesCom.BdcCadastrarCSFClick(Sender: TObject);
begin
If RBCpfCom.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadRestCom,FrmCadCSF);
    FrmCadRestCom.Show;
    FrmCadRestCom.Caption:='SISCONS -  Cadastro de Restries Comerciais';
    FrmCadRestCom.TxtDesconCadRestCom.Visible:=False;
    FrmCadRestCom.NovoClick(Sender);
    FrmCadRestCom.TxtNomeCadRestCon.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    ModuloDados.TbCadRestCom.FieldValues['CPF']:=TxtNumeroCPFLocCliFiltroCom.Text;
    ModuloDados.TbCadRestCom.FieldValues['Codigo_Cliente']:=ModuloDados.TbCadResFiltro.FieldValues['Codigo_Cliente'];
    ModuloDados.TbCadRestCom.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
    ModuloDados.TbCadRestCom.FieldValues['DtCad']:=ModuloDados.TbCadResFiltro.FieldValues['Data_Cad'];
    FrmCadRestricoesCom.Close;
end
      Else
        If RBCgcCnpjCom.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadRestCom,FrmCadRestCom);
            FrmCadRestCom.Show;
            FrmCadRestCom.Caption:='SISCONS -  Cadastro de Restries Comerciais';
            FrmCadRestCom.TxtDesconCadRestCom.Visible:=False;
            FrmCadRestCom.NovoClick(Sender);
            FrmCadRestCom.TxtNomeCadRestCon.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            ModuloDados.TbCadRestCom.FieldValues['CGC']:=TxtNumeroCGCCNPJLocCliFiltroCom.Text;
            ModuloDados.TbCadRestCom.FieldValues['Codigo_Cliente']:=ModuloDados.TbCadResFiltro.FieldValues['Codigo_Cliente'];
            ModuloDados.TbCadRestCom.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
            ModuloDados.TbCadRestCom.FieldValues['DtCad']:=ModuloDados.TbCadResFiltro.FieldValues['Data_Cad'];
            FrmCadRestricoesCom.Close;
      end
end;

procedure TFrmCadRestricoesCom.RBCgcCnpjComClick(Sender: TObject);
begin
If RBCgcCnpjCom.Checked=True Then
  Begin
    TxtNumeroCPFLocCliFiltroCom.Text:='';
    TxtNumeroCPFLocCliFiltroCom.Visible:=False;
    TxtNumeroCGCCNPJLocCliFiltroCom.Visible:=True;
    DBGrid.Columns[2].Visible:=False;
    DBGrid.Columns[1].Visible:=True;
    TxtNumeroCGCCNPJLocCliFiltroCom.SetFocus;
end
      Else
       Abort;
end;

procedure TFrmCadRestricoesCom.RBCpfComClick(Sender: TObject);
begin
If RBCpfCom.Checked=True Then
  Begin
    TxtNumeroCGCCNPJLocCliFiltroCom.Text:='';
    TxtNumeroCGCCNPJLocCliFiltroCom.Visible:=False;
    TxtNumeroCPFLocCliFiltroCom.Visible:=True;
    DBGrid.Columns[1].Visible:=False;
    DBGrid.Columns[2].Visible:=True;
    TxtNumeroCPFLocCliFiltroCom.SetFocus;
end
      Else
       Abort;
end;

procedure TFrmCadRestricoesCom.RBCgcCnpjComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesCom.RBCpfComKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
