unit UntCadRestricoesFalCon;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, Mask, DBCtrls, DB, ADODB, Grids,
  DBGrids;

type
  TFrmCadRestricoesFalCon = class(TForm)
    GroupBox: TGroupBox;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Panel1: TPanel;
    Label2: TLabel;
    Label3: TLabel;
    Panel2: TPanel;
    BdcLimpar: TBitBtn;
    DsCadResFiltro: TDataSource;
    TxtNFantasiaLocCliFiltro: TDBEdit;
    DBGrid: TDBGrid;
    TxtNumeroCGCCNPJLocCliFiltroCSF: TMaskEdit;
    TxtNumeroCPFLocCliFiltroCSF: TMaskEdit;
    BdcExcluirCSF: TBitBtn;
    BdcCadastrarCSF: TBitBtn;
    RBCgcCnpjCSF: TRadioButton;
    RBCpfCSF: TRadioButton;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure BdcLimparClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TxtNumeroCPFLocCliFiltroExit(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroExit(Sender: TObject);
    procedure TxtNumeroCPFLocCliFiltroKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNumeroCGCCNPJLocCliFiltroKeyPress(Sender: TObject;
      var Key: Char);
    procedure RBCgcCnpjKeyPress(Sender: TObject; var Key: Char);
    procedure RBCpfKeyPress(Sender: TObject; var Key: Char);
    procedure BdcExcluirClick(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroCSFExit(Sender: TObject);
    procedure TxtNumeroCPFLocCliFiltroCSFExit(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroCSFKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNumeroCPFLocCliFiltroCSFKeyPress(Sender: TObject;
      var Key: Char);
    procedure BdcExcluirCSFClick(Sender: TObject);
    procedure BdcCadastrarCSFClick(Sender: TObject);
    procedure RBCgcCnpjCSFClick(Sender: TObject);
    procedure RBCpfCSFClick(Sender: TObject);
    procedure RBCgcCnpjCSFKeyPress(Sender: TObject; var Key: Char);
    procedure RBCpfCSFKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadRestricoesFalCon: TFrmCadRestricoesFalCon;

implementation

uses UntCadCheqIrregulares, MaskUtils, UntModuloDados, UntPrincipal,
  UntCadCSF, UntCadRestricoes, UntFalCon;

{$R *.dfm}

procedure TFrmCadRestricoesFalCon.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadRestricoesFalCon.Close;
end    
end;

procedure TFrmCadRestricoesFalCon.BdcLimparClick(Sender: TObject);
begin
TxtNumeroCGCCNPJLocCliFiltroCSF.Text:='';
TxtNFantasiaLocCliFiltro.Text:='';
TxtNumeroCPFLocCliFiltroCSF.Text:='';
end;

procedure TFrmCadRestricoesFalCon.FormActivate(Sender: TObject);
begin
ModuloDados.TbCadResFiltro.Active:=True;
ModuloDados.TbCadResFiltro.Append;
RBCpfCSF.Checked:=True;
end;

procedure TFrmCadRestricoesFalCon.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.TbCadResFiltro.Active:=False;
Action:=caFree;
FrmCadRestricoes:=Nil;
end;

procedure TFrmCadRestricoesFalCon.TxtNumeroCPFLocCliFiltroExit(Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CPF', TxtNumeroCPFLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CPF Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCPFLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesFalCon.TxtNumeroCGCCNPJLocCliFiltroExit(Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CGC', TxtNumeroCGCCNPJLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CGC Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCGCCNPJLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesFalCon.TxtNumeroCPFLocCliFiltroKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesFalCon.TxtNumeroCGCCNPJLocCliFiltroKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesFalCon.RBCgcCnpjKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesFalCon.RBCpfKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesFalCon.BdcExcluirClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadCheqIrregulares,FrmCadCheqIrregulares);
    FrmCadCheqIrregulares.Show;
    FrmCadCheqIrregulares.Caption:='SISCONS -  Excluso de Cheques Irregulares';
    FrmCadCheqIrregulares.TxtDesconCadCheqIrregulares.Visible:=True;
    FrmCadCheqIrregulares.NavegadorAnterior.Visible:=True;
    FrmCadCheqIrregulares.NavagadorProximo.Visible:=True;
    FrmCadCheqIrregulares.LblInfo.Visible:=True;
    FrmCadCheqIrregulares.AlterarClick(Sender);
    ModuloDados.TbCadChequesIrregulares.Filtered:=True;
    FrmCadCheqIrregulares.GroupBox3.Visible:=True;
    ModuloDados.TbCadChequesIrregulares.Filter:='CPF='+QuotedStr(TxtNumeroCPFLocCliFiltroCSF.Text);
    FrmCadCheqIrregulares.TxtNomeCadCheqIrregulares.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    FrmCadRestricoes.Close;
end
      Else
        If RBCgcCnpjCSF.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadCheqIrregulares,FrmCadCheqIrregulares);
            FrmCadCheqIrregulares.Show;
            FrmCadCheqIrregulares.Caption:='SISCONS -  Excluso de Cheques Irregulares';
            FrmCadCheqIrregulares.TxtDesconCadCheqIrregulares.Visible:=True;
            FrmCadCheqIrregulares.NavegadorAnterior.Visible:=True;
            FrmCadCheqIrregulares.NavagadorProximo.Visible:=True;
            FrmCadCheqIrregulares.AlterarClick(Sender);
            FrmCadCheqIrregulares.LblInfo.Visible:=True;
            FrmCadCheqIrregulares.GroupBox3.Visible:=True;
            ModuloDados.TbCadChequesIrregulares.Filter:='CGC='+QuotedStr(TxtNumeroCGCCNPJLocCliFiltroCSF. Text);
            FrmCadCheqIrregulares.TxtNomeCadCheqIrregulares.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            FrmCadRestricoes.Close;
      end
end;

procedure TFrmCadRestricoesFalCon.TxtNumeroCGCCNPJLocCliFiltroCSFExit(
  Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CGC', TxtNumeroCGCCNPJLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CGC Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCGCCNPJLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesFalCon.TxtNumeroCPFLocCliFiltroCSFExit(
  Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CPF', TxtNumeroCPFLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CPF Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCPFLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesFalCon.TxtNumeroCGCCNPJLocCliFiltroCSFKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end

end;

procedure TFrmCadRestricoesFalCon.TxtNumeroCPFLocCliFiltroCSFKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end

end;

procedure TFrmCadRestricoesFalCon.BdcExcluirCSFClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadFalCon,FrmCadFalCon);
    FrmCadFalCon.Show;
    FrmCadFalCon.Caption:='SISCONS -  Excluso de Falncia/Concordata';
    FrmCadFalCon.TxtDesconCadFalCon.Visible:=True;
    FrmCadFalCon.NavegadorAnterior.Visible:=True;
    FrmCadFalCon.NavagadorProximo.Visible:=True;
    FrmCadFalCon.LblInfo.Visible:=True;
    FrmCadFalCon.AlterarClick(Sender);
    ModuloDados.TbCadFalCon.Filtered:=True;
    FrmCadFalCon.GroupBox3.Visible:=True;
    ModuloDados.TbCadFalCon.Filtered:=True;
    ModuloDados.TbCadFalCon.Filter:='CPF='+QuotedStr(TxtNumeroCPFLocCliFiltroCSF.Text);
    FrmCadFalCon.TxtNomeCadFalCon.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    FrmCadRestricoesFalCon.Close;
end
      Else
        If RBCgcCnpjCSF.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadFalCon,FrmCadFalCon);
            FrmCadFalCon.Show;
            FrmCadFalCon.Caption:='SISCONS -  Excluso de Falncia/Concordata';
            FrmCadFalCon.TxtDesconCadFalCon.Visible:=True;
            FrmCadFalCon.NavegadorAnterior.Visible:=True;
            FrmCadFalCon.NavagadorProximo.Visible:=True;
            FrmCadFalCon.AlterarClick(Sender);
            FrmCadFalCon.LblInfo.Visible:=True;
            FrmCadFalCon.GroupBox3.Visible:=True;
            ModuloDados.TbCadFalCon.Filtered:=True;
            ModuloDados.TbCadFalCon.Filter:='CGC='+QuotedStr(TxtNumeroCGCCNPJLocCliFiltroCSF. Text);
            FrmCadFalCon.TxtNomeCadFalCon.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            FrmCadRestricoesFalCon.Close;
      end
end;

procedure TFrmCadRestricoesFalCon.BdcCadastrarCSFClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadFalCon,FrmCadFalCon);
    FrmCadFalCon.Show;
    FrmCadFalCon.Caption:='SISCONS -  Cadastro de Falncia/Concordata';
    FrmCadFalCon.TxtDesconCadFalCon.Visible:=False;
    FrmCadFalCon.NovoClick(Sender);
    FrmCadFalCon.TxtNomeCadFalCon.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    ModuloDados.TbCadFalCon.FieldValues['CPF']:=TxtNumeroCPFLocCliFiltroCSF.Text;
    ModuloDados.TbCadFalCon.FieldValues['Codigo_Cliente']:=ModuloDados.TbCadResFiltro.FieldValues['Codigo_Cliente'];
    ModuloDados.TbCadFalCon.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
    ModuloDados.TbCadFalCon.FieldValues['DtCad']:=ModuloDados.TbCadResFiltro.FieldValues['Data_Cad'];
    FrmCadRestricoesFalCon.Close;
end
      Else
        If RBCgcCnpjCSF.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadFalCon,FrmCadFalCon);
            FrmCadFalCon.Show;
            FrmCadFalCon.Caption:='SISCONS -  Cadastro de Falncia/Concordata';
            FrmCadFalCon.TxtDesconCadFalCon.Visible:=False;
            FrmCadFalCon.NovoClick(Sender);
            FrmCadFalCon.TxtNomeCadFalCon.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            ModuloDados.TbCadFalCon.FieldValues['CGC']:=TxtNumeroCGCCNPJLocCliFiltroCSF.Text;
            ModuloDados.TbCadFalCon.FieldValues['Codigo_Cliente']:=ModuloDados.TbCadResFiltro.FieldValues['Codigo_Cliente'];
            ModuloDados.TbCadFalCon.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
            ModuloDados.TbCadFalCon.FieldValues['DtCad']:=ModuloDados.TbCadResFiltro.FieldValues['Data_Cad'];
            FrmCadRestricoesFalCon.Close;
      end
end;

procedure TFrmCadRestricoesFalCon.RBCgcCnpjCSFClick(Sender: TObject);
begin
If RBCgcCnpjCSF.Checked=True Then
  Begin
    TxtNumeroCPFLocCliFiltroCSF.Text:='';
    TxtNumeroCPFLocCliFiltroCSF.Visible:=False;
    TxtNumeroCGCCNPJLocCliFiltroCSF.Visible:=True;
    DBGrid.Columns[2].Visible:=False;
    DBGrid.Columns[1].Visible:=True;
    TxtNumeroCGCCNPJLocCliFiltroCSF.SetFocus;
end
      Else
       Abort;
end;

procedure TFrmCadRestricoesFalCon.RBCpfCSFClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    TxtNumeroCGCCNPJLocCliFiltroCSF.Text:='';
    TxtNumeroCGCCNPJLocCliFiltroCSF.Visible:=False;
    TxtNumeroCPFLocCliFiltroCSF.Visible:=True;
    DBGrid.Columns[1].Visible:=False;
    DBGrid.Columns[2].Visible:=True;
    TxtNumeroCPFLocCliFiltroCSF.SetFocus;
end
      Else
       Abort;
end;

procedure TFrmCadRestricoesFalCon.RBCgcCnpjCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesFalCon.RBCpfCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
