unit UntCadRestricoesProt;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, Mask, DBCtrls, DB, ADODB, Grids,
  DBGrids;

type
  TFrmCadRestricoesProt = class(TForm)
    GroupBox: TGroupBox;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Panel1: TPanel;
    Label2: TLabel;
    Label3: TLabel;
    Panel2: TPanel;
    BdcLimpar: TBitBtn;
    DsCadResFiltro: TDataSource;
    TxtNFantasiaLocCliFiltro: TDBEdit;
    DBGrid: TDBGrid;
    TxtNumeroCGCCNPJLocCliFiltroCSF: TMaskEdit;
    TxtNumeroCPFLocCliFiltroCSF: TMaskEdit;
    BdcExcluirCSF: TBitBtn;
    BdcCadastrarCSF: TBitBtn;
    RBCgcCnpjCSF: TRadioButton;
    RBCpfCSF: TRadioButton;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure BdcLimparClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TxtNumeroCPFLocCliFiltroExit(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroExit(Sender: TObject);
    procedure TxtNumeroCPFLocCliFiltroKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNumeroCGCCNPJLocCliFiltroKeyPress(Sender: TObject;
      var Key: Char);
    procedure RBCgcCnpjKeyPress(Sender: TObject; var Key: Char);
    procedure RBCpfKeyPress(Sender: TObject; var Key: Char);
    procedure BdcExcluirClick(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroCSFExit(Sender: TObject);
    procedure TxtNumeroCPFLocCliFiltroCSFExit(Sender: TObject);
    procedure TxtNumeroCGCCNPJLocCliFiltroCSFKeyPress(Sender: TObject;
      var Key: Char);
    procedure TxtNumeroCPFLocCliFiltroCSFKeyPress(Sender: TObject;
      var Key: Char);
    procedure BdcExcluirCSFClick(Sender: TObject);
    procedure BdcCadastrarCSFClick(Sender: TObject);
    procedure RBCgcCnpjCSFClick(Sender: TObject);
    procedure RBCpfCSFClick(Sender: TObject);
    procedure RBCgcCnpjCSFKeyPress(Sender: TObject; var Key: Char);
    procedure RBCpfCSFKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadRestricoesProt: TFrmCadRestricoesProt;

implementation

uses UntCadCheqIrregulares, MaskUtils, UntModuloDados, UntPrincipal,
  UntCadCSF, UntCadRestricoes, UntCadProtesto, UntCadRestricoesCSF;

{$R *.dfm}

procedure TFrmCadRestricoesProt.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmCadRestricoesProt.Close;
end    
end;

procedure TFrmCadRestricoesProt.BdcLimparClick(Sender: TObject);
begin
TxtNumeroCGCCNPJLocCliFiltroCSF.Text:='';
TxtNFantasiaLocCliFiltro.Text:='';
TxtNumeroCPFLocCliFiltroCSF.Text:='';
end;

procedure TFrmCadRestricoesProt.FormActivate(Sender: TObject);
begin
ModuloDados.TbCadResFiltro.Active:=True;
ModuloDados.TbCadResFiltro.Append;
RBCpfCSF.Checked:=True;
end;

procedure TFrmCadRestricoesProt.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.TbCadResFiltro.Active:=False;
Action:=caFree;
FrmCadRestricoes:=Nil;
end;

procedure TFrmCadRestricoesProt.TxtNumeroCPFLocCliFiltroExit(Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CPF', TxtNumeroCPFLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CPF Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCPFLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesProt.TxtNumeroCGCCNPJLocCliFiltroExit(Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CGC', TxtNumeroCGCCNPJLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CGC Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCGCCNPJLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesProt.TxtNumeroCPFLocCliFiltroKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesProt.TxtNumeroCGCCNPJLocCliFiltroKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesProt.RBCgcCnpjKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesProt.RBCpfKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesProt.BdcExcluirClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadCheqIrregulares,FrmCadCheqIrregulares);
    FrmCadCheqIrregulares.Show;
    FrmCadCheqIrregulares.Caption:='SISCONS -  Excluso de Cheques Irregulares';
    FrmCadCheqIrregulares.TxtDesconCadCheqIrregulares.Visible:=True;
    FrmCadCheqIrregulares.NavegadorAnterior.Visible:=True;
    FrmCadCheqIrregulares.NavagadorProximo.Visible:=True;
    FrmCadCheqIrregulares.LblInfo.Visible:=True;
    FrmCadCheqIrregulares.AlterarClick(Sender);
    ModuloDados.TbCadChequesIrregulares.Filtered:=True;
    FrmCadCheqIrregulares.GroupBox3.Visible:=True;
    ModuloDados.TbCadChequesIrregulares.Filter:='CPF='+QuotedStr(TxtNumeroCPFLocCliFiltroCSF.Text);
    FrmCadCheqIrregulares.TxtNomeCadCheqIrregulares.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    FrmCadRestricoes.Close;
end
      Else
        If RBCgcCnpjCSF.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadCheqIrregulares,FrmCadCheqIrregulares);
            FrmCadCheqIrregulares.Show;
            FrmCadCheqIrregulares.Caption:='SISCONS -  Excluso de Cheques Irregulares';
            FrmCadCheqIrregulares.TxtDesconCadCheqIrregulares.Visible:=True;
            FrmCadCheqIrregulares.NavegadorAnterior.Visible:=True;
            FrmCadCheqIrregulares.NavagadorProximo.Visible:=True;
            FrmCadCheqIrregulares.AlterarClick(Sender);
            FrmCadCheqIrregulares.LblInfo.Visible:=True;
            FrmCadCheqIrregulares.GroupBox3.Visible:=True;
            ModuloDados.TbCadChequesIrregulares.Filter:='CGC='+QuotedStr(TxtNumeroCGCCNPJLocCliFiltroCSF. Text);
            FrmCadCheqIrregulares.TxtNomeCadCheqIrregulares.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            FrmCadRestricoes.Close;
      end
end;

procedure TFrmCadRestricoesProt.TxtNumeroCGCCNPJLocCliFiltroCSFExit(
  Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CGC', TxtNumeroCGCCNPJLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CGC Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCGCCNPJLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesProt.TxtNumeroCPFLocCliFiltroCSFExit(
  Sender: TObject);
begin
If DsCadResFiltro.DataSet.Locate('CPF', TxtNumeroCPFLocCliFiltroCSF.Text, [])Then
  Begin
    DBGrid.SetFocus;
    Application.MessageBox('CPF Vlido!','SC Informtica',MB_ICONINFORMATION);
    BdcCadastrarCSF.Enabled:=True;
    BdcExcluirCSF.Enabled:=True;
    BdcCadastrarCSF.SetFocus;
end
      Else
        TxtNumeroCPFLocCliFiltroCSF.Clear;
end;

procedure TFrmCadRestricoesProt.TxtNumeroCGCCNPJLocCliFiltroCSFKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end

end;

procedure TFrmCadRestricoesProt.TxtNumeroCPFLocCliFiltroCSFKeyPress(
  Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end

end;

procedure TFrmCadRestricoesProt.BdcExcluirCSFClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadProtesto,FrmCadProtesto);
    FrmCadProtesto.Show;
    FrmCadProtesto.Caption:='SISCONS -  Excluso de Protesto';
    FrmCadProtesto.TxtDesconCadProtesto.Visible:=True;
    FrmCadProtesto.NavegadorAnterior.Visible:=True;
    FrmCadProtesto.NavagadorProximo.Visible:=True;
    FrmCadProtesto.LblInfo.Visible:=True;
    FrmCadProtesto.AlterarClick(Sender);
    ModuloDados.TbCadProtesto.Filtered:=True;
    FrmCadProtesto.GroupBox3.Visible:=True;
    ModuloDados.TbCadProtesto.Filtered:=True;
    ModuloDados.TbCadProtesto.Filter:='CPF='+QuotedStr(TxtNumeroCPFLocCliFiltroCSF.Text);
    FrmCadProtesto.TxtNomeCadProtesto.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    FrmCadRestricoesProt.Close;
end
      Else
        If RBCgcCnpjCSF.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadProtesto,FrmCadProtesto);
            FrmCadProtesto.Show;
            FrmCadProtesto.Caption:='SISCONS -  Excluso de Protesto';
            FrmCadProtesto.TxtDesconCadProtesto.Visible:=True;
            FrmCadProtesto.NavegadorAnterior.Visible:=True;
            FrmCadProtesto.NavagadorProximo.Visible:=True;
            FrmCadProtesto.AlterarClick(Sender);
            FrmCadProtesto.LblInfo.Visible:=True;
            FrmCadProtesto.GroupBox3.Visible:=True;
            ModuloDados.TbCadProtesto.Filtered:=True;
            ModuloDados.TbCadProtesto.Filter:='CGC='+QuotedStr(TxtNumeroCGCCNPJLocCliFiltroCSF. Text);
            FrmCadProtesto.TxtNomeCadProtesto.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            FrmCadRestricoesProt.Close;
      end
end;

procedure TFrmCadRestricoesProt.BdcCadastrarCSFClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    Application.CreateForm(TFrmCadProtesto,FrmCadProtesto);
    FrmCadProtesto.Show;
    FrmCadProtesto.Caption:='SISCONS -  Cadastro de Protesto';
    FrmCadProtesto.TxtDesconCadProtesto.Visible:=False;
    FrmCadProtesto.NovoClick(Sender);
    FrmCadProtesto.TxtNomeCadProtesto.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
    ModuloDados.TbCadProtesto.FieldValues['CPF']:=TxtNumeroCPFLocCliFiltroCSF.Text;
    ModuloDados.TbCadProtesto.FieldValues['Codigo_Cliente']:=ModuloDados.TbCadResFiltro.FieldValues['Codigo_Cliente'];
    ModuloDados.TbCadProtesto.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
    ModuloDados.TbCadProtesto.FieldValues['DtCad']:=ModuloDados.TbCadResFiltro.FieldValues['Data_Cad'];
    FrmCadRestricoesProt.Close;
end
      Else
        If RBCgcCnpjCSF.Checked=True Then
          Begin
            Application.CreateForm(TFrmCadProtesto,FrmCadProtesto);
            FrmCadProtesto.Show;
            FrmCadProtesto.Caption:='SISCONS -  Cadastro de Protesto';
            FrmCadProtesto.TxtDesconCadProtesto.Visible:=False;
            FrmCadProtesto.NovoClick(Sender);
            FrmCadProtesto.TxtNomeCadProtesto.Text:=ModuloDados.TbCadResFiltro.FieldValues['Razao_Social'];
            ModuloDados.TbCadProtesto.FieldValues['CGC']:=TxtNumeroCGCCNPJLocCliFiltroCSF.Text;
            ModuloDados.TbCadProtesto.FieldValues['Codigo_Cliente']:=ModuloDados.TbCadResFiltro.FieldValues['Codigo_Cliente'];
            ModuloDados.TbCadProtesto.FieldValues['Usuario']:=FrmPrincipal.StatusBar.Panels[1].Text;
            ModuloDados.TbCadProtesto.FieldValues['DtCad']:=ModuloDados.TbCadResFiltro.FieldValues['Data_Cad'];
            FrmCadRestricoesProt.Close;
      end
end;

procedure TFrmCadRestricoesProt.RBCgcCnpjCSFClick(Sender: TObject);
begin
If RBCgcCnpjCSF.Checked=True Then
  Begin
    TxtNumeroCPFLocCliFiltroCSF.Text:='';
    TxtNumeroCPFLocCliFiltroCSF.Visible:=False;
    TxtNumeroCGCCNPJLocCliFiltroCSF.Visible:=True;
    DBGrid.Columns[2].Visible:=False;
    DBGrid.Columns[1].Visible:=True;
    TxtNumeroCGCCNPJLocCliFiltroCSF.SetFocus;
end
      Else
       Abort;
end;

procedure TFrmCadRestricoesProt.RBCpfCSFClick(Sender: TObject);
begin
If RBCpfCSF.Checked=True Then
  Begin
    TxtNumeroCGCCNPJLocCliFiltroCSF.Text:='';
    TxtNumeroCGCCNPJLocCliFiltroCSF.Visible:=False;
    TxtNumeroCPFLocCliFiltroCSF.Visible:=True;
    DBGrid.Columns[1].Visible:=False;
    DBGrid.Columns[2].Visible:=True;
    TxtNumeroCPFLocCliFiltroCSF.SetFocus;
end
      Else
       Abort;
end;

procedure TFrmCadRestricoesProt.RBCgcCnpjCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadRestricoesProt.RBCpfCSFKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
