unit UntFlash;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls, StdCtrls;

type
  TFrmFlash = class(TForm)
    ProgressBar: TProgressBar;
    Tempo: TTimer;
    Label1: TLabel;
    procedure TempoTimer(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmFlash: TFrmFlash;

implementation

uses UntPrincipal, UntLogin;

{$R *.dfm}

procedure TFrmFlash.TempoTimer(Sender: TObject);
begin
ProgressBar.Position:=ProgressBar.Position+1;
  If ProgressBar.Position>30 Then
    Begin
      Label1.Caption:='Criando ambiente do aplicativo.'
end;
        If ProgressBar.Position>=100 Then
          Begin
            Application.CreateForm(TFrmPrincipal,FrmPrincipal);
            FrmPrincipal.Show;
            FrmFlash.Close;
        end     
end;

procedure TFrmFlash.FormClose(Sender: TObject; var Action: TCloseAction);
begin
FrmPrincipal.StatusBar.Panels[1].Text:=FrmLogin.TxtLocUsoLogin.Text;
FrmPrincipal.StatusBar.Panels[3].Text:=FrmLogin.TxtDepto.Text;
FrmPrincipal.StatusBar.Panels[5].Text:=FrmLogin.TxtAcesso.Text;
FrmLogin.Close;
Tempo.Enabled:=False;
end;

procedure TFrmFlash.FormActivate(Sender: TObject);
begin
Tempo.Enabled:=True;
end;

end.
