unit UntLogin;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, StdCtrls, DBCtrls, Buttons, Mask, ExtCtrls, MMSystem;

type
  TFrmLogin = class(TForm)
    PnLogin: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    TxtNome: TDBEdit;
    TxtDepto: TDBEdit;
    TxtAcesso: TDBEdit;
    BdcEntrar: TBitBtn;
    BdcCancelar: TBitBtn;
    TxtLocUsoLogin: TDBLookupComboBox;
    EdSenha: TEdit;
    TxtSenha: TDBEdit;
    DsUsoLogin: TDataSource;
    procedure FormActivate(Sender: TObject);
    procedure TxtLocUsoLoginKeyPress(Sender: TObject; var Key: Char);
    procedure EdSenhaKeyPress(Sender: TObject; var Key: Char);
    procedure BdcEntrarClick(Sender: TObject);
    procedure BdcCancelarClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private

  public

  end;

var
  FrmLogin: TFrmLogin;

implementation

uses UntModuloDados, UntPrincipal, UntFlash;

{$R *.dfm}

procedure TFrmLogin.FormActivate(Sender: TObject);
begin
ModuloDados.TbUsu.Active:=True;
ModuloDados.TbUsu.Append;
end;

procedure TFrmLogin.TxtLocUsoLoginKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmLogin.EdSenhaKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmLogin.BdcEntrarClick(Sender: TObject);
begin
If TxtLocUsoLogin.Text='' Then
  Begin
    Application.MessageBox('O login do usurio deve ser informado!','SC Informtica',MB_ICONINFORMATION);
    TxtLocUsoLogin.DropDown;
    TxtLocUsoLogin.SetFocus;
end
      Else
        If EdSenha.Text='' then
          Begin
            Application.MessageBox('A senha do usurio deve ser informada...','SC Informtica',MB_ICONINFORMATION);
            EdSenha.SetFocus;
      end
              Else
                If EdSenha.Text<>TxtSenha.Text then
                  Begin
                    Application.MessageBox('A senha do usurio esta incorreta...'#13'Redigite a senha ou entre em contato com o administrador...','SC Informtica',MB_ICONERROR);
                     EdSenha.SetFocus;
                      EdSenha.Clear;
              end
      Else
        If EdSenha.Text=TxtSenha.Text then
          Begin
            SndPlaySound('C:\SISCONS\Medias\Click.wav',SND_ASYNC);
            //Application.CreateForm(TFrmPrincipal,FrmPrincipal);
            FrmPrincipal.Show;
            FrmPrincipal.StatusBar.Panels[1].Text:=FrmLogin.TxtLocUsoLogin.Text;
            FrmPrincipal.StatusBar.Panels[3].Text:=FrmLogin.TxtDepto.Text;
            FrmPrincipal.StatusBar.Panels[5].Text:=FrmLogin.TxtAcesso.Text;
            FrmLogin.Close;
  end
end;

procedure TFrmLogin.BdcCancelarClick(Sender: TObject);
begin
SndPlaySound('C:\SISCONS\Medias\Click.wav',SND_ASYNC);
Application.Terminate;
end;

procedure TFrmLogin.FormClose(Sender: TObject; var Action: TCloseAction);
begin
ModuloDados.TbUsu.Active:=False;
Action:=caFree;
FrmLogin:=Nil;
end;

end.
