unit UntMenuMSG;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls, StdCtrls, DB, Grids, DBGrids, ADODB, Mask,
  DBCtrls;

type
  TFrmMenuMSG = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Image: TImage;
    PagePrincipal: TPageControl;
    Novas: TTabSheet;
    Enviadas: TTabSheet;
    Recebidas: TTabSheet;
    DBNovas: TDBGrid;
    DsMenuMSGN: TDataSource;
    TimerN: TTimer;
    DBEnviadas: TDBGrid;
    DBGrid1: TDBGrid;
    StrUsuario: TEdit;
    TbMenuMSGN: TADOTable;
    TbMenuMSGNID: TAutoIncField;
    TbMenuMSGNDE: TWideStringField;
    TbMenuMSGNPARA: TWideStringField;
    TbMenuMSGNASSUNTO: TWideStringField;
    TbMenuMSGNMSG: TMemoField;
    TbMenuMSGNLIDA: TBooleanField;
    TbMenuMSGNDATA: TDateTimeField;
    TbMenuMSGE: TADOTable;
    AutoIncField1: TAutoIncField;
    WideStringField1: TWideStringField;
    WideStringField2: TWideStringField;
    WideStringField3: TWideStringField;
    MemoField1: TMemoField;
    BooleanField1: TBooleanField;
    DateTimeField1: TDateTimeField;
    DsMenuMSGE: TDataSource;
    TimerE: TTimer;
    DBRecebidas: TDBGrid;
    TbMenuMSGR: TADOTable;
    AutoIncField2: TAutoIncField;
    WideStringField4: TWideStringField;
    WideStringField5: TWideStringField;
    WideStringField6: TWideStringField;
    MemoField2: TMemoField;
    BooleanField2: TBooleanField;
    DateTimeField2: TDateTimeField;
    DsMenuMSGR: TDataSource;
    TimerR: TTimer;
    GroupBox2: TGroupBox;
    Label3: TLabel;
    CodN: TDBEdit;
    CodE: TDBEdit;
    CodR: TDBEdit;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure NovasEnter(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure DBNovasDblClick(Sender: TObject);
    procedure DBEnviadasDblClick(Sender: TObject);
    procedure TimerNTimer(Sender: TObject);
    procedure TimerETimer(Sender: TObject);
    procedure DBRecebidasDblClick(Sender: TObject);
    procedure TimerRTimer(Sender: TObject);
    procedure DBNovasKeyPress(Sender: TObject; var Key: Char);
    procedure DBEnviadasKeyPress(Sender: TObject; var Key: Char);
    procedure DBRecebidasKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmMenuMSG: TFrmMenuMSG;

implementation

uses UntModuloDados, UntPrincipal, UntEnviarMSG, UntLerMSG;

{$R *.dfm}

procedure TFrmMenuMSG.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmMenuMSG.Close
end
end;

procedure TFrmMenuMSG.NovasEnter(Sender: TObject);
begin
ModuloDados.TbMSG.Filtered:=True;
ModuloDados.TbMSG.Filter:='PARA='+QuotedStr(FrmPrincipal.StatusBar.Panels[1].Text);
ModuloDados.TbMSG.Filter:='LIDA='+QuotedStr('False');
end;

procedure TFrmMenuMSG.FormActivate(Sender: TObject);
begin
TimerN.Enabled:=True;
TimerE.Enabled:=True;
TimerR.Enabled:=True;
StrUsuario.Text:=FrmPrincipal.StatusBar.Panels[1].Text;
end;

procedure TFrmMenuMSG.FormClose(Sender: TObject; var Action: TCloseAction);
begin
TimerN.Enabled:=False;
TimerE.Enabled:=False;
TimerR.Enabled:=False;
TbMenuMSGN.Active:=False;
TbMenuMSGE.Active:=False;
TbMenuMSGR.Active:=False;
Action:=caFree;
FrmMenuMSG:=Nil;
end;

procedure TFrmMenuMSG.DBNovasDblClick(Sender: TObject);
begin
If CodN.Text='' Then
  Begin
    Application.MessageBox('No h menssagens ou voc no clicou em uma delas!!!','SC Informtica',MB_ICONEXCLAMATION);
    DBNovas.SetFocus;
End
      Else
        If CodN.Text<> '' Then
          Begin
           Application.CreateForm(TFrmLerMSG,FrmLerMSG);
           ModuloDados.TbMSG.Active:=True;
           ModuloDados.TbMSG.Append;
           ModuloDados.TbMSG.Filtered:=True;
           ModuloDados.TbMSG.Filter:='ID='+QuotedStr(TbMenuMSGN.FieldValues['ID']);
           TbMenuMSGN.Edit;
           TbMenuMSGN.FieldValues['Lida']:=True;
           TbMenuMSGN.Post;
           TbMenuMSGN.Refresh;
           FrmLerMSG.ShowModal;
      End
end;

procedure TFrmMenuMSG.DBEnviadasDblClick(Sender: TObject);
begin
If CodE.Text='' Then
  Begin
    Application.MessageBox('No h menssagens ou voc no clicou em uma delas!!!','SC Informtica',MB_ICONEXCLAMATION);
    DBEnviadas.SetFocus;
End
      Else
        If CodE.Text<> '' Then
          Begin
           Application.CreateForm(TFrmLerMSG,FrmLerMSG);
           ModuloDados.TbMSG.Active:=True;
           ModuloDados.TbMSG.Append;
           ModuloDados.TbMSG.Filtered:=True;
           ModuloDados.TbMSG.Filter:='ID='+QuotedStr(TbMenuMSGE.FieldValues['ID']);
           FrmLerMSG.ShowModal;
      End
end;

procedure TFrmMenuMSG.TimerNTimer(Sender: TObject);
begin
TbMenuMSGN.Active:=True;
TbMenuMSGN.Filtered:=True;
TbMenuMSGN.Filter:='Para='+QuotedStr(StrUsuario.Text)+ 'And Lida='+QuotedStr('False');
end;

procedure TFrmMenuMSG.TimerETimer(Sender: TObject);
begin
TbMenuMSGE.Active:=True;
TbMenuMSGE.Filtered:=True;
TbMenuMSGE.Filter:='DE='+QuotedStr(StrUsuario.Text);
end;

procedure TFrmMenuMSG.DBRecebidasDblClick(Sender: TObject);
begin
If CodR.Text='' Then
  Begin
    Application.MessageBox('No h menssagens ou voc no clicou em uma delas!!!','SC Informtica',MB_ICONEXCLAMATION);
    DBRecebidas.SetFocus;
End
      Else
        If CodR.Text<> '' Then
          Begin
           Application.CreateForm(TFrmLerMSG,FrmLerMSG);
           ModuloDados.TbMSG.Active:=True;
           ModuloDados.TbMSG.Append;
           ModuloDados.TbMSG.Filtered:=True;
           ModuloDados.TbMSG.Filter:='ID='+QuotedStr(TbMenuMSGR.FieldValues['ID']);
           FrmLerMSG.BdcResponder.Visible:=True;
           FrmLerMSG.BdcFechar.Visible:=False;
           FrmLerMSG.ShowModal;
      End
end;

procedure TFrmMenuMSG.TimerRTimer(Sender: TObject);
begin
TbMenuMSGR.Active:=True;
TbMenuMSGR.Filtered:=True;
TbMenuMSGR.Filter:='Para='+QuotedStr(StrUsuario.Text);
end;

procedure TFrmMenuMSG.DBNovasKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
Begin
If CodN.Text='' Then
  Begin
    Application.MessageBox('No h menssagens ou voc no clicou em uma delas!!!','SC Informtica',MB_ICONEXCLAMATION);
    DBNovas.SetFocus;
End
      Else
        If CodN.Text<> '' Then
          Begin
           Application.CreateForm(TFrmLerMSG,FrmLerMSG);
           ModuloDados.TbMSG.Active:=True;
           ModuloDados.TbMSG.Append;
           ModuloDados.TbMSG.Filtered:=True;
           ModuloDados.TbMSG.Filter:='ID='+QuotedStr(TbMenuMSGN.FieldValues['ID']);
           TbMenuMSGN.Edit;
           TbMenuMSGN.FieldValues['Lida']:=True;
           TbMenuMSGN.Post;
           TbMenuMSGN.Refresh;
           FrmLerMSG.ShowModal;
      End
End      
end;

procedure TFrmMenuMSG.DBEnviadasKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
Begin
If CodE.Text='' Then
  Begin
    Application.MessageBox('No h menssagens ou voc no clicou em uma delas!!!','SC Informtica',MB_ICONEXCLAMATION);
    DBEnviadas.SetFocus;
End
      Else
        If CodE.Text<> '' Then
          Begin
           Application.CreateForm(TFrmLerMSG,FrmLerMSG);
           ModuloDados.TbMSG.Active:=True;
           ModuloDados.TbMSG.Append;
           ModuloDados.TbMSG.Filtered:=True;
           ModuloDados.TbMSG.Filter:='ID='+QuotedStr(TbMenuMSGE.FieldValues['ID']);
           FrmLerMSG.ShowModal;
      End
End      
end;

procedure TFrmMenuMSG.DBRecebidasKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
Begin
If CodR.Text='' Then
  Begin
    Application.MessageBox('No h menssagens ou voc no clicou em uma delas!!!','SC Informtica',MB_ICONEXCLAMATION);
    DBRecebidas.SetFocus;
End
      Else
        If CodR.Text<> '' Then
          Begin
           Application.CreateForm(TFrmLerMSG,FrmLerMSG);
           ModuloDados.TbMSG.Active:=True;
           ModuloDados.TbMSG.Append;
           ModuloDados.TbMSG.Filtered:=True;
           ModuloDados.TbMSG.Filter:='ID='+QuotedStr(TbMenuMSGR.FieldValues['ID']);
           FrmLerMSG.BdcResponder.Visible:=True;
           FrmLerMSG.BdcFechar.Visible:=False;
           FrmLerMSG.ShowModal;
      End
End      
end;

end.
